<?php
/**
 * @package WordPress
 * @subpackage Default_Theme
 */

// Do not delete these lines
if (!empty($_SERVER['SCRIPT_FILENAME']) && 'comments.php' == basename($_SERVER['SCRIPT_FILENAME']))
	die (_e( 'Please do not load this page directly. Thanks!', 'swmtranslate' ));

if ( post_password_required() ) { ?>
	<p class="nocomments">
		<?php _e( 'This post is password protected. Enter the password to view comments.', 'swmtranslate' ); ?>
	</p>
	<?php 
	return; 
} ?>

<!-- Blog Responses Start -->
<div id="blog_responses">
	<?php if ( have_comments() ) : ?>

		<h3 id="comments">
			<?php comments_number('No Responses', 'One Response', '% Responses' );?> to &#8220;<?php the_title(); ?>&#8221;
		</h3>
<?php
/* ----------------------------------------------------------------------------------
	Comments Listing
---------------------------------------------------------------------------------- */ ?>

		<div class="commentlist">
			<ol>
				<?php wp_list_comments( array( 'callback' => 'swm_comment_listing' ) );	?>
			</ol>
		</div>
	
<?php
/* ----------------------------------------------------------------------------------
	Comments Pagination
---------------------------------------------------------------------------------- */ ?>

		<?php if (get_option('comments_per_page')) : ?>

			<div class="paginate-com">
				<?php paginate_comments_links(); ?>
			</div>
			<div class="divider2"></div>
	 
		<?php endif; 
	
	else : // this is displayed if there are no comments so far ?>
 
<?php
/* ----------------------------------------------------------------------------------
	Comments Open/Close message
---------------------------------------------------------------------------------- */ ?>

		<?php if ( comments_open() ) : 
				
				/* If comments are open, but there are no comments. */
	
		else : // comments are closed ?>
			
					<p class="nocomments">
						<?php _e( 'Comments are closed.', 'swmtranslate' ); ?>
					</p>

		<?php endif; ?>
	<?php endif; ?>
</div>
<!-- Blog Responses End -->

<div class="clear"></div>

<?php
/* ----------------------------------------------------------------------------------
	Comments Form
---------------------------------------------------------------------------------- */ ?>

<?php if ( comments_open() ) : ?>		
	
	<?php comment_form( array(
		'label_submit' => __( 'SUBMIT', 'swmtranslate' ), 
		'title_reply' => __( 'Leave a Reply', 'swmtranslate' ), 
		'cancel_reply_link' => __( 'Cancel reply' , 'swmtranslate' ), 
		'title_reply_to' => __( 'Leave a Reply to %s' , 'swmtranslate' )) 
		); 
	?>

<?php endif;?>

