<?php

/* ************************************************************************************** 
	Enable featured image box
************************************************************************************** */

add_theme_support( 'post-thumbnails' );


/* ************************************************************************************** 
	Add custom admin css
************************************************************************************** */

function swm_add_custom_admin_css() {
   echo '<link rel="stylesheet" href="'. ADMIN_CSS . 'style-wp-admin' .'.css'.'" />'."\n"; 
}

add_action( 'admin_head', 'swm_add_custom_admin_css' ); 

/* ************************************************************************************** 
	 Add post formats
************************************************************************************** */
 
$formats = array( 'aside','gallery','image','link','quote','video');

add_theme_support( 'post-formats', $formats ); 

function swm_admin_scripts() {
	
	wp_register_script('swm-admin-javascripts', get_template_directory_uri() . '/framework/js/admin-javascripts.js', array('jquery','media-upload','thickbox'));
	
	wp_enqueue_script('jquery-ui-sortable');
	wp_enqueue_script('media-upload');
	wp_enqueue_script('thickbox');	
	wp_enqueue_script('swm-admin-javascripts');	
}

function swm_admin_styles() {
	wp_enqueue_style('nav-menu'); 	
}

add_action('admin_print_scripts', 'swm_admin_scripts');
add_action('admin_print_styles', 'swm_admin_styles');

// Add default posts and comments RSS feed links to <head>.
add_theme_support( 'automatic-feed-links' );

// This theme styles the visual editor with editor-style.css to match the theme style.
add_editor_style();

if ( ! isset( $content_width ) ) $content_width = 960;