<?php

/* ************************************************************************************** 
	Define Metabox Fields
************************************************************************************** */

$shortname = 'swm';

/* General Post Options */

$meta_box_post = array(	
	'id' => 'swm-meta-box-post',
	'title' =>  __('Page Title Icon and Description', 'swmtranslate'),	
	'context' => 'normal',
	'page' => 'post',
	'priority' => 'high',
	'fields' => array(
		array(
			'name' => __('Upload Title page Icon', 'swmtranslate'),
			'desc' => '',
			'id' => $shortname.'_header_title_icon',
			'type' => 'text',
			'std' => ''
		),
		array(
			'name' => '',
			'desc' => __('Display page related icon in black header before title text', 'swmtranslate'),
			'id' => $shortname.'_upload_title_icon_button',
			'type' => 'button',
			'std' => 'Browse'
		),
		array(
			'name' => __('Page Description Text', 'swmtranslate'),
			'desc' => __('Add page description text in black header below title text', 'swmtranslate'),
			'id' => $shortname.'_sub_title_text',
			'type' => 'textarea',
			'std' => ''
		)
	)	
);


/* ************************************************************************************** 
	Add Metabox
************************************************************************************** */
 
add_action('admin_menu', 'swm_add_meta_box_common');
 
function swm_add_meta_box_common() {
	global $meta_box_post;	
	
	add_meta_box($meta_box_post['id'], $meta_box_post['title'], 'swm_display_meta_box_post', $meta_box_post['page'], $meta_box_post['context'], $meta_box_post['priority']);		
	
}

/* ************************************************************************************** 
	Display Metabox in Admin Post
************************************************************************************** */

/* General Post Options */
  
function swm_display_meta_box_post() {
	global $meta_box_post, $post;
	
	echo '<input type="hidden" name="swm_meta_box_nonce" value="', wp_create_nonce(basename(__FILE__)), '" />';
 
	echo '<div class="swm-meta-box-post-format">';
 
	foreach ($meta_box_post['fields'] as $field) {
		
		$meta = get_post_meta($post->ID, $field['id'], true);
		switch ($field['type']) {			
			
			case 'text':			
				echo '<p><label for="', $field['id'], '">', $field['name'], '</label></p>';			
				echo '<p><input style="float: left; width:50%;" type="text" name="', $field['id'], '" id="', $field['id'], '" value="', $meta ? $meta : stripslashes(htmlspecialchars(( $field['std']), ENT_QUOTES)), '" /></p>';				
			break;			
					
			case 'button':
				echo '<input style="float: left; width:auto; margin-left:5px;" type="button" class="button" name="', $field['id'], '" id="', $field['id'], '"value="', $meta ? $meta : $field['std'], '" />';			
				echo '<div class="clear"></div>';
				echo '<small>'.$field['desc'].'</small>';		
				echo '<hr />';
			break;		
			
			case 'textarea':			
				echo '<p><label for="', $field['id'], '">', $field['name'], '</label></p>';
				echo '<p><textarea name="', $field['id'], '" id="', $field['id'], '" value="', $meta ? $meta : stripslashes(htmlspecialchars(( $field['std']), ENT_QUOTES)), '" rows="8" cols="4" >', $meta ? $meta : stripslashes(htmlspecialchars(( $field['std']), ENT_QUOTES)), '</textarea></p>';
				echo '<small>'.$field['desc'].'</small>';
			break;
		}
	} 
	echo '</div>';
}

/* ************************************************************************************** 
	Save Metabox Data
************************************************************************************** */

add_action('save_post', 'swm_save_data_all');
 
function swm_save_data_all($post_id) {
	global $meta_box_post, $meta_box_page;
 
	// verify nonce
	if (!isset($_POST['swm_meta_box_nonce']) || !wp_verify_nonce($_POST['swm_meta_box_nonce'], basename(__FILE__))) {
		return $post_id;
	}
 
	// check autosave
	if (defined('DOING_AUTOSAVE') && DOING_AUTOSAVE) {
		return $post_id;
	}
 
	// check permissions
	if ('page' == $_POST['post_type']) {
		if (!current_user_can('edit_page', $post_id)) {
			return $post_id;
		}
	} elseif (!current_user_can('edit_post', $post_id)) {
		return $post_id;
	} 	
	
	/* General Post Options */
	foreach ($meta_box_post['fields'] as $field) {
		$old = get_post_meta($post_id, $field['id'], true);
		$new = $_POST[$field['id']];
 
		if ($new && $new != $old) {
			update_post_meta($post_id, $field['id'], $new);
		} elseif ('' == $new && $old) {
			delete_post_meta($post_id, $field['id'], $old);
		}
	}	
}
