<?php

/* Index of this file	
	
	(1) Language Translation
	(2) Theme Skin 
	(3) Favicon
	(4) Go to Top Scroll
	(5) Google Analytical
	(6) Word Truncate
	(7) Display search bar and social media icons
	(8) Social Media
	(9) Top Menu, Footer Menu and Portfolio Horizontal Menu
	(10) Search Form Blank Query
	(11) Inner page Header Title
	(12) Display Post Format 
	(13) Blog Gallery Slider
	(14) Blog Post Left side Date Section
	(15) Blog Post Excerpt
	(16) Blog Post Image Caption Title and Text 
	(17) Blog Post Category and Author info box
	(18) Blog Post Read more Button
	(19) Portfolio
		- Portfolio Item Title
		- Show/Hide Excerpt and Excerpt Length
		- Portfolio Item Button
		- Portfolio Thumbnail Hover Zoom/Play Icon
		- Portfolio Item Thumbnails and Lightbox Images/Videos
		- Sortable Portfolio Categories List

	(20) Pagination
	(21) Comments Listing
	(22) Breadcrumbs
	(23) Custom JS
	(24) Validate Email for Contact Form
	(25) Search Form Blank Query
	
*/	
	

/* ************************************************************************************** 
	(1) Language Translation
************************************************************************************** */

load_theme_textdomain('swmtranslate',get_template_directory().'/languages/');

/* ************************************************************************************** 
	(2) Theme Skin 
************************************************************************************** */

if (!function_exists('swm_display_theme_skin_style')) {
	function swm_display_theme_skin_style() { 	 		
	          
			$GLOBALS['theme_skin_style'] = of_get_option('swm_theme_skin_style');
	        if($GLOBALS['theme_skin_style'] != '')
	               echo '<link rel="stylesheet" href="'. SKIN_CSS . $GLOBALS['theme_skin_style'] .'.css'.'" />'."\n";
				   
			if($GLOBALS['theme_skin_style'] == '')
	               echo '<link rel="stylesheet" href="'. SKIN_CSS . 'khaki' .'.css'.'" />'."\n"; 			           
	     }		
	}
add_action('wp_head', 'swm_display_theme_skin_style');

/* ************************************************************************************** 
	(3) Favicon
************************************************************************************** */

if (!function_exists('swm_display_favicon')) {
	function swm_display_favicon() {
		$favicon = (of_get_option('swm_favicon') <> '') ? esc_attr(of_get_option('swm_favicon')) : get_template_directory_uri().'/images/samples/favicon.ico'; ?>
<link rel="shortcut icon" href="<?php echo esc_url($favicon); ?>" type="image/x-icon" />
<?php
	}
}
add_action('wp_head', 'swm_display_favicon');

/* ************************************************************************************** 
	(4) Go to Top Scroll
************************************************************************************** */

if (!function_exists('swm_go_top_anchor')) {
	function swm_go_top_anchor() {		
		
		if (!of_get_option('swm_scroll_to_top')) { 	?>
<style type="text/css"> .goTop { display:none;} </style>	
		<?php
		} 
	}
}
add_action('wp_head', 'swm_go_top_anchor');

/* ************************************************************************************** 
	(5) Google Analytical
************************************************************************************** */

function swm_display_google_analytical_code() {		
	$swm_display_google_analytical = of_get_option('swm_google_analytical');	
	if(!empty($swm_display_google_analytical)) {
?>
	<script type="text/javascript">
		var _gaq = _gaq || [];
		_gaq.push(['_setAccount', '<?php echo $swm_display_google_analytical; ?>']);
		_gaq.push(['_setDomainName', 'none']);
		_gaq.push(['_setAllowLinker', true]);
		_gaq.push(['_trackPageview']);
		(function() {
			var ga = document.createElement('script'); ga.type = 'text/javascript'; ga.async = true;
			ga.src = ('https:' == document.location.protocol ? 'https://ssl' : 'http://www') + '.google-analytics.com/ga.js';
			var s = document.getElementsByTagName('script')[0]; s.parentNode.insertBefore(ga, s);
		})();
	</script>
<?php  
	}
}
add_action('wp_footer', 'swm_display_google_analytical_code');

/* ************************************************************************************** 
	(6) Word Truncate
************************************************************************************** */

function truncate_epost($content,$amount) {
	$truncate = $content; 
	$truncate = preg_replace('@<script[^>]*?>.*?</script>@si', '', $truncate);
	$truncate = preg_replace('@<style[^>]*?>.*?</style>@si', '', $truncate);
	$truncate = strip_tags($truncate);
	$truncate = substr($truncate, 0, strrpos(substr($truncate, 0, $amount), ' ')); 
	echo $truncate;
	echo "...";
}

/* ************************************************************************************** 
	(7) Display search bar and social media icons
************************************************************************************** */

function swm_display_searchbox() {
						
	$swm_search_bar = of_get_option('swm_search_bar');
	$swm_search_bar_textinfo = of_get_option('swm_search_bar_textinfo');

	if ($swm_search_bar) { ?>
		<li>
			<form method="get" action="<?php echo home_url(); ?>/">	
				<div id="search">								
					<div id="search-input-box">					
						<input class="search-input-text" onblur="javascript:if(this.value==''){this.value='<?php echo $swm_search_bar_textinfo; ?>';}" onfocus="javascript:if(this.value=='<?php echo $swm_search_bar_textinfo; ?>'){this.value='';}" value="<?php echo $swm_search_bar_textinfo; ?>" id="s" name="s" />					
					
					<input type="submit" class="search-icon tipUp" name="submit" id="searchsubmit" value="" title="<?php _e('Search', 'swmtranslate'); ?>" />
					</div> <!-- #search-input-box -->
					
				</div> <!-- #search -->
			</form>
		</li>
		<?php 
	} 	
}

/* ************************************************************************************** 
	(8) Social Media
************************************************************************************** */

function swm_display_social_media() { ?>

	<?php if(of_get_option('swm_twitter_url') != '') { ?>
		<li><a href="<?php echo of_get_option('swm_twitter_url'); ?>" <?php swm_open_new_window() ?> class="icon-twitter tipUp" title="<?php _e('Twitter', 'swmtranslate'); ?>"  ></a></li>
	<?php } 
	if(of_get_option('swm_facebook_url') != '') { ?>
		<li><a href="<?php echo of_get_option('swm_facebook_url'); ?>" <?php swm_open_new_window() ?> class="icon-facebook tipUp" title="<?php _e('Facebook', 'swmtranslate'); ?>" ></a></li>
	<?php } 
	if(of_get_option('swm_youtube_url') != '') { ?>
		<li><a href="<?php echo of_get_option('swm_youtube_url'); ?>" <?php swm_open_new_window() ?> class="icon-youtube tipUp" title="<?php _e('YouTube', 'swmtranslate'); ?>" ></a></li>
	<?php }		
	if(of_get_option('swm_delicious_url') != '') { ?>
		<li><a href="<?php echo of_get_option('swm_delicious_url'); ?>" <?php swm_open_new_window() ?> class="icon-delicious tipUp" title="<?php _e('Delicious', 'swmtranslate'); ?>" ></a></li>
	<?php } 
	if(of_get_option('swm_vimeo_url') != '') { ?>
		<li><a href="<?php echo of_get_option('swm_vimeo_url'); ?>" <?php swm_open_new_window() ?> class="icon-vimeo tipUp" title="<?php _e('Vimeo', 'swmtranslate'); ?>" ></a></li>
	<?php }		
	if(of_get_option('swm_flickr_url') != '') { ?>
		<li><a href="<?php echo of_get_option('swm_flickr_url'); ?>" <?php swm_open_new_window() ?> class="icon-flickr tipUp" title="<?php _e('Flickr', 'swmtranslate'); ?>" ></a></li>
	<?php } 
	if(of_get_option('swm_digg_url') != '') { ?>
		<li><a href="<?php echo of_get_option('swm_digg_url'); ?>" <?php swm_open_new_window() ?> class="icon-digg tipUp" title="<?php _e('Digg', 'swmtranslate'); ?>" ></a></li>
	<?php }
	if(of_get_option('swm_stumbleupon_url') != '') { ?>
		<li><a href="<?php echo of_get_option('swm_stumbleupon_url'); ?>" <?php swm_open_new_window() ?> class="icon-stumbleupon tipUp" title="<?php _e('StumbleUpon', 'swmtranslate'); ?>" ></a></li>
	<?php }
	if(of_get_option('swm_linkedin_url') != '') { ?>
		<li><a href="<?php echo of_get_option('swm_linkedin_url'); ?>" <?php swm_open_new_window() ?> class="icon-linkedin tipUp" title="<?php _e('LinkedIn', 'swmtranslate'); ?>" ></a></li>
	<?php }		
	if(of_get_option('swm_blogger_url') != '') { ?>
		<li><a href="<?php echo of_get_option('swm_blogger_url'); ?>" <?php swm_open_new_window() ?> class="icon-blogger tipUp" title="<?php _e('Blogger', 'swmtranslate'); ?>" ></a></li>
	<?php }
	if(of_get_option('swm_rss_url') != '') { ?>
		<li><a href="<?php echo of_get_option('swm_rss_url'); ?>" <?php swm_open_new_window() ?> class="icon-rss tipUp" title="<?php _e('RSS', 'swmtranslate'); ?>" ></a></li>
	<?php }	

 } 
 
 function swm_open_new_window() {	
	 if (of_get_option('swm_open_in_new_window')) { ?> 
		target="_blank" 
	<?php 	}  
 } 
 
/* ************************************************************************************** 
	(9) Top Menu and Footer Menu
************************************************************************************** */

function swm_default_menu() {		
	echo __('<div class="setting-msg">Set navigation menu from Wordpress Admin > Appearance > Menus</div>', 'swmtranslate');
}

//Register WordPress Menus
function swm_register_menu() {
	register_nav_menus(array(
		'top-menu' => __('Top Navigation Menu', 'swmtranslate'), 
		'footer-menu' => __('Footer Navigation Menu', 'swmtranslate'),
		'portfolio-menu' => __('Portfolio Horizontal Navigation Menu', 'swmtranslate')
	));
}
add_action( 'init' , 'swm_register_menu' );

function swm_display_top_menu() {
	wp_nav_menu( array( 
		'theme_location' => 'top-menu', 
		'sort_column' => 'menu_order', 					
		'container' =>false, 
		'menu_class' => 'sf-menu', 
		'echo' => true,
		'before' => '', 
		'after' => '', 
		'link_before' => '', 
		'link_after' => '',
		'depth' => 0, 
		'fallback_cb' => 'swm_default_menu'				
	) ); 
}

function swm_display_footer_menu() {
	wp_nav_menu( array( 
		'theme_location' => 'footer-menu', 
		'sort_column' => 'menu_order', 					
		'container' =>false, 			
		'echo' => true,
		'before' => '', 
		'after' => '', 
		'link_before' => '', 
		'link_after' => '',
		'depth' => 0, 
		'fallback_cb' => 'swm_default_menu'				
	) );
}

function swm_display_portfolio_menu() {
	wp_nav_menu( array( 
		'theme_location' => 'portfolio-menu', 
		'sort_column' => 'menu_order', 					
		'container'       => 'div', 
		'container_class' => 'portfolio-tab', 				
		'echo' => true,
		'before' => '', 
		'after' => '', 
		'link_before' => '<span>', 
		'link_after' => '</span>',
		'depth' => 0, 
		'fallback_cb' => ''				
	) );
}

/* ************************************************************************************** 
	(10) Search Form Blank Query
************************************************************************************** */

add_filter( 'request', 'my_request_filter' );
function my_request_filter( $query_vars ) {
    if( isset( $_GET['s'] ) && empty( $_GET['s'] ) ) {
        $query_vars['s'] = " ";
    }
    return $query_vars;
}

	
/* ************************************************************************************** 
	(11) Inner page Header Title
************************************************************************************** */
function swm_get_inner_title() {
	
	if ( is_day() ) :  
		printf( __( 'Archive: %s', 'swmtranslate' ), get_the_date() );
	
	elseif ( is_month() ) :
		printf( __( 'Archive: %s', 'swmtranslate' ), get_the_date('F Y') );
	
	elseif ( is_year() ) :
		printf( __( 'Archive: %s', 'swmtranslate' ), get_the_date('Y') );				
	
	elseif ( is_category() ) : 
		echo single_cat_title();					
		
	elseif ( is_tag() ) :
		printf( __( '%s', 'swmtranslate' ), single_tag_title('',false) );
		
	elseif ( is_author() ) :					
		_e( 'Author Archives', 'swmtranslate' );
		echo $curauth->display_name;
		
	elseif ( is_search() ) :
		printf( __( 'Search', 'swmtranslate' ), get_the_date('Y') );	
	
	elseif ( is_attachment() ) :
		echo the_title();
	
	
	elseif ( is_404() ) :
								
		$swm_error_page_title = of_get_option('swm_error_page_title');	
		
		if ($swm_error_page_title != '') {		
			echo $swm_error_page_title;								
		} else {								
			 _e( '404 Error', 'swmtranslate' );									
		}
	
	elseif ( is_single() ) :	
		
		$category = get_the_category();
		$postType = get_post_type();
				
		if ($postType == 'post') : 	
			echo $category[0]->cat_name;
		endif;
		
		if ($postType == 'portfolio') :
			echo the_title();
		endif;
		
	else :
		_e( 'Blog', 'swmtranslate' );
		
	endif;	
}
	
/* ************************************************************************************** 
	(12) Display Post Format
************************************************************************************** */

function swm_display_post_format() {
	
	$format = get_post_format(); 
				
	if(empty($format)) { 
		$format = 'standard'; 
	}
	if( $format == 'standard' || $format == 'aside' || $format == 'gallery' || $format == 'image' || $format == 'link' || $format == 'quote' || $format == 'video' ) {
	
		get_template_part( 'includes/' . $format );	
	}
}	

/* ************************************************************************************** 
	(13) Blog Gallery Slider
************************************************************************************** */

if ( !function_exists( 'swm_blog_gallery' ) ) {
    function swm_blog_gallery($postid, $image_size) { ?>
        <script type="text/javascript">
    		jQuery(document).ready(function(){
    			jQuery("#gallery-slider-<?php echo $postid; ?>").slides({
    				preload: true,
    				preloadImage: jQuery("#gallery-slider-<?php echo $postid; ?>").attr('src', '<?php echo get_template_directory_uri(); ?>/images/backgrounds/loader5.gif'),
    				crossfade: true,
					effect: 'fade',
					fadeSpeed: 500,
					bigTarget: true,
					generatePagination: true,
    				generateNextPrev: true,
    				next: 'gallery_slider_next',
    				prev: 'gallery_slider_prev',
					hoverPause: true,
    				autoHeight: true    				
    			});
    		});
    	</script>
    <?php    

	   $featured_image = 0;   
        
        if( has_post_thumbnail($postid) ) {
            $featured_image = get_post_thumbnail_id($postid);
        }
        echo "<div id='gallery-slider-$postid' class='gallery_slider'>";    

		$args = array(
			'numberposts'	  	=> -1,			
			'orderby'         	=> 'menu_order',				
			'post_type'     	=> 'attachment',
			'post_mime_type'	=> 'image',
			'post_parent' 		=> $postid,
			'post_status' 		=> null ); 		

        $attachments = get_posts($args);
		
        if( !empty($attachments) ) {
            echo '<div class="slides_container">';
            $i = 0;
            foreach( $attachments as $attachment ) {
                if( $attachment->ID == $featured_image ) continue;
                $image_src = wp_get_attachment_image_src( $attachment->ID, $image_size );
                $image_caption = $attachment->post_excerpt;
                $image_caption = (!empty($image_caption)) ? "<div class='gallery-slider_caption'>$image_caption</div>" : '';
                $image_alt = (!empty($attachment->post_content)) ? $attachment->post_content : $attachment->post_title;
                echo "<div>$image_caption<img src='$image_src[0]' width='$image_src[1]' height='$image_src[2]' alt='$image_alt' /></div>";
                $i++;
            }
            echo '</div>';
        }
        echo "</div>";		
    }
}

/* ************************************************************************************** 
	(14) Blog Post Left side Date Section
************************************************************************************** */

function swm_display_blog_date_section() { 

	$swm_post_date = of_get_option('swm_post_date');
	$swm_post_year = of_get_option('swm_post_year');
	$swm_post_comments_count = of_get_option('swm_post_comments_count');
	$swm_post_share_box = of_get_option('swm_post_share_box');
	
	?>
	
	<div class="post-left-column">	
		
		<?php if ($swm_post_date || $swm_post_comments_count) {  ?>
		
			<div class="post-date">
				
				<?php if ($swm_post_date) {  ?>
				
					<div class="date-box">
					
						<span class="date-day"><?php the_time('d') ?></span>
						<span class="date-month"><?php the_time('M') ?></span>
					
						<?php if ($swm_post_year) {  ?>						
							<span class="date-year"><?php the_time('Y') ?></span>
						<?php }   ?>	
						
						</div><!-- .post-date -->
						<div class="clear"></div>
					
					<?php }   ?>				

				<?php if ($swm_post_comments_count) {  ?>
					
					<div class="post-comments">
					
						<a href="<?php the_permalink(); ?>"><?php comments_number('0', '1', '%'); ?></a>
					
					</div>

				<?php } else {   ?>
				
				<div class="clear"></div>
					
				<?php }  ?>				
				
			</div><!-- .post-date -->
		
		<?php }   
		
		if ($swm_post_share_box) {  		
			
			get_template_part('framework/post', 'share');
		
		 }   ?>

	</div><!-- .post-left-column -->

<?php }

/* ************************************************************************************** 
	(15) Blog Post Excerpt
************************************************************************************** */

$swm_show_excerpt = of_get_option('swm_show_excerpt');
$swm_excerpt_length = of_get_option('swm_excerpt_length');	

function swm_the_excerpt($charlength) {
	$excerpt = get_the_excerpt();
	$charlength++;

	if ( mb_strlen( $excerpt ) > $charlength ) {
		$subex = mb_substr( $excerpt, 0, $charlength - 5 );
		$exwords = explode( ' ', $subex );
		$excut = - ( mb_strlen( $exwords[ count( $exwords ) - 1 ] ) );
		if ( $excut < 0 ) {
			echo mb_substr( $subex, 0, $excut );
		} else {
			echo $subex;
		}
		//echo '[...]';
	} else {
		echo $excerpt;
	}
}

/* ************************************************************************************** 
	(16) Blog Post Image Caption Title and Text
************************************************************************************** */

function swm_display_image_caption() {		

	$swm_image_caption_title = get_post_meta(get_the_ID(), 'swm_image_caption_title', true);
	$swm_image_caption_text = get_post_meta(get_the_ID(), 'swm_image_caption_text', true);	
	
	if ($swm_image_caption_title || $swm_image_caption_text != '') {	
		
		echo '<div class="image-meta-caption">';
		
		if ($swm_image_caption_title != '' ) {
			echo '<h5>'.$swm_image_caption_title.'</h5>';
		}
		if ($swm_image_caption_text != '') {
			echo '<p>'.$swm_image_caption_text.'</p>';		
		}
		echo '</div>';
	}	
}

/* ************************************************************************************** 
	(17) Blog Post Category and Author info box
************************************************************************************** */

function swm_display_category_author() {

	$swm_post_categories = of_get_option('swm_post_categories');	
		$swm_post_author = of_get_option('swm_post_author');	
		
		if ($swm_post_categories || $swm_post_author) {	?>			
		
			<div class="blog-post-details round5">				
				
				<?php if ($swm_post_categories) :	?>	
				
					<div class="blog-categories left"><strong><?php _e('Categories: ', 'swmtranslate'); ?> </strong><?php the_category(', ') ?></div>
				
				<?php endif; 

					if ($swm_post_author) :	?>
				
					<div class="blog-author right"><strong><?php _e('Author: ', 'swmtranslate'); ?>  </strong><?php the_author_posts_link(); ?></div>
				
				<?php endif; ?>
				
				<div class="clear"></div>
			
			</div> <!-- .blog-post-details .round3 -->
		
			<div class="clear"></div><br />
		
		<?php } else { ?>
			
			<div class="divider2"></div><br />
			
		<?php }				
}

/* ************************************************************************************** 
	(18) Blog Post Read more Button
************************************************************************************** */

function swm_display_post_button() {
	
	$format = get_post_format(); 
	
	if ( $format != 'quote' ) {  
						
		$swm_post_button = of_get_option('swm_post_button');						
		$swm_post_button_text = (of_get_option('swm_post_button_text') <> '') ? esc_attr(of_get_option('swm_post_button_text')) : 'read more';
		
		if ($swm_post_button) {?>

			<p><a href="<?php the_permalink() ?>" class="button_size1"><span><?php echo $swm_post_button_text; ?></span></a></p> <div class="clear"></div>

		<?php 
		}					
	} 
}				

/* ************************************************************************************** 
	(19) Portfolio: Excerpt / Button / Portfolio Thumbnail Hover Zoom/Play Icon / 
		 Thumbnails & Lightbox Images/Videos / Sortable Portfolio Categories List
************************************************************************************** */

/* ========== Portfolio Item Title ========== */

function swm_portfolio_title() {
	$id = get_the_ID();
	$swm_portfolio_title_text = of_get_option('swm_portfolio_title_text');
	$swm_portfolio_item_title_link = of_get_option('swm_portfolio_item_title_link');
	$permalink = get_permalink( $id );
	$title = get_the_title( $id );	
	
	if ($swm_portfolio_title_text) {
		
		if ($swm_portfolio_item_title_link) {
			
			echo '<h3>'.$title .'</h3>';
			
		}else {
			
			echo '<h3><a href="'.$permalink.'" rel="bookmark" title="'.$title.'">'.$title .'</a></h3>';
		}
		
		
	}	
}

/* ========== Show/Hide Excerpt and Excerpt Length ========== */

function swm_portfolio_excerpt() {
	
	$swm_show_portfolio_excerpt = of_get_option('swm_show_portfolio_excerpt');
	$swm_portfolio_excerpt_length = of_get_option('swm_portfolio_excerpt_length');

	if ($swm_show_portfolio_excerpt) { 

	echo '<p>';
		swm_the_excerpt($swm_portfolio_excerpt_length);
	echo ' </p>';
	}
}

/* ========== Portfolio Item Button ========== */

function swm_portfolio_button() {
	
	$id = get_the_ID();
	$swm_show_portfolio_button = of_get_option('swm_portfolio_item_button');
	$swm_portfolio_button_text = of_get_option('swm_portfolio_item_button_text');
	$permalink = get_permalink( $id );
	
	if ($swm_show_portfolio_button) {		
		echo '<p><a class="button_white" href="'.$permalink.'"><span>'.$swm_portfolio_button_text.'</span></a></p>';			
	}	
}

/* ========== Portfolio Thumbnail Hover Zoom/Play Icon ========== */

function swm_portfolio_hover_icon() {
 
	$swm_onoff_prettyphoto = of_get_option('swm_onoff_prettyphoto');
	$swm_portfolio_video = get_post_meta(get_the_id(), 'swm_portfolio_video', true);
	
	if (!$swm_onoff_prettyphoto) { 
	
		echo 'lang="doc-icon"';
	
	} elseif ($swm_portfolio_video != '') { 
	
		echo 'lang="play-icon"';
	
	}else {
		
		echo 'lang="zoom-icon"';
	}
}

/* ========== Portfolio Item Thumbnails and Lightbox Images/Videos ========== */

function swm_portfolio_thumb($postid, $thumbsize) {
	
	$id = get_the_ID();
	$swm_onoff_prettyphoto = of_get_option('swm_onoff_prettyphoto');
	$thumb = null;	
	$swm_featured_image = wp_get_attachment_url(get_post_thumbnail_id($id));
	$video = get_post_meta($postid, 'swm_portfolio_video', true);
	$swm_lightbox_image_title = get_post_meta($postid, 'swm_lightbox_image_title', true);
	$swm_lightbox_image_description = get_post_meta($postid, 'swm_lightbox_image_description', true);
	
	$swm_1column_height = (of_get_option('swm_1column_height') <> '') ? esc_attr(of_get_option('swm_1column_height')) : '260';
	$swm_2column_height = (of_get_option('swm_2column_height') <> '') ? esc_attr(of_get_option('swm_2column_height')) : '210';
	$swm_3column_height = (of_get_option('swm_3column_height') <> '') ? esc_attr(of_get_option('swm_3column_height')) : '140';
	$swm_4column_height = (of_get_option('swm_4column_height') <> '') ? esc_attr(of_get_option('swm_4column_height')) : '120';	
	
	if($thumbsize == 'one-column') { $thumb = '<img src="'.swm_resize($swm_featured_image, 581,$swm_1column_height, true,'c', false).'" alt="'.$swm_lightbox_image_title.'" />'; }	
	if($thumbsize == 'two-column') { $thumb = '<img src="'.swm_resize($swm_featured_image, 441,$swm_2column_height, true,'c', false).'" alt="'.$swm_lightbox_image_title.'" />'; }	
	if($thumbsize == 'three-column') { $thumb = '<img src="'.swm_resize($swm_featured_image, 276,$swm_3column_height, true,'c', false).'" alt="'.$swm_lightbox_image_title.'" />'; }	
	if($thumbsize == 'four-column') { $thumb = '<img src="'.swm_resize($swm_featured_image, 193,$swm_4column_height, true,'c', false).'" alt="'.$swm_lightbox_image_title.'" />'; }	
	
	if($swm_onoff_prettyphoto) {

		if($video != '') {
			$output = '<a rel="prettyPhoto[gallerycolumn]" title="'.$swm_lightbox_image_description.'" href="'.$video.'">'.$thumb.'</a>';
		}
		else {
			$output = '<a rel="prettyPhoto[gallerycolumn]" title="'.$swm_lightbox_image_description.'" href="'.$swm_featured_image.'">'.$thumb.'</a>';
		}		
	}
	else {	
		$output = '<a title="'.get_the_title($postid).'" href="'.get_permalink($postid).'">'.$thumb.'</a>';
	}
	
	echo $output;
}

/* ===== Sortable Portfolio Categories List ===== */

class Portfolio_Walker extends Walker_Category {
	function start_el(&$output, $category, $depth, $args) {
		
		extract($args);
		
		$cat_name = esc_attr( $category->name);
		$cat_name = apply_filters( 'list_cats', $cat_name, $category );
		$link = '<a href="#" data-filter=".'.strtolower(preg_replace('/\s+/', '-', $cat_name)).'" title="'.$cat_name.'"><span>'.$cat_name.'</span></a> ';			

		if ( isset($show_count) && $show_count )
			$link .= ' (' . intval($category->count) . ')';
		if ( isset($show_date) && $show_date ) {
			$link .= ' ' . gmdate('Y-m-d', $category->last_update_timestamp);
		}
		if ( isset($current_category) && $current_category )
			$_current_category = get_category( $current_category );
		if ( 'list' == $args['style'] ) {
			$output .= "<li>$link";			
		} else {
			$output .= "\t$link<br />\n";
		}
	}
}

/* ************************************************************************************** 
	(20) Pagination
************************************************************************************** */

function swm_pagination($pages = '', $range = 2)
{  
	$showitems = ($range * 2)+1;  

	global $paged;
	if(empty($paged)) $paged = 1;

	if($pages == '') {
		global $wp_query;
		$pages = $wp_query->max_num_pages;
		if(!$pages) {
			$pages = 1;
		}
	}   

	if(1 != $pages) {
		echo "<div class='swm_pagination'>";
		if($paged > 2 && $paged > $range+1 && $showitems < $pages) echo "<a class='page-first' href='".get_pagenum_link(1)."'></a>";
		if($paged > 1 && $showitems < $pages) echo "<a class='page-previous' href='".get_pagenum_link($paged - 1)."'></a>";

		for ($i=1; $i <= $pages; $i++) {
			if (1 != $pages &&( !($i >= $paged+$range+1 || $i <= $paged-$range-1) || $pages <= $showitems )) {
				echo ($paged == $i)? "<span class='current'>".$i."</span>":"<a href='".get_pagenum_link($i)."' class='inactive' >".$i."</a>";
			}
		}

		if ($paged < $pages && $showitems < $pages) 
			echo "<a class='page-next' href='".get_pagenum_link($paged + 1)."'></a>";  
		if ($paged < $pages-1 &&  $paged+$range-1 < $pages && $showitems < $pages) 
			echo "<a class='page-last' href='".get_pagenum_link($pages)."'></a>";
		echo "</div>\n";
	}
}


/* ************************************************************************************** 
	(21) Comments Listing
************************************************************************************** */

if ( ! function_exists( 'swm_comment_listing' ) ) {

	function swm_comment_listing( $comment, $args, $depth ) {
		
		$GLOBALS['comment'] = $comment;
		
		switch ( $comment->comment_type ) :
			case '' : ?>
				
				<li <?php comment_class(); ?> id="li-comment-<?php comment_ID(); ?>">
					
					<div id="comment-<?php comment_ID(); ?>" class="comment">
					
						<div class="comment-author left">
							<?php echo get_avatar( $comment, 60 ); ?>
							<div class="reply">
								<?php comment_reply_link( array_merge( $args, array( 'depth' => $depth, 'max_depth' => $args['max_depth'] ) ) ); ?>
							</div> <!-- .reply -->							
						</div><!--.comment-author-->	
						
						<div class="comment-text" >						
							<div class="comment-heading">
								<?php printf( __( '%s', 'swmtranslate' ), sprintf( '<cite>%s</cite>', get_comment_author_link(). __( '&nbsp;Says:', 'swmtranslate' ) ) );  ?>
								<span class="date"><?php
										/* translators: 1: date, 2: time */
										printf( __( '%1$s at %2$s', 'swmtranslate' ), get_comment_date(),  get_comment_time() ); ?><?php edit_comment_link( __( '(Edit)', 'swmtranslate' ), ' ' );
									?></span>										
							</div> <!-- .comment-heading -->								
							<div class="comment-body">
								<?php comment_text(); ?>
								<div class="clear"></div>
								<?php if ( $comment->comment_approved == '0' ) : ?>
								<p><em><?php _e( 'Your comment is awaiting moderation.', 'swmtranslate' ); ?></em></p>
								<br />
							<?php endif; ?>	
								
							</div><!-- .comment-body -->
						</div> <!-- .comment-text -->	
						
					</div> <!-- .comment -->
					
				<?php
				break;
			case 'pingback'  :
			case 'trackback' : ?>
				
			<li class="post pingback">
				<p><?php _e( 'Pingback:', 'swmtranslate' ); ?> <?php comment_author_link(); ?><?php edit_comment_link( __('(Edit)', 'swmtranslate'), ' ' ); ?></p>
			<?php
					break;
		endswitch;
	}
}


/* ************************************************************************************** 
	(22) Breadcrumbs
************************************************************************************** */

function swm_display_breadcrumbs() {
	if (of_get_option('swm_breadcrumbs')) {		
		swm_breadcrumbs_nav();		
	}		
}

if (!function_exists('swm_breadcrumbs_nav')) {
	function swm_breadcrumbs_nav() {

		global $post;
		
		// Breadcrumb navigation
		if (is_page() && !is_front_page() || is_single() || is_category()) {
			//echo '<ul class="breadcrumbs">';
			echo '<li class="front_page"><a href="'.get_bloginfo('url').'">'.get_bloginfo('name').'</a></li>';
	 
		if (is_page()) {
			$ancestors = get_post_ancestors($post);
	 
			if ($ancestors) {
				$ancestors = array_reverse($ancestors);
	 
				foreach ($ancestors as $crumb) {
				echo '<li><a href="'.get_permalink($crumb).'">'.get_the_title($crumb).'</a></li>';
				}
			}
		}
	 
		if (is_single()) {
			$category = get_the_category();
			echo '<li><a href="'.get_category_link($category[0]->cat_ID).'">'.$category[0]->cat_name.'</a></li>';
		}
	 
		if (is_category()) {
			$category = get_the_category();
			echo '<li>'.$category[0]->cat_name.'</li>';
		}
	 
		// Current page
		if (is_page() || is_single()) {
			echo '<li class="current">'.get_the_title().'</li>';
		}
		//echo '</ul>';
		} elseif (is_front_page()) {
			// Front page
			//echo '<ul class="breadcrumbs">';
			echo '<li class="front_page"><a href="'.get_bloginfo('url').'">'.get_bloginfo('name').'</a></li>';
			//echo '<li class="current">Home Page</li>';
			//echo '</ul>';
		}

	}
}

/* ************************************************************************************** 
	(23) Custom JS
************************************************************************************** */

if (!function_exists('swm_display_custom_js')) {
	function swm_display_custom_js() {
		
		$swm_custom_js = of_get_option('swm_custom_js');
		
		if ($swm_custom_js != '') {				
			echo '<script type="text/javascript">';
			echo $swm_custom_js;
			echo '</script>';
			
		}
	}
}
add_action('wp_footer', 'swm_display_custom_js');

/* ************************************************************************************** 
	(24) Validate Email for Contact Form
************************************************************************************** */

function validateEmail($email){
	return eregi("^[_a-z0-9-]+(\.[_a-z0-9-]+)*@[a-z0-9-]+(\.[a-z0-9-]+)*(\.[a-z]{2,3})$", $email);
}