<?php

function optionsframework_option_name() {
	// This gets the theme name from the stylesheet (lowercase and without spaces)
	$themename = get_theme_data(STYLESHEETPATH . '/style.css');
	$themename = $themename['Name'];
	$themename = preg_replace("/\W/", "", strtolower($themename) );
	
	$optionsframework_settings = get_option('optionsframework');
	$optionsframework_settings['id'] = $themename;
	update_option('optionsframework', $optionsframework_settings);
}

function optionsframework_options() {
	
	// Home page Slider
	$homepage_slider = array(
						"cycle-slider" => "Cycle Slider",
						"nivo-slider" => "Nivo Slider",
						"carousel-slider" => "Carousel Slider",
						"skitter-slider" => "Skitter Slider" );	
						
	/* Cycle slider transition */
	$cycle_transition = array(						
						"fade" => "Fade",
						"blindX" => "Blind X",
						"blindY" => "Blind Y",
						"blindZ" => "Blind Z",
						"cover" => "Cover",
						"curtainX" => "Curtain X",
						"curtainY" => "Curtain Y",						
						"fadeZoom" => "Fade Zoom",
						"growX" => "Grow X",
						"growY" => "Grow Y",
						"none" => "None",
						"scrollUp" => "Scroll Up",
						"scrollDown" => "Scroll Down",
						"scrollLeft" => "Scroll Left",
						"scrollRight" => "Scroll Right",
						"scrollHorz" => "Scroll Horizontal",						
						"scrollVert" => "Scroll Vertical",
						"shuffle" => "Shuffle",
						"slideX" => "Slide X",
						"slideY" => "SlideY",
						"toss" => "Toss",
						"turnUp" => "Turn Up",
						"turnDown" => "Turn Down",
						"turnLeft" => "Turn Left",
						"turnRight" => "Turn Right",
						"uncover" => "Uncover",
						"wipe" => "Wipe",
						"zoom" => "Zoom");
						
	/* Nivo slider transition */
	$nivo_transition = array(						
						"random" => "Random",
						"fade" => "Fade",
						"fold" => "Fold",
						"sliceDownRight" => "Slice Down Right",
						"sliceDownLeft" => "Slice Down Left",
						"sliceUpRight" => "Slice Up Right",
						"sliceUpLeft" => "Slice Up Left",
						"sliceUpDown" => "Slice Up Down",
						"sliceUpDownLeft" => "Slice Up Down Left",						
						"boxRandom" => "Box Random",
						"boxRain" => "Box Rain",
						"boxRainReverse" => "Box Rain Reverse",
						"boxRainGrow" => "Box Rain Grow",
						"boxRainGrowReverse" => "Box Rain Grow Reverse"	);	

	/* Carousel slider transition */
	$carousel_transition = array(					
						"swing" => "Swing",
						"easeOutQuint" => "Ease Out Quint",
						"easeOutExpo" => "Ease Out Expo",						
						"easeOutElastic" => "Ease Out Elastic",
						"easeOutBack" => "Ease Out Back",						
						"easeOutBounce" => "Ease Out Bounce" );						
					
	/* Skitter slider transition */
	$skitter_transition = array(						
						"random" => "Random",
						"cube" => "Cube",
						"cubeRandom" => "Cube Random",
						"block" => "Block",
						"cubeStop" => "Cube Stop",
						"cubeStopRandom" => "Cube Stop Random",
						"cubeHide" => "Cube Hide",
						"cubeSize" => "Cube Size",
						"horizontal" => "Horizontal",
						"showBars" => "Show Bars",
						"showBarsRandom" => "Show Bars Random",
						"fade" => "Fade",
						"fadeFour" => "Fade Four",
						"paralell" => "Paralell",
						"blind" => "Blind",
						"blindHeight" => "Blind Height",
						"blindWidth" => "Blind Width",
						"directionTop" => "Direction Top",
						"directionBottom" => "Direction Bottom",
						"directionRight" => "Direction Right",
						"directionLeft" => "Direction Left",
						"cubeSpread" => "Cube Spread",
						"glassCube" => "Glass Cube",
						"glassBlock" => "Glass Block",
						"circles" => "Circles",
						"circlesInside" => "Circles Inside",
						"circlesRotate" => "Circles Rotate",
						"cubeShow" => "Cube Show",
						"upBars" => "Up Bars",
						"downBars" => "Down Bars" );
	
	// Footer Column
	$footer_column = array(
						"one-column" => "1",
						"two-column" => "2",
						"three-column" => "3",
						"four-column" => "4",
						"five-column" => "5",
						"six-column" => "6"
						);
						
	// Testimonials Styles
	$testimonial_style = array(
						"quote-style" => __('Testimonials with Quote Style', 'swmtranslate'),
						"image-style" => __('Testimonials with Client Image', 'swmtranslate'),
						"box-style" => __('Testimonials with Box Style', 'swmtranslate')
						);	

	// FAQs Styles
	$faq_style = array(
						"box-style" => __('Box Style', 'swmtranslate'),
						"icon-style" => __('Icon Style', 'swmtranslate')
						);		

	// Blog Sidebar
	$sidebar_position = array(
						"left-sidebar" => __('Left Sidebar', 'swmtranslate'),
						"right-sidebar" => __('Right Sidebar', 'swmtranslate')
						);
						
	// Portfolio Single Page
	$portfolio_single_options = array(
						"portfolio-with-sidebar" => __('Portfolio Single Page with Sidebar', 'swmtranslate'),
						"portfolio-with-fullwidth" => __('Portfolio Single Page with Full Width', 'swmtranslate')
						);					
						
						
	
	// Pull all the categories into an array
	$options_categories = array();  
	$options_categories_obj = get_categories();
	foreach ($options_categories_obj as $category) {
    	$options_categories[$category->cat_ID] = $category->cat_name;
	}
	
	// Pull all the pages into an array
	$options_pages = array();  
	$options_pages_obj = get_pages('sort_column=post_parent,menu_order');
	$options_pages[''] = 'Select a page:';
	foreach ($options_pages_obj as $page) {
    	$options_pages[$page->ID] = $page->post_title;
	}
		
	// If using image radio buttons, define a directory path
	$imagepath =  get_template_directory_uri() . '/framework/images/';
		
	$shortname = 'swm';
	
	$options = array();
		
	/* General Options */
	
	$options[] = array( 
						"name" => __('General', 'swmtranslate'),
						"id" => $shortname."_general",
						"type" => "heading");
						
	$options[] = array( 
						"name" => __('General Settings', 'swmtranslate'),
						"id" => $shortname."sh1",
						"type" => "sub-heading");						
						
	$options[] = array( 
						"name" => __('Upload Logo', 'swmtranslate'),
						"desc" => __('Upload your company logo image. (Theme\'s logo image size 211px width and 96px height)', 'swmtranslate'),						
						"id" => $shortname."_logo",						
						"type" => "upload");

	$options[] = array( 
						"name" => __('Upload Favicon', 'swmtranslate'),
						"desc" => __('Upload <i>favicon.ico</i> image in size 16px x 16px. ( <a href=\"http://www.favicon.cc\">Generate favicon.ico</a> )', 'swmtranslate'),					
						"id" => $shortname."_favicon",
						"type" => "upload");
	
	$options[] = array( 
						"name" => __('Display Breadcrumbs', 'swmtranslate'),
						"desc" => __('Un-check to hide <i>breadcrumbs.</i>', 'swmtranslate'),						
						"id" => $shortname."_breadcrumbs",
						"std" => "1",
						"type" => "checkbox");				
						
	$options[] = array( 
						"name" => __('Display Scroll To Top Arrow Icon', 'swmtranslate'),
						"desc" => __('Un-check to hide bottom right <i>Go to Top arrow icon.</i>', 'swmtranslate'),						
						"id" => $shortname."_scroll_to_top",
						"std" => "1",
						"type" => "checkbox");	

	$options[] = array( 
						"name" => __('Display Search Bar', 'swmtranslate'),
						"desc" => __('Un-check to hide header <i>Search Box.</i>', 'swmtranslate'),						
						"id" => $shortname."_search_bar",
						"std" => "1",
						"type" => "checkbox");	

	$options[] = array( 
						"name" => __('Search Bar Text', 'swmtranslate'),
						"desc" => __('Enter search bar text field display text (e.g. Enter Keywords...)', 'swmtranslate'),						
						"id" => $shortname."_search_bar_textinfo",
						"std" => "Enter keywords",						
						"type" => "text");

	$options[] = array( 
						"name" => __('Sidebar Position', 'swmtranslate'),
						"desc" => __('Select sidebar position for all inner pages and posts', 'swmtranslate'),
						"id" => $shortname."_blog_sidebar_position",
						"std" => "right-sidebar",
						"type" => "select",	
						"class" => "mini",
						"options" => $sidebar_position);	

	$options[] = array( 
						"name" => __('Set Inner page Header in Home page', 'swmtranslate'),
						"desc" => __('Check to remove default home page large header and set inner page header ( like About Us, Testimonials etc. ) and then select inner page from Settings > <a href="options-reading.php">Reading</a> > Front page display > "Front page" drop dwon.', 'swmtranslate'),						
						"id" => $shortname."_inner_page_header",
						"std" => "0",
						"type" => "checkbox");
						
	
	/* Styling */
	
	$options[] = array( 
						"name" => __('Styling', 'swmtranslate'),
						"id" => $shortname."_styling",
						"type" => "heading");
						
	$options[] = array( 
						"name" => __('Theme\'s Skin Settings', 'swmtranslate'),
						"id" => $shortname."sh2",
						"type" => "sub-heading");					
	
	$options[] = array( 
						"name" => __('Select theme skin', 'swmtranslate'),
						"desc" => '',						
						"id" => $shortname."_theme_skin_style",
						"std" => "__('khaki', 'swmtranslate'),",
						"type" => "images",
						"options" => array(
							'khaki' => $imagepath . 'khaki.png',
							'orange' => $imagepath . 'orange.png',
							'green' => $imagepath . 'green.png',
							'cabaret' => $imagepath . 'cabaret.png',
							'red' => $imagepath . 'red.png',
							'blue' => $imagepath . 'blue.png',							
							'golden' => $imagepath . 'golden.png',
							'olive' => $imagepath . 'olive.png',
							'copper' => $imagepath . 'copper.png',
							'sea-green' => $imagepath . 'sea-green.png',
							'purple' => $imagepath . 'purple.png',
							'pink' => $imagepath . 'pink.png',
							'teal' => $imagepath . 'teal.png',
							'dodger-blue' => $imagepath . 'dodger-blue.png',
							'brown' => $imagepath . 'brown.png',
							'polo-blue' => $imagepath . 'polo-blue.png',
							'grey' => $imagepath . 'grey.png',							
							'cave' => $imagepath . 'cave.png')
						);
	
	/* Fonts */
	
	$options[] = array( 
						"name" => __('Fonts', 'swmtranslate'),
						"id" => $shortname."_fonts",
						"type" => "heading");
						
	$options[] = array( 
						"name" => __('Fonts Settings', 'swmtranslate'),
						"id" => $shortname."sh3",
						"type" => "sub-heading");
	
	$options[] = array( 		
						"name" => __('Content Paragraph Text', 'swmtranslate'),	
						"desc" => __('( Default : Size:12px / Color:#626161 )', 'swmtranslate'),						
						"id" => $shortname."_paragraph_font",
						"std" => array('size' => '12px','color' => '#626161'),
						"type" => "typography");	
						
	$options[] = array( 
						"name" => __('Content Headings', 'swmtranslate'),
						"id" => $shortname."sh4",
						"type" => "sub-heading");
	
	$options[] = array( 
						"name" => __('H1 Heading', 'swmtranslate'),
						"desc" => __('( Default : Size:30px / Color:#181818 )', 'swmtranslate'),						
						"id" => $shortname."_h1_heading_font",
						"std" => array('size' => '30px','color' => '#181818'),
						"type" => "typography");
						
	$options[] = array( 
						"name" => __('H2 Heading', 'swmtranslate'),
						"desc" => __('( Default : Size:22px / Color:#181818 )', 'swmtranslate'),						
						"id" => $shortname."_h2_heading_font",
						"std" => array('size' => '22px','color' => '#181818'),
						"type" => "typography");						
						
	$options[] = array( 
						"name" => __('H3 Heading', 'swmtranslate'),
						"desc" => __('( Default : Size:19px / Color:#181818 )', 'swmtranslate'),						
						"id" => $shortname."_h3_heading_font",
						"std" => array('size' => '19px','color' => '#181818'),
						"type" => "typography");						
						
	$options[] = array( 
						"name" => __('H4 Heading', 'swmtranslate'),
						"desc" => __('( Default : Size:17px / Color:#181818 )', 'swmtranslate'),						
						"id" => $shortname."_h4_heading_font",
						"std" => array('size' => '17px','color' => '#181818'),
						"type" => "typography");						
						
	$options[] = array( 
						"name" => __('H5 Heading', 'swmtranslate'),
						"desc" => __('( Default : Size:15px / Color:#181818 )', 'swmtranslate'),					
						"id" => $shortname."_h5_heading_font",
						"std" => array('size' => '15px','color' => '#181818'),
						"type" => "typography");						
						
	$options[] = array( 
						"name" => __('H6 Heading', 'swmtranslate'),
						"desc" => __('( Default : Size:13px / Color:#181818 )', 'swmtranslate'),						
						"id" => $shortname."_h6_heading_font",
						"std" => array('size' => '13px','color' => '#181818'),
						"type" => "typography");	

	$options[] = array( 
						"name" => __('Blog Post Heading', 'swmtranslate'),
						"desc" => __('( Default : Size:22px / Color:#181818 )', 'swmtranslate'),						
						"id" => $shortname."_blog_post_title_font",
						"std" => array('size' => '22px','color' => '#181818'),
						"type" => "typography");
						
				
	$options[] = array( 
						"name" => __('Sidebar', 'swmtranslate'),
						"id" => $shortname."sh5",
						"type" => "sub-heading");
	
	$options[] = array( 
						"name" => __('Sidebar Widget Title', 'swmtranslate'),
						"desc" => __('( Default : Size:16px / Color:#181818 )', 'swmtranslate'),						
						"id" => $shortname."_sidebar_h2_heading_font",
						"std" => array('size' => '16px','color' => '#181818'),
						"type" => "typography");
						
	$options[] = array( 
						"name" => __('Footer', 'swmtranslate'),
						"id" => $shortname."sh6",
						"type" => "sub-heading");
	
	$options[] = array( 
						"name" => __('Additional Footer H4 Heading', 'swmtranslate'),
						"desc" => __('( Default : Size:22px / Color:#181818 )', 'swmtranslate'),						
						"id" => $shortname."_additional_footer_h4_heading_font",
						"std" => array('size' => '22px','color' => '#181818'),
						"type" => "typography");

	$options[] = array( 
						"name" => __('Large Footer Heading', 'swmtranslate'),
						"desc" => __('( Default : Size:17px / Color:#e4e4e4 )', 'swmtranslate'),						
						"id" => $shortname."_footer_h2_heading_font",
						"std" => array('size' => '17px','color' => '#e4e4e4'),
						"type" => "typography");
						
	$options[] = array( 
						"name" => __('Large Footer Text', 'swmtranslate'),
						"desc" => __('( Default : Size:12px / Color:#939393 )', 'swmtranslate'),					
						"id" => $shortname."_large_footer_text",
						"std" => array('size' => '12px','color' => '#939393'),
						"type" => "typography");				
	
	$options[] = array( 
						"name" => __('Small Footer Menu Text', 'swmtranslate'),
						"desc" => __('( Default : Size:12px / Color:#939393 )', 'swmtranslate'),						
						"id" => $shortname."_small_footer_menu_font",
						"std" => array('size' => '12px','color' => '#939393'),
						"type" => "typography");
						
	$options[] = array( 
						"name" => __('Copyright Info Text', 'swmtranslate'),
						"desc" => __('( Default : Size:12px / Color:#838383 )', 'swmtranslate'),						
						"id" => $shortname."_small_footer_copyright_font",
						"std" => array('size' => '12px','color' => '#838383'),
						"type" => "typography");
						
						
	/* Footer */
	
	$options[] = array( 
						"name" => __('Footer', 'swmtranslate'),
						"id" => $shortname."_footer",
						"type" => "heading");
						
	$options[] = array( 
						"name" => __('Footer Settings', 'swmtranslate'),
						"id" => $shortname."sh7",
						"type" => "sub-heading");					
						
	$options[] = array( 
						"name" => __('Footer Columns', 'swmtranslate'),
						"desc" => __('Select footer column.', 'swmtranslate'),						
						"id" => $shortname."_footer_column",
						"std" => "three-column",
						"type" => "select",
						"class" => "mini", //mini, tiny, small
						"options" => $footer_column);	
	
	$options[] = array( 
						"name" => __('Copyright Info', 'swmtranslate'),
						"desc" => __('Add copyright text in small footer right side.', 'swmtranslate'),						
						"id" => $shortname."_copyright_info",
						"std" => __('Copyright 2012, Company Name.', 'swmtranslate'),
						"class" => "small-textarea",
						"type" => "textarea");

	$options[] = array( 
						"name" => __('Google  Analytical Code', 'swmtranslate'),
						"desc" => __('Enter your google id (generally it looks like this: UA-XXXXX-X).', 'swmtranslate'),						
						"id" => $shortname."_google_analytical",
						"std" => "",
						"type" => "text");	
	
	$options[] = array( 
						"name" => __('Additional Footer Settings', 'swmtranslate'),
						"id" => $shortname."sh8",
						"type" => "sub-heading");
						
	$options[] = array( 
						"name" => __('Display Additional Footer', 'swmtranslate'),
						"desc" => __('Un-check to hide <i>Additional Footer.</i>', 'swmtranslate'),						
						"id" => $shortname."_additional_footer",
						"std" => "1",
						"type" => "checkbox");	
						
	$options[] = array( 
						"name" => __('Additional Footer Text', 'swmtranslate'),
						"desc" => __('Use above area to add <i>additional footer</i> text with HTML code.', 'swmtranslate'),					
						"id" => $shortname."_additional_footer_text",
						"std" => "",
						"class" => "large-textarea",
						"type" => "textarea");
						
	/* Slider */
	
	$options[] = array( 
						"name" => __('Home Slider', 'swmtranslate'),
						"id" => $shortname."_home_slider",
						"type" => "heading");
						
	$options[] = array( 
						"name" => __('Home Slider Settings', 'swmtranslate'),
						"id" => $shortname."sh9",
						"type" => "sub-heading");					
						
	$options[] = array( 
						"name" => __('Select Slider', 'swmtranslate'),
						"desc" => __('Select default home page slider', 'swmtranslate'),						
						"id" => $shortname."_slider_name",
						"std" => "cycle-slider",
						"type" => "select",
						"class" => "mini", 
						"options" => $homepage_slider);	

	$options[] = array( 
						"name" => __('Pause on Hover', 'swmtranslate'),
						"desc" => __('<i>Un-check</i> to disable pause slider animation on hover.', 'swmtranslate'),
						"id" => $shortname."_slider_pause_hover",
						"std" => "1",
						"type" => "checkbox");				
					
	$options[] = array( 
						"name" => __('Display Bullet Navigation', 'swmtranslate'),
						"desc" => __('<i>Un-check</i> to hide bullet navigation.', 'swmtranslate'),
						"id" => $shortname."_slider_bullet_navigation",
						"std" => "1",
						"type" => "checkbox");
						
	$options[] = array( 
						"name" => __('Display Arrow Navigation', 'swmtranslate'),
						"desc" => __('<i>Un-check</i> to hide arrow navigation.', 'swmtranslate'),
						"id" => $shortname."_slider_arrow_navigation",
						"std" => "1",
						"type" => "checkbox");
						
	$options[] = array( 
						"name" => __('Display Slider Caption', 'swmtranslate'),
						"desc" => __('<i>Un-check</i> to hide slider caption. ( For Nivo, Carousel and Skitter Sliders)', 'swmtranslate'),
						"id" => $shortname."_slider_caption",
						"std" => "1",
						"type" => "checkbox");

	$options[] = array( 
						"name" => __('Animation Speed', 'swmtranslate'),
						"desc" => __('The speed of the transition animation in miliseconds (e.g. 500)', 'swmtranslate'),						
						"id" => $shortname."_slider_animation_speed",
						"std" => "500",
						"class" => "mini",
						"type" => "text");					
	
	$options[] = array( 
						"name" => __('Interval Between Transitions', 'swmtranslate'),
						"desc" => __('The amount of time to show each slide in miliseconds (e.g. 3000)', 'swmtranslate'),
						"id" => $shortname."_slider_interval_between_transitions",
						"std" => "3000",
						"class" => "mini",
						"type" => "text");	


	/* Home page Cycle Slider */					
					
	$options[] = array( 
						"name" => __('Cycle Slider', 'swmtranslate'),
						"id" => $shortname."sh10",
						"type" => "sub-heading");						
						
	$options[] = array( 
						"name" => __('Select Transition', 'swmtranslate'),
						"desc" => __('Select Slide Transition Type', 'swmtranslate'),					
						"id" => $shortname."_cycle_transition",
						"std" => "fade",
						"type" => "select",
						"class" => "mini", 
						"options" => $cycle_transition);
						
					
	/* Home page Nivo Slider */
	
	$options[] = array( 
						"name" => __('Nivo Slider', 'swmtranslate'),
						"id" => $shortname."sh11",
						"type" => "sub-heading");						
						
	$options[] = array( 
						"name" => __('Select Transition', 'swmtranslate'),
						"desc" => __('Select Slide Transition Type', 'swmtranslate'),						
						"id" => $shortname."_nivo_transition",
						"std" => "random",
						"type" => "select",
						"class" => "mini", 
						"options" => $nivo_transition);
						
	$options[] = array( 
						"name" => __('Slices', 'swmtranslate'),
						"desc" => __('The number of slides to use in the "Slice" transitions (e.g. 15)', 'swmtranslate'),
						"id" => $shortname."_nivo_slices",
						"std" => "15",
						"class" => "mini",
						"type" => "text");	

	$options[] = array( 
						"name" => __('Box Row', 'swmtranslate'),
						"desc" => __('The number of rows to use in the "Box" transitions (e.g. 4)', 'swmtranslate'),
						"id" => $shortname."_nivo_box_row",
						"std" => "4",
						"class" => "mini",
						"type" => "text");
						
	$options[] = array( 
						"name" => __('Box Column', 'swmtranslate'),
						"desc" => __('The number of columns to use in the "Box" transitions (e.g. 8)', 'swmtranslate'),
						"id" => $shortname."_nivo_box_column",
						"std" => "8",
						"class" => "mini",
						"type" => "text");
						
	/* Home page Skitter Slider */					
						
	$options[] = array( 
						"name" => __('Skitter Slider', 'swmtranslate'),
						"id" => $shortname."sh12",
						"type" => "sub-heading");						
						
	$options[] = array( 
						"name" => __('Select Transition', 'swmtranslate'),
						"desc" => __('Select Slide Transition Type', 'swmtranslate'),						
						"id" => $shortname."_skitter_transition",
						"std" => "random",
						"type" => "select",
						"class" => "mini", 
						"options" => $skitter_transition);
						
	$options[] = array( 
						"name" => __('Display Thumb Preview on Bullets Navigation Hover', 'swmtranslate'),
						"desc" => __('<i>Un-check</i> to disable thumb preview on bullets hover.', 'swmtranslate'),
						"id" => $shortname."_skitter_thumb_preview",
						"std" => "1",
						"type" => "checkbox");
						
						
	/* Home page Carousel Slider */					
						
	$options[] = array( 
						"name" => __('Carousel Slider', 'swmtranslate'),
						"id" => $shortname."sh13",
						"type" => "sub-heading");						
							
	$options[] = array( 
						"name" => __('Select Transition', 'swmtranslate'),
						"desc" => __('Select Slide Transition Type', 'swmtranslate'),						
						"id" => $shortname."_carousel_transition",
						"std" => "swing",
						"type" => "select",
						"class" => "mini", 
						"options" => $carousel_transition);
						
	/* Portfolio */
	
	$options[] = array( 
						"name" => __('Portfolio', 'swmtranslate'),
						"id" => $shortname."_portfolio",
						"type" => "heading");
						
	$options[] = array( 
						"name" => __('Portfolio Settings', 'swmtranslate'),
						"id" => $shortname."sh14",
						"type" => "sub-heading");					

	$options[] = array( 
						"name" => __('Display Portfolio Item Title', 'swmtranslate'),
						"desc" => __('<i>Un-check</i> to hide portfolio item title', 'swmtranslate'),
						"id" => $shortname."_portfolio_title_text",
						"std" => "1",
						"type" => "checkbox");

	$options[] = array( 
						"name" => __('Display Excerpt', 'swmtranslate'),
						"desc" => __('<i>Un-check</i> to hide portfolio item sort description', 'swmtranslate'),
						"id" => $shortname."_show_portfolio_excerpt",
						"std" => "1",
						"type" => "checkbox");	

	$options[] = array( 
						"name" => __('Excerpt Length', 'swmtranslate'),
						"desc" => __('Portfolio sort description characters length (e.g. 100)', 'swmtranslate'),
						"id" => $shortname."_portfolio_excerpt_length",
						"std" => "100",
						"class" => "mini",
						"type" => "text");	

	$options[] = array( 
						"name" => __('Display Read More Button', 'swmtranslate'),
						"desc" => __('<i>Un-check</i> to hide portfolio item read more button', 'swmtranslate'),
						"id" => $shortname."_portfolio_item_button",
						"std" => "1",
						"type" => "checkbox");

	$options[] = array( 
						"name" => __('Read More Button Text', 'swmtranslate'),
						"desc" => __('The label of the read more button', 'swmtranslate'),
						"id" => $shortname."_portfolio_item_button_text",
						"std" => __('Read more', 'swmtranslate'),
						"class" => "mini",
						"type" => "text");
						
	$options[] = array( 
						"name" => __('Display Images/Videos on Lightbox', 'swmtranslate'),
						"desc" => __('<i>Un-check</i> to disable lightbox feature (open large image in popup) and link image to single page', 'swmtranslate'),
						"id" => $shortname."_onoff_prettyphoto",
						"std" => "1",
						"type" => "checkbox");	

	$options[] = array( 
						"name" => __('Disable link on Portfolio Item Title', 'swmtranslate'),
						"desc" => __('<i>Check</i> to disable link on portfolio item title text', 'swmtranslate'),
						"id" => $shortname."_portfolio_item_title_link",
						"std" => "0",
						"type" => "checkbox");
						
	$options[] = array( 
						"name" => __('Portfolio Post Single Page Option', 'swmtranslate'),
						"desc" => '',
						"id" => $shortname."_portfolio_single_options",
						"std" => "portfolio-with-sidebar",
						"type" => "select",	
						"class" => "mini",
						"options" => $portfolio_single_options);					

	$options[] = array( 
						"name" => __('Portfolio Items Parent Page for Breadcrumbs', 'swmtranslate'),
						"desc" => __('Select default parent page for all portfolio items to display in breadcrumbs', 'swmtranslate'),
						"id" => $shortname."_pages_list_portfolio",
						"std" => "",
						"type" => "select",	
						"class" => "mini",
						"options" => $options_pages);						
						

	$options[] = array( 
						"name" => __('Thumbnails Height', 'swmtranslate'),
						"id" => $shortname."sh15",
						"type" => "sub-heading");

	$options[] = array( 
						"name" => __('1 Column Portfolio Thumbnails Height', 'swmtranslate'),
						"desc" => __('Enter 1 column portfolio thumbnail images height ( Default:260 )', 'swmtranslate'),
						"id" => $shortname."_1column_height",
						"std" => '260',
						"class" => "mini",
						"type" => "text");
						
	$options[] = array( 
						"name" => __('2 Column Portfolio Thumbnails Height', 'swmtranslate'),
						"desc" => __('Enter 2 column portfolio thumbnail images height ( Default:210 )', 'swmtranslate'),
						"id" => $shortname."_2column_height",
						"std" => '210',
						"class" => "mini",
						"type" => "text");

	$options[] = array( 
						"name" => __('3 Column Portfolio Thumbnails Height', 'swmtranslate'),
						"desc" => __('Enter 3 column portfolio thumbnail images height ( Default:140 )', 'swmtranslate'),
						"id" => $shortname."_3column_height",
						"std" => '140',
						"class" => "mini",
						"type" => "text");

	$options[] = array( 
						"name" => __('4 Column Portfolio Thumbnails Height', 'swmtranslate'),
						"desc" => __('Enter 4 column portfolio thumbnail images height ( Default:120 )', 'swmtranslate'),
						"id" => $shortname."_4column_height",
						"std" => '120',
						"class" => "mini",
						"type" => "text");
	
	$options[] = array( 
						"name" => __('Portfolio Pagination', 'swmtranslate'),
						"id" => $shortname."sh16",
						"type" => "sub-heading");
	
	$options[] = array( 
						"name" => __('1 Column Items per page', 'swmtranslate'),
						"desc" => '',
						"id" => $shortname."_portfolio_pagination_1column",
						"std" => "12",
						"class" => "mini",
						"type" => "text");	
						
	$options[] = array( 
						"name" => __('2 Column Items per page', 'swmtranslate'),
						"desc" => '',
						"id" => $shortname."_portfolio_pagination_2column",
						"std" => "12",
						"class" => "mini",
						"type" => "text");						
						
	$options[] = array( 
						"name" => __('3 Column Items per page', 'swmtranslate'),
						"desc" => '',
						"id" => $shortname."_portfolio_pagination_3column",
						"std" => "12",
						"class" => "mini",
						"type" => "text");						
						
	$options[] = array( 
						"name" => __('4 Column Items per page', 'swmtranslate'),
						"desc" => '',
						"id" => $shortname."_portfolio_pagination_4column",
						"std" => "12",
						"class" => "mini",
						"type" => "text");

	/* Blog */
	
	$options[] = array( 
						"name" => __('Blog', 'swmtranslate'),
						"id" => $shortname."_blog",
						"type" => "heading");
					
	$options[] = array( 
						"name" => __('Blog Settings', 'swmtranslate'),
						"id" => $shortname."sh17",
						"type" => "sub-heading");
	
	$options[] = array( 
						"name" => __('Display Excerpt', 'swmtranslate'),
						"desc" => __('<i>Un-check</i> to hide post summery text in post listing.', 'swmtranslate'),
						"id" => $shortname."_show_excerpt",
						"std" => "1",
						"type" => "checkbox");	

	$options[] = array( 
						"name" => __('Excerpt Length', 'swmtranslate'),
						"desc" => __('Enter post summery text character length (e.g. 200)', 'swmtranslate'),
						"id" => $shortname."_excerpt_length",
						"std" => "50",
						"class" => "mini",
						"type" => "text");	
	
	$options[] = array( 
						"name" => __('Display Post Date', 'swmtranslate'),
						"desc" => __('<i>Un-check</i> to hide post date with month located left side of each post.', 'swmtranslate'),
						"id" => $shortname."_post_date",
						"std" => "1",
						"type" => "checkbox");
						
	$options[] = array( 
						"name" => __('Display Post Year', 'swmtranslate'),
						"desc" => __('<i>Check</i> this box to display year in date box. ( Default: Un-checked )', 'swmtranslate'),
						"id" => $shortname."_post_year",
						"std" => "0",
						"type" => "checkbox");					

	$options[] = array( 
						"name" => __('Display Post Comments Count', 'swmtranslate'),
						"desc" => __('<i>Un-check</i> to hide comments number located left side of each post.', 'swmtranslate'),
						"id" => $shortname."_post_comments_count",
						"std" => "1",
						"type" => "checkbox");

	$options[] = array( 
						"name" => __('Display "Share" Box', 'swmtranslate'),
						"desc" => __('<i>Un-check</i> to hide share box (share with social media websites) located left side of each post.', 'swmtranslate'),
						"id" => $shortname."_post_share_box",
						"std" => "1",
						"type" => "checkbox");						

	$options[] = array( 
						"name" => __('Display Post Categories', 'swmtranslate'),
						"desc" => __('<i>Un-check</i> to hide post categories information located at bottom area of each post.', 'swmtranslate'),
						"id" => $shortname."_post_categories",
						"std" => "1",
						"type" => "checkbox");	

	$options[] = array( 
						"name" => __('Display Post Author', 'swmtranslate'),
						"desc" => __('<i>Un-check</i> to hide post author\'s name located at bottom area of each post.', 'swmtranslate'),
						"id" => $shortname."_post_author",
						"std" => "1",
						"type" => "checkbox");
					
	$options[] = array( 
						"name" => __('Display Read More Button', 'swmtranslate'),
						"desc" => __('<i>Un-check</i> to hide "Read more" button from post listing page.', 'swmtranslate'),
						"id" => $shortname."_post_button",
						"std" => "1",
						"type" => "checkbox");

	$options[] = array( 
						"name" => __('Read More Button Text', 'swmtranslate'),
						"desc" => '',
						"id" => $shortname."_post_button_text",
						"std" => __('Read more', 'swmtranslate'),
						"class" => "mini",
						"type" => "text");					

	$options[] = array( 
						"name" => __('How Many Blog Posts per Page?', 'swmtranslate'),
						"desc" => '',
						"id" => $shortname."_blog_posts_per_page",
						"std" => "5",
						"class" => "mini",
						"type" => "text");				

	$options[] = array( 
						"name" => __('Exclude Categories from Blog', 'swmtranslate'),
						"desc" => __('Add category IDs, separated by commas (e.g. 1,23,56).', 'swmtranslate'),						
						"id" => $shortname."_blog_exclude_categories",
						"std" => "",						
						"type" => "text");
					
	/* Blog Single */
	
	$options[] = array( 
						"name" => __('Blog Single', 'swmtranslate'),
						"id" => $shortname."sh18",
						"type" => "sub-heading");

	$options[] = array( 
						"name" => __('Display About Author Box', 'swmtranslate'),
						"desc" => __('<i>Un-check</i> to hide about author box. (You can set author\'s bio from - Wordpress Admin > Users > <a href="profile.php">Your Profile</a> > "About Yourself" Box)', 'swmtranslate'),
						"id" => $shortname."_about_author_box",
						"std" => "1",
						"type" => "checkbox");	
						
	$options[] = array( 
						"name" => __('Display Post Comments', 'swmtranslate'),
						"desc" => __('<i>Un-check</i> to hide post comments.', 'swmtranslate'),
						"id" => $shortname."_post_comments",
						"std" => "1",
						"type" => "checkbox");
						
	/* Title Icons & Taglines */
	
	$options[] = array( 
						"name" => __('Title Icons & Taglines', 'swmtranslate'),
						"id" => $shortname."_title_icons_taglines",
						"type" => "heading");
	
	$options[] = array( 
						"name" => __('Tag Page', 'swmtranslate'),
						"id" => $shortname."sh19",
						"type" => "sub-heading");
						
	$options[] = array( 
						"name" => __('Upload Title Icon for Tag Page', 'swmtranslate'),
						"desc" => '',						
						"id" => $shortname."_tag_title_icon",						
						"type" => "upload");
						
	$options[] = array( 
						"name" => __('Tag Page Tagline', 'swmtranslate'),
						"desc" => __('Enter tag page tagline text in above box', 'swmtranslate'),
						"id" => $shortname."_tag_title_tagline",
						"std" => "",
						"class" => "small2-textarea",
						"type" => "textarea");					
	
	$options[] = array( 
						"name" => __('Search Page', 'swmtranslate'),
						"id" => $shortname."sh20",
						"type" => "sub-heading");

	$options[] = array( 
						"name" => __('Upload Title Icon for Search Page', 'swmtranslate'),
						"desc" => '',						
						"id" => $shortname."_search_title_icon",						
						"type" => "upload");
						
	$options[] = array( 
						"name" => __('Search Page Tagline', 'swmtranslate'),
						"desc" => __('Enter search page tagline text in above box', 'swmtranslate'),
						"id" => $shortname."_search_title_tagline",
						"std" => "",
						"class" => "small2-textarea",
						"type" => "textarea");					
	
	$options[] = array( 
						"name" => __('Archive Page', 'swmtranslate'),
						"id" => $shortname."sh21",
						"type" => "sub-heading");
						
	$options[] = array( 
						"name" => __('Upload Title Icon for Archive Page', 'swmtranslate'),
						"desc" => '',						
						"id" => $shortname."_archives_title_icon",						
						"type" => "upload");
						
	$options[] = array( 
						"name" => __('Archives Page Tagline', 'swmtranslate'),
						"desc" => __('Enter archives page tagline text in above box', 'swmtranslate'),
						"id" => $shortname."_archives_title_tagline",
						"std" => "",
						"class" => "small2-textarea",
						"type" => "textarea");						
						
	$options[] = array( 
						"name" => __('Author Page', 'swmtranslate'),
						"id" => $shortname."sh22",
						"type" => "sub-heading");
						
	$options[] = array( 
						"name" => __('Upload Title Icon for Author Page', 'swmtranslate'),
						"desc" => '',						
						"id" => $shortname."_author_title_icon",						
						"type" => "upload");
						
	$options[] = array( 
						"name" => __('Author Page Tagline', 'swmtranslate'),
						"desc" => __('Enter author page tagline text in above box', 'swmtranslate'),
						"id" => $shortname."_author_title_tagline",
						"std" => "",
						"class" => "small2-textarea",
						"type" => "textarea");						
						
	$options[] = array( 
						"name" => __('404 Page', 'swmtranslate'),
						"id" => $shortname."sh23",
						"type" => "sub-heading");	

	$options[] = array( 
						"name" => __('Upload Title Icon for 404 Page', 'swmtranslate'),
						"desc" => '',						
						"id" => $shortname."_error_page_title_icon",						
						"type" => "upload");
						
	$options[] = array( 
						"name" => __('404 Page Tagline', 'swmtranslate'),
						"desc" => __('Enter 404 page tagline text in above box', 'swmtranslate'),
						"id" => $shortname."_error_page_title_tagline",
						"std" => "",
						"class" => "small2-textarea",
						"type" => "textarea");

	$options[] = array( 
						"name" => __('Image Attachment Page', 'swmtranslate'),
						"id" => $shortname."sh24",
						"type" => "sub-heading");	

	$options[] = array( 
						"name" => __('Upload Title Icon for Image Attachment Page', 'swmtranslate'),
						"desc" => '',						
						"id" => $shortname."_attachment_page_icon",						
						"type" => "upload");
						
	$options[] = array( 
						"name" => __('Image Attachment Page Tagline', 'swmtranslate'),
						"desc" => __('Image Attachment Page tagline text in above box', 'swmtranslate'),
						"id" => $shortname."_img_attachment_title_tagline",
						"std" => "",
						"class" => "small2-textarea",
						"type" => "textarea");		
	
	$options[] = array( 
						"name" => __('Category Page', 'swmtranslate'),
						"id" => $shortname."sh25",
						"type" => "sub-heading");

	$options[] = array( 
						"name" => __('Upload Title Icon for Category Page', 'swmtranslate'),
						"desc" => '',						
						"id" => $shortname."_category_title_icon",						
						"type" => "upload");
						
	$options[] = array( 
						"name" => '',
						"desc" => __('<b>Note: Add all categories taglines from Wordpress Admin > Posts > <a href="edit-tags.php?taxonomy=category">Categories</a> > "Description" box.</b>', 'swmtranslate'),
						"id" => $shortname."_category_tagline_info",
						"std" => "",				
						"class" => "social_intro_text",
						"type" => "info");						
	
	/* Testimonials */
	
	$options[] = array( 
						"name" => __('Testimonials', 'swmtranslate'),
						"id" => $shortname."_testimonials",
						"type" => "heading");

	$options[] = array( 
						"name" => __('Testimonials Settings', 'swmtranslate'),
						"id" => $shortname."sh26",
						"type" => "sub-heading");					

	$options[] = array( 
						"name" => __('Testimonials Style', 'swmtranslate'),
						"desc" => __('Select Testimonials Style', 'swmtranslate'),						
						"id" => $shortname."_testimonial_style",
						"std" => "quote-style",
						"type" => "select",						
						"options" => $testimonial_style);
	
	$options[] = array( 
						"name" => __('Display Testimonials per page', 'swmtranslate'),
						"desc" => '',
						"id" => $shortname."_testimonials_pagination",
						"std" => "12",
						"class" => "mini",
						"type" => "text");
						
	/* FAQs */
	
	$options[] = array( 
						"name" => __('FAQs', 'swmtranslate'),
						"id" => $shortname."_faq",
						"type" => "heading");						

	$options[] = array( 
						"name" => __('FAQs Settings', 'swmtranslate'),
						"id" => $shortname."sh27",
						"type" => "sub-heading");
	
	$options[] = array( 
						"name" => __('FAQs Style', 'swmtranslate'),
						"desc" => __('Select FAQs Style', 'swmtranslate'),						
						"id" => $shortname."_faq_style",
						"std" => "quote-style",
						"type" => "select",						
						"class" => "mini",
						"options" => $faq_style);

	$options[] = array( 
						"name" => __('Display FAQs per page', 'swmtranslate'),
						"desc" => '',
						"id" => $shortname."_faq_pagination",
						"std" => "15",
						"class" => "mini",
						"type" => "text");
						
	/* Error 404 */
	
	$options[] = array( 
						"name" => __('Error 404', 'swmtranslate'),
						"id" => $shortname."_error_page",
						"type" => "heading");
						
	$options[] = array( 
						"name" => __('Error 404 page Settings', 'swmtranslate'),
						"id" => $shortname."sh28",
						"type" => "sub-heading");
	
	$options[] = array( 
						"name" => __('Error 404 Title Text', 'swmtranslate'),
						"desc" => '',
						"id" => $shortname."_error_page_title",
						"std" => "Error 404",					
						"type" => "text");
						
	$options[] = array( 
						"name" => __('Error 404 Message', 'swmtranslate'),
						"desc" => '',
						"id" => $shortname."_error_page_content",
						"std" => '<h1>Oops...</h1>
									
								<h4>The page you were looking for appears to have been moved, deleted or does not exist.</h4>
								<p>You can visit our other pages:</p>									
								<ul>
									<li><a href="#">Home</a></li>
									<li><a href="#">About Us</a></li>								
									<li><a href="#">Services</a></li>
									<li><a href="#">Portfolio</a></li>
									<li><a href="#">Contact Us</a></li>
								</ul>',										
						"type" => "textarea");	
						
	$options[] = array( 
						"name" => __('Error 404 Image', 'swmtranslate'),
						"desc" => __('Sample 404 Error image size - 451px x 257px', 'swmtranslate'),						
						"id" => $shortname."_error_page_image",
						"type" => "upload");						
						
						
	/* Contact Form */
	
	$options[] = array( 
						"name" => __('Contact Form', 'swmtranslate'),
						"id" => $shortname."_contact_form",
						"type" => "heading");					
						
	$options[] = array( 
						"name" => __('Contact Form Settings', 'swmtranslate'),
						"id" => $shortname."sh29",
						"type" => "sub-heading");	
	
	$options[] = array( 
						"name" => __('Contact Form Email Address', 'swmtranslate'),
						"desc" => __('Enter email address where you want to receive contact form emails', 'swmtranslate'),						
						"id" => $shortname."_contact_form_email",
						"std" => "",					
						"type" => "text");						
						
	$options[] = array( 
						"name" => __('Subject Text', 'swmtranslate'),
						"desc" => __('Enter subject message which will display in your email inbox subject section', 'swmtranslate'),						
						"id" => $shortname."_contact_form_subject",
						"std" => "",					
						"type" => "text");						
						
	$options[] = array( 
						"name" => __('Success Message', 'swmtranslate'),
						"desc" => __('The message that will be displayed after the user submits the form.', 'swmtranslate'),						
						"id" => $shortname."_contact_form_success_message",
						"std" => "",					
						"type" => "textarea");

	$options[] = array( 
						"name" => __('"Name" Field Label', 'swmtranslate'),
						"desc" => '',
						"id" => $shortname."_contact_form_label_name",
						"std" => __('Name', 'swmtranslate'),					
						"type" => "text");
					
	$options[] = array( 
						"name" => __('"Email" Field Label', 'swmtranslate'),
						"desc" => '',
						"id" => $shortname."_contact_form_label_email",
						"std" => __('Email', 'swmtranslate'),					
						"type" => "text");	

	$options[] = array( 
						"name" => __('"Message" Field Label', 'swmtranslate'),
						"desc" => '',
						"id" => $shortname."_contact_form_label_message",
						"std" => __('Message', 'swmtranslate'),				
						"type" => "text");	

	$options[] = array( 
						"name" => __('Submit Button Label', 'swmtranslate'),
						"desc" => '',
						"id" => $shortname."_contact_form_label_submit",
						"std" => __('Submit', 'swmtranslate'),				
						"type" => "text");
						
	/* Social Media */
	
	$options[] = array( 
						"name" => __('Social Media', 'swmtranslate'),
						"id" => $shortname."_social_media",
						"type" => "heading");
						
	$options[] = array( 	
						"name" => __('Social Media Settings', 'swmtranslate'),
						"id" => $shortname."sh30",
						"type" => "sub-heading");
						
	$options[] = array( 
						"name" => '',
						"desc" => __('Enter Full URL of social media websites ( e.g. http://www.twitter.com/softwebmedia )', 'swmtranslate'),
						"id" => $shortname."_social_intro_text",
						"std" => "",				
						"class" => "social_intro_text",
						"type" => "info");					
						
	$options[] = array( 
						"name" => __('Twitter', 'swmtranslate'),
						"desc" => '',
						"id" => $shortname."_twitter_url",
						"std" => "",				
						"class" => "large",
						"type" => "text");

	$options[] = array( 
						"name" => __('Facebook', 'swmtranslate'),
						"desc" => '',
						"id" => $shortname."_facebook_url",
						"std" => "",				
						"class" => "large",
						"type" => "text");					

	$options[] = array( 
						"name" => __('You Tube', 'swmtranslate'),
						"desc" => '',
						"id" => $shortname."_youtube_url",
						"std" => "",				
						"class" => "large",
						"type" => "text");
					
	$options[] = array( 
						"name" => __('Flickr', 'swmtranslate'),
						"desc" => '',
						"id" => $shortname."_flickr_url",
						"std" => "",				
						"class" => "large",
						"type" => "text");

	$options[] = array( 
						"name" => __('Delicious', 'swmtranslate'),
						"desc" => '',
						"id" => $shortname."_delicious_url",
						"std" => "",				
						"class" => "large",
						"type" => "text");
					
	$options[] = array( 
						"name" => __('Digg', 'swmtranslate'),
						"desc" => '',
						"id" => $shortname."_digg_url",
						"std" => "",				
						"class" => "large",
						"type" => "text");
					
	$options[] = array( 
						"name" => __('Vimeo', 'swmtranslate'),
						"desc" => '',
						"id" => $shortname."_vimeo_url",
						"std" => "",				
						"class" => "large",
						"type" => "text");					
					
	$options[] = array( 
						"name" => __('Blogger', 'swmtranslate'),
						"desc" => '',
						"id" => $shortname."_blogger_url",
						"std" => "",				
						"class" => "large",
						"type" => "text");					
					
	$options[] = array( 
						"name" => __('Linkedin', 'swmtranslate'),
						"desc" => '',
						"id" => $shortname."_linkedin_url",
						"std" => "",				
						"class" => "large",
						"type" => "text");	

	$options[] = array( 
						"name" => __('StumbleUpon', 'swmtranslate'),
						"desc" => '',
						"id" => $shortname."_stumbleupon_url",
						"std" => "",				
						"class" => "large",
						"type" => "text");					
					
	$options[] = array( 
						"name" => __('RSS', 'swmtranslate'),
						"desc" => '',
						"id" => $shortname."_rss_url",
						"std" => "",				
						"class" => "large",
						"type" => "text");	

							
	$options[] = array( 
						"name" => __('Open Website in New Window', 'swmtranslate'),
						"desc" => __('<i>Un-check</i> to open in same window', 'swmtranslate'),
						"id" => $shortname."_open_in_new_window",
						"std" => "1",
						"type" => "checkbox");
	
	
	/* Custom CSS/Javascript */
	
	$options[] = array( 
						"name" => __('Custom CSS/Javascript', 'swmtranslate'),
						"id" => $shortname."_custom_css_js",
						"type" => "heading");

	$options[] = array( 
						"name" => __('Add CSS', 'swmtranslate'),
						"id" => $shortname."sh31",
						"type" => "sub-heading");
						
	$options[] = array( 
						"name" => __('Add Custom CSS code', 'swmtranslate'),
						"desc" => __('Add your custom css style ( e.g. .sample-style { color:#ccc; } )', 'swmtranslate'),
						"id" => $shortname."_custom_css",
						"std" => "",				
						"class" => "large-textarea",
						"type" => "textarea");						
						
	$options[] = array( 
						"name" => __('Add Javascripts', 'swmtranslate'),
						"id" => $shortname."sh32",
						"type" => "sub-heading");
						
	$options[] = array( 
						"name" => __('Add Custom Javascript code', 'swmtranslate'),
						"desc" => '',
						"id" => $shortname."_custom_js",
						"std" => "",				
						"class" => "large-textarea",
						"type" => "textarea");
						

				
	return $options;
}