<?php

/* ******************************************* 
	Define Metabox Fields
******************************************* */

$shortname = 'swm';

/* Media Metabox */

$meta_box_portfolio = array(	
	'id' => 'swm-meta-box-portfolio',
	'title' =>  __('Add Media Details', 'swmtranslate'),
	'page' => 'portfolio',
	'context' => 'normal',
	'priority' => 'high',
	'fields' => array(
		array(
			'name' => __('Add Video / Flash URL', 'swmtranslate'),
			'desc' => '',
			'id' => $shortname.'_portfolio_video',
			'type' => 'text',
			'std' => ''
		),
		array(
				'name' => __('Lightbox Image/Media Title (optional)', 'swmtranslate'),
				'desc' => '',
				'id' => $shortname.'_lightbox_image_title',
				'type' => 'text',
				'std' => ''
			),
		array(
				'name' => __('Lightbox Image/Media Description (optional)', 'swmtranslate'),
				'desc' => '',
				'id' => $shortname.'_lightbox_image_description',
				'type' => 'textarea',
				'std' => ''
			)
	)	
);

/* Page title icon and tagline metabox */

$meta_box_portfolio_page = array(	
	'id' => 'swm-meta-box-portfolio-page',
	'title' =>  __('Page Title Icon and Tagline', 'swmtranslate'),	
	'context' => 'normal',
	'page' => 'portfolio',
	'priority' => 'high',
	'fields' => array(
		array(
			'name' => __('Upload Title page Icon', 'swmtranslate'),
			'desc' => '',
			'id' => $shortname.'_header_title_icon',
			'type' => 'text',
			'std' => ''
		),
		array(
			'name' => '',
			'desc' => __('Display page related icon in black header before title text', 'swmtranslate'),
			'id' => $shortname.'_upload_title_icon_button',
			'type' => 'button',
			'std' => 'Browse'
		),
		array(
			'name' => __('Page Tagline Text', 'swmtranslate'),
			'desc' => __('Add page tagline text in black header below title text', 'swmtranslate'),
			'id' => $shortname.'_sub_title_text',
			'type' => 'textarea',
			'std' => ''
		)
	)	
);


/* ******************************************* 
	Add Metabox
******************************************* */
 
add_action('admin_menu', 'swm_add_meta_box_portfolio');
 
function swm_add_meta_box_portfolio() {
	global $meta_box_portfolio,$meta_box_portfolio_page;		
	add_meta_box($meta_box_portfolio['id'], $meta_box_portfolio['title'], 'swm_display_meta_box_portfolio', $meta_box_portfolio['page'], $meta_box_portfolio['context'], $meta_box_portfolio['priority']);
	add_meta_box($meta_box_portfolio_page['id'], $meta_box_portfolio_page['title'], 'swm_display_meta_box_portfolio_page', $meta_box_portfolio_page['page'], $meta_box_portfolio_page['context'], $meta_box_portfolio_page['priority']);		
	
}

/* ******************************************* 
	Display Metabox in Admin Post
******************************************* */

/* Page title icon and tagline metabox */
 
function swm_display_meta_box_portfolio_page() {
	global $meta_box_portfolio_page, $post;
	
	echo '<input type="hidden" name="swm_meta_box_nonce" value="', wp_create_nonce(basename(__FILE__)), '" />';
 
	echo '<div class="swm-meta-box-post-format">';
 
	foreach ($meta_box_portfolio_page['fields'] as $field) {
		
		$meta = get_post_meta($post->ID, $field['id'], true);
		switch ($field['type']) {			
			
			case 'text':			
				echo '<p><label for="', $field['id'], '">', $field['name'], '</label></p>';			
				echo '<p><input style="float: left; width:50%;" type="text" name="', $field['id'], '" id="', $field['id'], '" value="', $meta ? $meta : stripslashes(htmlspecialchars(( $field['std']), ENT_QUOTES)), '" /></p>';				
			break;			
					
			case 'button':
				echo '<input style="float: left; width:auto; margin-left:5px;" type="button" class="button" name="', $field['id'], '" id="', $field['id'], '"value="', $meta ? $meta : $field['std'], '" />';			
				echo '<div class="clear"></div>';
				echo '<small>'.$field['desc'].'</small>';		
				echo '<hr />';
			break;		
			
			case 'textarea':			
				echo '<p><label for="', $field['id'], '">', $field['name'], '</label></p>';
				echo '<p><textarea name="', $field['id'], '" id="', $field['id'], '" value="', $meta ? $meta : stripslashes(htmlspecialchars(( $field['std']), ENT_QUOTES)), '" rows="8" cols="4" >', $meta ? $meta : stripslashes(htmlspecialchars(( $field['std']), ENT_QUOTES)), '</textarea></p>';
				echo '<small>'.$field['desc'].'</small>';
			break;
		}
	} 
	echo '</div>';
}

/* Media Metabox */

function swm_display_meta_box_portfolio() {
	global $meta_box_portfolio, $post;
	
	echo '<input type="hidden" name="swm_meta_box_nonce" value="', wp_create_nonce(basename(__FILE__)), '" />';
 
	echo '<div class="swm-meta-box-post-format">';
 
	foreach ($meta_box_portfolio['fields'] as $field) {
		
		$meta = get_post_meta($post->ID, $field['id'], true);
		switch ($field['type']) {			
			
			case 'text':			
			echo '<p><label for="', $field['id'], '">', $field['name'], '</label></p>';			
			echo '<p><input type="text" name="', $field['id'], '" id="', $field['id'], '" value="', $meta ? $meta : stripslashes(htmlspecialchars(( $field['std']), ENT_QUOTES)), '" /></p>';
			echo '<small>'.$field['desc'].'</small>';
			echo '<hr />';
			break;
			
			case 'textarea':			
				echo '<p><label for="', $field['id'], '">', $field['name'], '</label></p>';
				echo '<p><textarea name="', $field['id'], '" id="', $field['id'], '" value="', $meta ? $meta : stripslashes(htmlspecialchars(( $field['std']), ENT_QUOTES)), '" rows="8" cols="4" >', $meta ? $meta : stripslashes(htmlspecialchars(( $field['std']), ENT_QUOTES)), '</textarea></p>';			
			break;
		}
	} 
	echo '</div>';
}

/* ******************************************* 
	Save Metabox Data
******************************************* */

add_action('save_post', 'swm_save_data_portfolio');
 
function swm_save_data_portfolio($post_id) {
	global $meta_box_portfolio,$meta_box_portfolio_page;
 
	// verify nonce
	if (!isset($_POST['swm_meta_box_nonce']) || !wp_verify_nonce($_POST['swm_meta_box_nonce'], basename(__FILE__))) {
		return $post_id;
	}
 
	// check autosave
	if (defined('DOING_AUTOSAVE') && DOING_AUTOSAVE) {
		return $post_id;
	}
 
	// check permissions
	if ('page' == $_POST['post_type']) {
		if (!current_user_can('edit_page', $post_id)) {
			return $post_id;
		}
	} elseif (!current_user_can('edit_post', $post_id)) {
		return $post_id;
	} 	
	
	/* Media Metabox */
	
	foreach ($meta_box_portfolio['fields'] as $field) {
		$old = get_post_meta($post_id, $field['id'], true);
		$new = $_POST[$field['id']];
 
		if ($new && $new != $old) {
			update_post_meta($post_id, $field['id'], stripslashes(htmlspecialchars($new)));
		} elseif ('' == $new && $old) {
			delete_post_meta($post_id, $field['id'], $old);
		}
	}
	
	/* Page title icon and tagline metabox */
	
	foreach ($meta_box_portfolio_page['fields'] as $field) {
		$old = get_post_meta($post_id, $field['id'], true);
		$new = $_POST[$field['id']];
 
		if ($new && $new != $old) {
			update_post_meta($post_id, $field['id'], $new);
		} elseif ('' == $new && $old) {
			delete_post_meta($post_id, $field['id'], $old);
		}
	}	
	
}