<?php

/* ******************************************* 
	Define Metabox Fields
******************************************* */

$shortname = 'swm';

/* Aside */

$meta_box_aside = array(
	'id' => 'swm-meta-box-aside',
	'title' =>  __('Add Aside', 'swmtranslate'),
	'page' => 'post',
	'context' => 'normal',
	'priority' => 'high',
	'fields' => array(		
		array( "name" => __('Add Aside Text','swmtranslate'),
				"desc" => '',
				"id" => $shortname."_meta_aside",
				"type" => "textarea",
				"std" => ''
			),
	)	
);

/* Image */

$meta_box_image = array(
	'id' => 'swm-meta-box-image',
	'title' =>  __('Add Image Info', 'swmtranslate'),
	'page' => 'post',
	'context' => 'normal',
	'priority' => 'high',
	'fields' => array(		
		array( "name" => __('Image Caption Title','swmtranslate'),
				"desc" => '',
				"id" => $shortname."_image_caption_title",
				"type" => "text",
				"std" => ''
			),
		array( "name" => __('Image Caption Text','swmtranslate'),
				"desc" => '',
				"id" => $shortname."_image_caption_text",
				"type" => "textarea",
				"std" => ''
			),		
	)	
);

/* Link */

$meta_box_link = array(
	'id' => 'swm-meta-box-link',
	'title' =>  __('Add Link URL', 'swmtranslate'),
	'page' => 'post',
	'context' => 'normal',
	'priority' => 'high',
	'fields' => array(		
		array( "name" => __('Link URL ( e.g. http://www.domain.com )','swmtranslate'),
				"desc" => '',
				"id" => $shortname."_meta_link_url",
				"type" => "text",
				"std" => ''
			),
	)	
);

/* Quote */

$meta_box_quote = array(
	'id' => 'swm-meta-box-quote',
	'title' =>  __('Add Quote', 'swmtranslate'),
	'page' => 'post',
	'context' => 'normal',
	'priority' => 'high',
	'fields' => array(		
		array( "name" => __('Add Quote Text','swmtranslate'),
				"desc" => '',
				"id" => $shortname."_meta_quote",
				"type" => "textarea",
				"std" => ''
			),
		array( "name" => __('Source Name (optional)','swmtranslate'),
				"desc" => '',
				"id" => $shortname."_meta_quote_source",
				"type" => "text",
				"std" => ''
			),
		array( "name" => __('Source URL (optional)','swmtranslate'),
				"desc" => '',
				"id" => $shortname."_meta_quote_source_url",
				"type" => "text",
				"std" => ''
			),
	)	
);

/* Video */

$meta_box_video = array(
	'id' => 'swm-meta-box-video',
	'title' =>  __('Add Video', 'swmtranslate'),
	'page' => 'post',
	'context' => 'normal',
	'priority' => 'high',
	'fields' => array(		
		array( "name" => __('Add YouTube/Vimeo video embed or embedded code','swmtranslate'),
				'desc' => __('<strong>Examples:</strong><br /> <strong>Youtube:</strong> &lt;iframe width="503" height="315" src="http://www.youtube.com/embed/sn1GG20V_m8" frameborder="0" allowfullscreen>&lt;/iframe><br /> 
				<strong>Vimeo:</strong> &lt;iframe src="http://player.vimeo.com/video/17996101" width="503" height="281" frameborder="0" webkitAllowFullScreen mozallowfullscreen allowFullScreen>&lt;/iframe>', 'swmtranslate'),
				"id" => $shortname."_meta_video",
				"type" => "textarea",
				"std" => ''
			),
	)	
);

/* General Post Options */

$meta_box_post = array(	
	'id' => 'swm-meta-box-post',
	'title' =>  __('Page Title Icon and Tagline', 'swmtranslate'),	
	'context' => 'normal',
	'page' => 'post',
	'priority' => 'high',
	'fields' => array(
		array(
			'name' => __('Upload Title page Icon', 'swmtranslate'),
			'desc' => '',
			'id' => $shortname.'_header_title_icon',
			'type' => 'text',
			'std' => ''
		),
		array(
			'name' => '',
			'desc' => __('Display page related icon in black header before title text', 'swmtranslate'),
			'id' => $shortname.'_upload_title_icon_button',
			'type' => 'button',
			'std' => 'Browse'
		),
		array(
			'name' => __('Page Tagline Text', 'swmtranslate'),
			'desc' => __('Add page tagline text in black header below title text', 'swmtranslate'),
			'id' => $shortname.'_sub_title_text',
			'type' => 'textarea',
			'std' => ''
		)
	)	
);

/* ******************************************* 
	Add Metaboxes
******************************************* */
 
add_action('admin_menu', 'swm_add_meta_box');
 
function swm_add_meta_box() {
	global $meta_box_video, $meta_box_quote, $meta_box_link, $meta_box_aside, $meta_box_image, $meta_box_post;
	
	add_meta_box($meta_box_aside['id'], $meta_box_aside['title'], 'swm_display_meta_box_aside', $meta_box_aside['page'], $meta_box_aside['context'], $meta_box_aside['priority']);
	add_meta_box($meta_box_image['id'], $meta_box_image['title'], 'swm_display_meta_box_image', $meta_box_image['page'], $meta_box_image['context'], $meta_box_image['priority']);
	add_meta_box($meta_box_link['id'], $meta_box_link['title'], 'swm_display_meta_box_link', $meta_box_link['page'], $meta_box_link['context'], $meta_box_link['priority']);
	add_meta_box($meta_box_quote['id'], $meta_box_quote['title'], 'swm_display_meta_box_quote', $meta_box_quote['page'], $meta_box_quote['context'], $meta_box_quote['priority']);
	add_meta_box($meta_box_video['id'], $meta_box_video['title'], 'swm_display_meta_box_video', $meta_box_video['page'], $meta_box_video['context'], $meta_box_video['priority']);
	add_meta_box($meta_box_post['id'], $meta_box_post['title'], 'swm_display_meta_box_post', $meta_box_post['page'], $meta_box_post['context'], $meta_box_post['priority']);	
}

/* ******************************************* 
	Display Metaboxes in Admin Post
******************************************* */

/* Aside */

function swm_display_meta_box_aside() {
	global $meta_box_aside, $post;
	
	echo '<input type="hidden" name="swm_meta_box_nonce" value="', wp_create_nonce(basename(__FILE__)), '" />';
 
	echo '<div class="swm-meta-box-post-format">';
 
	foreach ($meta_box_aside['fields'] as $field) {
		
		$meta = get_post_meta($post->ID, $field['id'], true);
		switch ($field['type']) {				
				
			case 'textarea':			
				echo '<p><label for="', $field['id'], '">', $field['name'], '</label></p>';
				echo '<p><textarea name="', $field['id'], '" id="', $field['id'], '" value="', $meta ? $meta : stripslashes(htmlspecialchars(( $field['std']), ENT_QUOTES)), '" rows="8" cols="4" >', $meta ? $meta : stripslashes(htmlspecialchars(( $field['std']), ENT_QUOTES)), '</textarea></p>';			
			break;			
		}
	} 
	echo '</div>';
}

/* Image */

function swm_display_meta_box_image() {
	global $meta_box_image, $post;
	
	echo '<input type="hidden" name="swm_meta_box_nonce" value="', wp_create_nonce(basename(__FILE__)), '" />';
 
	echo '<div class="swm-meta-box-post-format">';
 
	foreach ($meta_box_image['fields'] as $field) {
		
		$meta = get_post_meta($post->ID, $field['id'], true);
		switch ($field['type']) {					
				
			case 'text':			
			echo '<p><label for="', $field['id'], '">', $field['name'], '</label></p>';
			echo '<p><input type="text" name="', $field['id'], '" id="', $field['id'], '" value="', $meta ? $meta : stripslashes(htmlspecialchars(( $field['std']), ENT_QUOTES)), '" /></p>';			
			break;
			
			case 'textarea':			
				echo '<p><label for="', $field['id'], '">', $field['name'], '</label></p>';
				echo '<p><textarea name="', $field['id'], '" id="', $field['id'], '" value="', $meta ? $meta : stripslashes(htmlspecialchars(( $field['std']), ENT_QUOTES)), '" rows="8" cols="4" >', $meta ? $meta : stripslashes(htmlspecialchars(( $field['std']), ENT_QUOTES)), '</textarea></p>';			
			break;
		}
	} 
	echo '</div>';
}

/* Link */

function swm_display_meta_box_link() {
	global $meta_box_link, $post;
	
	echo '<input type="hidden" name="swm_meta_box_nonce" value="', wp_create_nonce(basename(__FILE__)), '" />';
 
	echo '<div class="swm-meta-box-post-format">';
 
	foreach ($meta_box_link['fields'] as $field) {
		
		$meta = get_post_meta($post->ID, $field['id'], true);
		switch ($field['type']) {				
				
			case 'text':			
			echo '<p><label for="', $field['id'], '">', $field['name'], '</label></p>';
			echo '<p><input type="text" name="', $field['id'], '" id="', $field['id'], '" value="', $meta ? $meta : stripslashes(htmlspecialchars(( $field['std']), ENT_QUOTES)), '" /></p>';			
			break;			
		}
	} 
	echo '</div>';
}

/* Quote */

function swm_display_meta_box_quote() {
	global $meta_box_quote, $post;
	
	echo '<input type="hidden" name="swm_meta_box_nonce" value="', wp_create_nonce(basename(__FILE__)), '" />';
 
	echo '<div class="swm-meta-box-post-format">';
 
	foreach ($meta_box_quote['fields'] as $field) {
		
		$meta = get_post_meta($post->ID, $field['id'], true);
		switch ($field['type']) {					
				
			case 'text':			
			echo '<p><label for="', $field['id'], '">', $field['name'], '</label></p>';
			echo '<p><input type="text" name="', $field['id'], '" id="', $field['id'], '" value="', $meta ? $meta : stripslashes(htmlspecialchars(( $field['std']), ENT_QUOTES)), '" /></p>';			
			break;
			
			case 'textarea':			
				echo '<p><label for="', $field['id'], '">', $field['name'], '</label></p>';
				echo '<p><textarea name="', $field['id'], '" id="', $field['id'], '" value="', $meta ? $meta : stripslashes(htmlspecialchars(( $field['std']), ENT_QUOTES)), '" rows="8" cols="4" >', $meta ? $meta : stripslashes(htmlspecialchars(( $field['std']), ENT_QUOTES)), '</textarea></p>';			
			break;
		}
	} 
	echo '</div>';
}

/* Video */

function swm_display_meta_box_video() {
	global $meta_box_video, $post;
	
	echo '<input type="hidden" name="swm_meta_box_nonce" value="', wp_create_nonce(basename(__FILE__)), '" />';
 
	echo '<div class="swm-meta-box-post-format">';
 
	foreach ($meta_box_video['fields'] as $field) {
		
		$meta = get_post_meta($post->ID, $field['id'], true);
		switch ($field['type']) {			
			
			case 'textarea':			
				echo '<p><label for="', $field['id'], '">', $field['name'], '</label></p>';
				echo '<p><textarea name="', $field['id'], '" id="', $field['id'], '" value="', $meta ? $meta : stripslashes(htmlspecialchars(( $field['std']), ENT_QUOTES)), '" rows="8" cols="4" >', $meta ? $meta : stripslashes(htmlspecialchars(( $field['std']), ENT_QUOTES)), '</textarea></p>';
				echo '<small>'.$field['desc'].'</small>';
			break;
		}
	} 
	echo '</div>';
}

/* General Post Options */
  
function swm_display_meta_box_post() {
	global $meta_box_post, $post;
	
	echo '<input type="hidden" name="swm_meta_box_nonce" value="', wp_create_nonce(basename(__FILE__)), '" />';
 
	echo '<div class="swm-meta-box-post-format">';
 
	foreach ($meta_box_post['fields'] as $field) {
		
		$meta = get_post_meta($post->ID, $field['id'], true);
		switch ($field['type']) {			
			
			case 'text':			
				echo '<p><label for="', $field['id'], '">', $field['name'], '</label></p>';			
				echo '<p><input style="float: left; width:50%;" type="text" name="', $field['id'], '" id="', $field['id'], '" value="', $meta ? $meta : stripslashes(htmlspecialchars(( $field['std']), ENT_QUOTES)), '" /></p>';				
			break;			
					
			case 'button':
				echo '<input style="float: left; width:auto; margin-left:5px;" type="button" class="button" name="', $field['id'], '" id="', $field['id'], '"value="', $meta ? $meta : $field['std'], '" />';			
				echo '<div class="clear"></div>';
				echo '<small>'.$field['desc'].'</small>';		
				echo '<hr />';
			break;		
			
			case 'textarea':			
				echo '<p><label for="', $field['id'], '">', $field['name'], '</label></p>';
				echo '<p><textarea name="', $field['id'], '" id="', $field['id'], '" value="', $meta ? $meta : stripslashes(htmlspecialchars(( $field['std']), ENT_QUOTES)), '" rows="8" cols="4" >', $meta ? $meta : stripslashes(htmlspecialchars(( $field['std']), ENT_QUOTES)), '</textarea></p>';
				echo '<small>'.$field['desc'].'</small>';
			break;
		}
	} 
	echo '</div>';
}

/* ******************************************* 
	Save Metaboxes Data
******************************************* */

add_action('save_post', 'swm_save_data');
 
function swm_save_data($post_id) {
	global $meta_box_aside, $meta_box_image, $meta_box_link, $meta_box_quote, $meta_box_video, $meta_box_post;
 
	// verify nonce
	if (!isset($_POST['swm_meta_box_nonce']) || !wp_verify_nonce($_POST['swm_meta_box_nonce'], basename(__FILE__))) {
		return $post_id;
	}
 
	// check autosave
	if (defined('DOING_AUTOSAVE') && DOING_AUTOSAVE) {
		return $post_id;
	}
 
	// check permissions
	if ('page' == $_POST['post_type']) {
		if (!current_user_can('edit_page', $post_id)) {
			return $post_id;
		}
	} elseif (!current_user_can('edit_post', $post_id)) {
		return $post_id;
	} 
	
	/* save aside */
	foreach ($meta_box_aside['fields'] as $field) {
		$old = get_post_meta($post_id, $field['id'], true);
		$new = $_POST[$field['id']];
 
		if ($new && $new != $old) {
			update_post_meta($post_id, $field['id'], stripslashes(htmlspecialchars($new)));
		} elseif ('' == $new && $old) {
			delete_post_meta($post_id, $field['id'], $old);
		}
	}
	
	/* save image */
	foreach ($meta_box_image['fields'] as $field) {
		$old = get_post_meta($post_id, $field['id'], true);
		$new = $_POST[$field['id']];
 
		if ($new && $new != $old) {
			update_post_meta($post_id, $field['id'], stripslashes(htmlspecialchars($new)));
		} elseif ('' == $new && $old) {
			delete_post_meta($post_id, $field['id'], $old);
		}
	}

	/* save link */
	foreach ($meta_box_link['fields'] as $field) {
		$old = get_post_meta($post_id, $field['id'], true);
		$new = $_POST[$field['id']];
 
		if ($new && $new != $old) {
			update_post_meta($post_id, $field['id'], stripslashes(htmlspecialchars($new)));
		} elseif ('' == $new && $old) {
			delete_post_meta($post_id, $field['id'], $old);
		}
	}
	
	/* save quote */
	foreach ($meta_box_quote['fields'] as $field) {
		$old = get_post_meta($post_id, $field['id'], true);
		$new = $_POST[$field['id']];
 
		if ($new && $new != $old) {
			update_post_meta($post_id, $field['id'], stripslashes(htmlspecialchars($new)));
		} elseif ('' == $new && $old) {
			delete_post_meta($post_id, $field['id'], $old);
		}
	}
	
	/* save video */
	foreach ($meta_box_video['fields'] as $field) {
		$old = get_post_meta($post_id, $field['id'], true);
		$new = $_POST[$field['id']];
 
		if ($new && $new != $old) {
			update_post_meta($post_id, $field['id'], stripslashes(htmlspecialchars($new)));
		} elseif ('' == $new && $old) {
			delete_post_meta($post_id, $field['id'], $old);
		}
	}
	
	/* General Post Options */
	foreach ($meta_box_post['fields'] as $field) {
		$old = get_post_meta($post_id, $field['id'], true);
		$new = $_POST[$field['id']];
 
		if ($new && $new != $old) {
			update_post_meta($post_id, $field['id'], $new);
		} elseif ('' == $new && $old) {
			delete_post_meta($post_id, $field['id'], $old);
		}
	}
	
}