<?php

/* ************************************************************************************** 
	DISPLAY SHORTCODES IN SIDEBAR, TEXT FIELDS, COMMENTS ETC.
************************************************************************************** */

add_filter( 'comment_text', 'shortcode_unautop');
add_filter( 'comment_text', 'do_shortcode' );

//add_filter( 'the_excerpt', 'shortcode_unautop');
//add_filter( 'the_excerpt', 'do_shortcode');

add_filter( 'widget_text', 'shortcode_unautop');
add_filter( 'widget_text', 'do_shortcode');

add_filter( 'term_description', 'shortcode_unautop');
add_filter( 'term_description', 'do_shortcode' );

/* ************************************************************************************** 
     DISABLE WORDPRESS AUTOMATIC FORMATTING ON POSTS
************************************************************************************** */

function my_formatter($content) {
	$new_content = '';
	$pattern_full = '{(\[raw\].*?\[/raw\])}is';
	$pattern_contents = '{\[raw\](.*?)\[/raw\]}is';
	$pieces = preg_split($pattern_full, $content, -1, PREG_SPLIT_DELIM_CAPTURE);

	foreach ($pieces as $piece) {
		if (preg_match($pattern_contents, $piece, $matches)) {
			$new_content .= $matches[1];
		} else {
			$new_content .= wptexturize(wpautop($piece));
		}
	}

	return $new_content;
}

remove_filter('the_content', 'wpautop');
remove_filter('the_content', 'wptexturize');
add_filter('the_content', 'my_formatter', 99);
add_filter('widget_text', 'my_formatter', 99);

/* ************************************************************************************** 
     COLUMNS
************************************************************************************** */

function swm_column($atts, $content = null, $column) {
	return '<div class="'.$column.'">' . do_shortcode($content) . '</div>';
}
function swm_column_last($atts, $content = null, $column) {
	return '<div class="'.str_replace('_last','',$column).' last">' . do_shortcode($content) . '</div><div class="clear"></div>';
}

add_shortcode('one_full', 'swm_column');
add_shortcode('one_half', 'swm_column');
add_shortcode('one_third', 'swm_column');
add_shortcode('one_fourth', 'swm_column');
add_shortcode('one_fifth', 'swm_column');
add_shortcode('one_sixth', 'swm_column');
add_shortcode('two_third', 'swm_column');
add_shortcode('three_fourth', 'swm_column');
add_shortcode('four_fifth', 'swm_column');
add_shortcode('five_sixth', 'swm_column');
add_shortcode('one_full', 'swm_column');
add_shortcode('one_half_last', 'swm_column_last');
add_shortcode('one_third_last', 'swm_column_last');
add_shortcode('one_fourth_last', 'swm_column_last');
add_shortcode('one_fifth_last', 'swm_column_last');
add_shortcode('one_sixth_last', 'swm_column_last');
add_shortcode('two_third_last', 'swm_column_last');
add_shortcode('three_fourth_last', 'swm_column_last');
add_shortcode('four_fifth_last', 'swm_column_last');
add_shortcode('five_sixth_last', 'swm_column_last');

/* ************************************************************************************** 
     HEADINGS
************************************************************************************** */

function swm_headings($atts, $content = null, $heading) {
	return '<'.$heading.'>' . do_shortcode($content) . '</'.$heading.'>';
}

add_shortcode('h1', 'swm_headings');
add_shortcode('h2', 'swm_headings');
add_shortcode('h3', 'swm_headings');
add_shortcode('h4', 'swm_headings');
add_shortcode('h5', 'swm_headings');
add_shortcode('h6', 'swm_headings');

/* ************************************************************************************** 
    HIGHLIGHTINGS
************************************************************************************** */

function swm_highlight($atts, $content = null, $highlight) {	
	return '<span class="'.$highlight.'">' . do_shortcode($content) . '</span>';
}

add_shortcode('highlight_yellow', 'swm_highlight');
add_shortcode('highlight_black', 'swm_highlight');
add_shortcode('highlight_green', 'swm_highlight');
add_shortcode('highlight_grey', 'swm_highlight');
add_shortcode('highlight_blue', 'swm_highlight');
add_shortcode('highlight_red', 'swm_highlight');

/* ************************************************************************************** 
    DROPCAPS
************************************************************************************** */

function swm_dropcap($atts, $content = null, $dropcap) {		
	return '<span class="'.$dropcap.'">' . do_shortcode($content) . '</span>';
}

add_shortcode('dropcap1', 'swm_dropcap');
add_shortcode('dropcap2', 'swm_dropcap');
add_shortcode('dropcap3', 'swm_dropcap');
add_shortcode('dropcap4', 'swm_dropcap');
add_shortcode('dropcap5', 'swm_dropcap');
add_shortcode('dropcap6', 'swm_dropcap');
add_shortcode('dropcap7', 'swm_dropcap');
add_shortcode('dropcap8', 'swm_dropcap');

/* ************************************************************************************** 
	FANCY BOXES
************************************************************************************** */

function swm_fancy_box( $atts, $content = null ) {
	extract( shortcode_atts( array (
		'title' => '',
		'background' => '#484848'	
	), $atts ) );
  
	$hide_box_img =  '<img src="'.get_template_directory_uri().'/images/icons/info-close.png" alt="" />';
		
	$output = '';	
	$output .=  '<div class="myfancy-box round5">';		
	$output .=  '<div class="myfancy-box-title" style="background-color:'.$background.'">'.$title;
	$output .=  '<span class="hide-boxes2">'.$hide_box_img.'</span></div>';
	$output .=  do_shortcode($content);
	$output .=  '</div>';	
  
	return $output;   
}

add_shortcode( 'fancybox', 'swm_fancy_box' );

/* ************************************************************************************** 
    INFO BOXES
************************************************************************************** */

function swm_infobox($atts, $content = null, $infobox) {	
	return '<p class="'.$infobox.'-box round5"> <span class="hide-boxes">x</span>' . do_shortcode($content) . '</p>';
}

add_shortcode('info', 'swm_infobox');
add_shortcode('error', 'swm_infobox');
add_shortcode('success', 'swm_infobox');
add_shortcode('note', 'swm_infobox');
add_shortcode('download', 'swm_infobox');
add_shortcode('warning', 'swm_infobox');

/* ************************************************************************************** 
    LIST STYLES
************************************************************************************** */

function swm_list($atts, $content = null, $list) {		
	return '<div class="'.$list.'">' . do_shortcode($content) . '</div>';
}

/* Ordered List */
add_shortcode('list_green', 'swm_list');
add_shortcode('list_disc_green', 'swm_list');
add_shortcode('list_blue', 'swm_list');
add_shortcode('list_disc_blue', 'swm_list');
add_shortcode('list_black', 'swm_list');
add_shortcode('list_disc_black', 'swm_list');
add_shortcode('list_red', 'swm_list');
add_shortcode('list_disc_red', 'swm_list');
add_shortcode('list_teal', 'swm_list');
add_shortcode('list_disc_teal', 'swm_list');
add_shortcode('list_orange', 'swm_list');
add_shortcode('list_disc_orange', 'swm_list');
add_shortcode('list_grey', 'swm_list');
add_shortcode('list_disc_grey', 'swm_list');
add_shortcode('list_brown', 'swm_list');
add_shortcode('list_disc_brown', 'swm_list');
add_shortcode('list_yellow', 'swm_list');
add_shortcode('list_disc_yellow', 'swm_list');
add_shortcode('list_pink', 'swm_list');
add_shortcode('list_disc_pink', 'swm_list');
add_shortcode('list_yellowstar', 'swm_list');
add_shortcode('list_bluestar', 'swm_list');
add_shortcode('list_circle', 'swm_list');
add_shortcode('list_arrow_small', 'swm_list');
add_shortcode('list_arrow', 'swm_list');
add_shortcode('list_arrow2', 'swm_list');
add_shortcode('list_plus', 'swm_list');
add_shortcode('list_minus', 'swm_list');
add_shortcode('list_checkmark', 'swm_list');
add_shortcode('list_checkmark2', 'swm_list');
add_shortcode('list_cross', 'swm_list');
add_shortcode('list_blue_arrow', 'swm_list');
add_shortcode('list_black_arrow', 'swm_list');

function swm_list2($atts, $content = null, $list2) {		
	return '<div class="'.$list2.'">' . do_shortcode($content) . '</div>';
}

/* Un-ordered List */
add_shortcode('list_lower_roman', 'swm_list2');
add_shortcode('list_upper_roman', 'swm_list2');
add_shortcode('list_lower_alpha', 'swm_list2');
add_shortcode('list_upper_alpha', 'swm_list2');
add_shortcode('steps', 'swm_list2');

/* ************************************************************************************** 
    PULL QUOTES
************************************************************************************** */

function swm_pull_quote($atts, $content = null, $quote) {	
	return '<span class="'.$quote.'">' . do_shortcode($content) . '</span>';
}

add_shortcode('pullquote_left', 'swm_pull_quote');
add_shortcode('pullquote_right', 'swm_pull_quote');

/* ************************************************************************************** 
    BLOCK QUOTE
************************************************************************************** */

function swm_blockquote( $atts, $content = null ) {
	return '<blockquote class="style1"><p>' . do_shortcode($content) . '</p></blockquote>';
} add_shortcode('blockquote', 'swm_blockquote');

/* ************************************************************************************** 
    TOOGLE CONTENT
************************************************************************************** */

function swm_toggle_content( $atts, $content = null ) {
	$title = $atts['title'];
	$style = $atts['style'];
	if($style == 1) $style="";	
	$out = '';
	$out .= '<p class="trigger'.$style.' round5"><a href="#toggle">' .$title. '</a></p>';
	$out .= '<div class="toggle_container'.$style.' round5">';
	$out .= '<div class="block'.$style.'">';
	$out .= do_shortcode($content);
	$out .= '</div>';
	$out .= '</div>';

	return $out;
} add_shortcode('toggle', 'swm_toggle_content');

function swm_acctoggle_content( $atts, $content = null ) {
	$title = $atts['title'];
	$style = $atts['style'];
	if($style == 1) $style="";	
	$out = '';
	$out .= '<p class="acc_trigger'.$style.' round5"><a href="#toggle">' .$title. '</a></p>';
	$out .= '<div class="acc_container'.$style.' round5">';
	$out .= '<div class="block'.$style.'">';
	$out .= do_shortcode($content);
	$out .= '</div>';
	$out .= '</div>';

	return $out;
} add_shortcode('acc_toggle', 'swm_acctoggle_content');

/* ************************************************************************************** 
    TABS
************************************************************************************** */

function swm_tab_init( $atts, $content = null ) {
	
	$title = explode(",",$atts['title']);
	$total_tabs = count($title);	
	$out = "";
	$out .= '<ul class="tabs">';
	
	foreach($title as $key=>$value){
		$out .= '<li><a href="#tab'.($key+1).'">'.$value.'</a></li>';
	}
	
	$out .= '</ul>';
	$out .= do_shortcode($content);
	
	return $out;
	
} add_shortcode('tabs', 'swm_tab_init');

function swm_tab_container( $atts, $content = null ) {
	
	$out = '';	
	$out .= '<div class="tab_container">';
	$out .= do_shortcode($content);
	$out .= '</div>';
	
	return $out;
	
} add_shortcode('tab_container', 'swm_tab_container');

function swm_tab_content( $atts, $content = null ) {
	
	$tab = $atts['tabno'];
	$out = '';	
	$out .= '<div id="tab'.$tab.'" class="tab_content">';
	$out .= do_shortcode($content);
	$out .= '</div>';
	
	return $out;
	
} add_shortcode('tab', 'swm_tab_content');

/* ************************************************************************************** 
   BUTTONS
************************************************************************************** */

function swm_buttons($atts, $content = null, $button) {		
	extract( shortcode_atts( array (
		'link' => ''		
	), $atts ) );	
	
	$out= '';
	$out .= '<a href="'.$link.'" class="'.$button.'"><span>' . do_shortcode($content) . '</span></a><div class="clear"></div>';
	return $out;
}

add_shortcode('button_size1', 'swm_buttons');
add_shortcode('button_size2', 'swm_buttons');
add_shortcode('button_size3', 'swm_buttons');
add_shortcode('button_size4', 'swm_buttons');
add_shortcode('button_white', 'swm_buttons');
add_shortcode('skin_button1', 'swm_buttons');
add_shortcode('skin_button2', 'swm_buttons');

/* ************************************************************************************** 
   PRICING TABLES
************************************************************************************** */

/* 4 Column Pricing Table */

function swm_pricing_table1( $atts, $content = null ) {
	extract( shortcode_atts( array (
		'position' => '',
		'type' => 'normal',
		'title' => 'Table Title',
		'sub_title' => 'sub title',
		'price' => '$19',
		'price_small_text' => 'monthly',
		'button_link' => '#',
		'button_text' => 'ORDER NOW'
	), $atts ) );
  
	$output = '';  
  
	$output .=  '<div class="one-fourth '.$position.'">';			
	$output .=  '<div class="pricing-table1">';
	$output .=  '<h3 class="pricing-table1-'.$type.'">'.$title.'<br /><sub>'.$sub_title.'</sub></h3>';
	$output .=  do_shortcode($content);	
	$output .= '<p class="table-price-'.$type.'">'.$price.'<sub>'.$price_small_text.'</sub></p>';				
	$output .=  '<div class="pricing-table1-bottom">'; 
	$output .=  '<a href="'.$button_link.'" class="skin_button2"><span>'.$button_text.'</span></a>'; 
	$output .=  '</div>';
	$output .=  '</div>';
	$output .=  '</div>'; 
  
	return $output;   
}

add_shortcode( 'pricing_table1', 'swm_pricing_table1' );

/* 3 Column Pricing Table */

function swm_pricing_table2( $atts, $content = null ) {
	extract( shortcode_atts( array (
		'position' => '',
		'type' => 'normal',
		'title' => 'Table Title',
		'sub_title' => 'sub title',
		'price' => '$19',
		'price_small_text' => 'monthly',
		'button_link' => '#',
		'button_text' => 'ORDER NOW'
	), $atts ) );
  
	$output = '';  
  
	$output .=  '<div class="one-third '.$position.'">';			
	$output .=  '<div class="pricing-table2">';
	$output .=  '<h3 class="pricing-table2-'.$type.'">'.$title.'<br /><sub>'.$sub_title.'</sub></h3>';
	$output .=  do_shortcode($content);	
	$output .= '<p class="table-price-'.$type.'">'.$price.'<sub>'.$price_small_text.'</sub></p>';				
	$output .=  '<div class="pricing-table2-bottom">'; 
	$output .=  '<a href="'.$button_link.'" class="skin_button2"><span>'.$button_text.'</span></a>'; 
	$output .=  '</div>';
	$output .=  '</div>';
	$output .=  '</div>'; 
  
	return $output;   
}

add_shortcode( 'pricing_table2', 'swm_pricing_table2' );

/* ************************************************************************************** 
  HOME PAGE WHITEBOX
************************************************************************************** */

function swm_home_whitebox( $atts, $content = null ) {
	extract( shortcode_atts( array (			
		'position' => '',	
		'title' => '',		
		'sub_title' => ''				
	), $atts ) ); 	
	
	$output = ''; 							
	$output .=  '<div class="one-third '.$position.'">';
	$output .=  '<div class="white-box">';
	$output .=  '<div class="white-box-bottom">';
	$output .=  '<div class="white-box-top">';

	if ($sub_title == "") {		
		$output .=  '<div class="white-box-heading">';
		$output .=  '<h3>'.$title.'</h3>';
		$output .=  '</div>';				
	} else {		
		$output .=  '<div class="white-box-heading">';
		$output .=  '<h2>'.$title.'<br /><sub>'.$sub_title.'</sub></h2>';
		$output .=  '</div>';
	}	
	
	$output .=  '<div class="white-box-content">';	
	$output .=  '<p>'.do_shortcode($content).'</p>';
	$output .=  '</div></div></div></div></div>';		
  
	return $output;   
}

add_shortcode( 'whitebox', 'swm_home_whitebox' );

function swm_whitebox_image( $atts, $content = null ) {
	extract( shortcode_atts( array (		
		'src' => '',
		'alt' => '',
		'title' => '',
		'link' => ''		
	), $atts ) );  
	
	if  ($src != '') {
		if ($link != '') {		
			$thumb_image = '<a href="'.$link.'" ><img src="'.$src.'" alt="'.$alt.'" title="'.$title.'" class="white-box-img" /></a>';
		} else {
			$thumb_image = '<img src="'.$src.'" alt="'.$alt.'" class="white-box-img" />';
		}	
	}
	
	return $thumb_image;   
}

add_shortcode( 'whitebox_image', 'swm_whitebox_image' );

/* ************************************************************************************** 
  HOME PAGE PROMOTION BOX
************************************************************************************** */

function swm_promotion_box( $atts, $content = null ) {
	extract( shortcode_atts( array (
		'button_link' => '',
		'button_text' => ''		
	), $atts ) );
  
	$output = '';
	
	$output .=  '<div class="clear"></div>';
	$output .=  '<div class="special-offer">';
	$output .=  '<h5 class="left special-offer-text">' . do_shortcode($content) . '</h5>';
	
	if ($button_text != '') {	
		$output .=  '<p class="right"><a href="'.$button_link.'" class="button_size3"><span>'.$button_text.'</span></a></p>';			
	}
	
	$output .=  '</div>';	
  
	return $output;   
}

add_shortcode( 'promotion_box', 'swm_promotion_box' );

/* ************************************************************************************** 
  IMAGE FRAME WITH ALIGNMENT
************************************************************************************** */

function swm_image_frames($atts, $content=null) {	
	
	extract( shortcode_atts( array (
		'lightbox' => ''						
	), $atts ) );
	
	$output  = '';
	
	if(isset($atts['lightbox'])  && $atts['lightbox'] != "false") { $lightbox = 'rel="prettyPhoto"'; } 	
	
	if(isset($atts['align']) && $atts['align'] == "center") 
	$output .= '<div class="center">';
	
	if(isset($atts['link'])  && $atts['link'] != "") 
	$output .= '<a href="'.$atts['link'].'" title="'.$atts['title'].'" '.$lightbox.' >';
	
	$output .= '<img alt="'.$atts['alt'].'" src="'.$atts['src'].'" class="image-'.$atts['align'].' round5" />';
	
	if(isset($atts['link']) && $atts['link'] != "") 
	$output .= '</a>';
	
	if(isset($atts['align']) && $atts['align'] == "center") 
	$output .= '</div>';	
	
	return $output;
}

add_shortcode( 'image', 'swm_image_frames' );

/* ************************************************************************************** 
  TEAM MEMBER
************************************************************************************** */

function swm_team_member( $atts, $content = null ) {
	extract( shortcode_atts( array (
		'image_src' => '',
		'alt' => '',
		'name' => '',
		'position' => '',
		'email' => '',
		'phone' => ''				
	), $atts ) );
  
	$output = '';
	
	$output .=  '<div class="team-member">';
	
	if ($image_src != '') {	
	$output .=  '<div class="team-member-thumb"><img src="'.$image_src.'" alt="'.$alt.'" /></div>';
	}
	if ($name != '') {
		$output .=  '<h4>'.$name.'</h4>';
	}
	if ($position != '') {
		$output .=  '<p>'.$position.'</p>';
	}	
	if ($email != '') {	
		$output .=  '<p><span class="staff-email"><a href="mailto:'.$email.'">'.$email.'</a></span></p>';
	}
	if ($phone != '') {	
		$output .=  '<p><span class="staff-phone">'.$phone.'</span></p>';
	}	
	$output .=  '<div class="divider2"></div>';
	$output .=  '</div>';
	$output .=  do_shortcode($content);
  
	return $output;   
}

add_shortcode( 'team_member', 'swm_team_member' );

/* ************************************************************************************** 
   SINGLE PAGE PORTFOLIO SLIDER
************************************************************************************** */

function swm_portfolio_slider( $atts, $content = null ) {
	extract( shortcode_atts( array (		
		'link' => '#'
	), $atts ) );
  
	$output = '';	
	
	$output .=  '<div class="two-third">';
	$output .=  '<script type="text/javascript" src="'.get_template_directory_uri().'/js/jquery.pikachoose.full.js"></script>';	
	$output .=  '<div id="single-page-portfolio">';
	$output .=  '<ul id="pikame" class="jcarousel-skin-pika">';		
	$output .=  do_shortcode($content);							
	$output .=  '</ul>';
	$output .=  '</div>';
	$output .=  '</div>';
	$output .=  '<div class="clear"></div>';
  
	return $output;   
}

add_shortcode( 'portfolio_slider', 'swm_portfolio_slider' );

function swm_portfolio_slide( $atts, $content = null ) {
	extract( shortcode_atts( array (		
		'link' => '#',
		'title' => '',
		'src' => '',
		'alt' => '',
		'caption' => ''
	), $atts ) );
	
	$output  = '<li>';	
	$output .= '<a href="'.$link.'" title="'.$title.'">';	
	$output .= '<img src="'.$src.'" alt="'.$alt.'" />';
	$output .= '</a>';
	
	if ($caption != '') { $output .= '<span class="caption">'.$caption.'</span>'; }
	
	$output .= '</li>';
	
	return $output;
}

add_shortcode( 'portfolio_slide', 'swm_portfolio_slide' );

/* ************************************************************************************** 
    LINE BREAK / GO TOP
************************************************************************************** */

function swm_divider( $atts, $content = null ) {
	return '<div class="clear"></div><div class="divider2"></div><br />';
} add_shortcode('hr', 'swm_divider');

function swm_divider2( $atts, $content = null ) {	
	return '<div class="divider1"></div>';
} add_shortcode('hr2', 'swm_divider2');

function swm_break( $atts, $content = null ) {
	return '<br />';
} add_shortcode('break', 'swm_break');

function swm_clear( $atts, $content = null ) {
	return '<div class="clear"></div>';
} add_shortcode('clear', 'swm_clear');

function swm_top( $atts, $content = null ) {	
	return '<div class="divider2"></div><br /><div class="gotop"><a href="#top">TOP &uarr;</a></div>';
} add_shortcode('top', 'swm_top');

function swm_top2( $atts, $content = null ) {	
	return '<div class="divider1"></div><div class="gotop"><a href="#top">TOP &uarr;</a></div><br />';
} add_shortcode('top2', 'swm_top2');


/* ************************************************************************************** 
   WORDPRESS GALLERY
************************************************************************************** */
   
remove_shortcode('gallery', 'gallery_shortcode');    
add_shortcode('gallery', 'swm_gallery_sc');
	
//the own renamed function
function swm_gallery_sc($attr) {
	global $post;

	static $instance = 0;
	$instance++;

	// Allow plugins/themes to override the default gallery template.
	
	$output = '';
	$output = apply_filters('post_gallery', '', $attr);
	if ( $output != '' )
	return $output;

	// We're trusting author input, so let's at least make sure it looks like a valid orderby statement
	if ( isset( $attr['orderby'] ) ) {
		$attr['orderby'] = sanitize_sql_orderby( $attr['orderby'] );
	if ( !$attr['orderby'] )
		unset( $attr['orderby'] );
	}

	extract(shortcode_atts(array(
	'order' => 'ASC',
	'orderby' => 'menu_order ID',
	'id' => $post->ID,
	'container'  => 'ul',
	'itemtag'    => 'li',
	'linkclass'  => '',
	'imgclass'   => '',
	'captiontag' => 'span',
	'relative'   => 'prettyPhoto',
	'columns' => 3,
	'size' => 'thumbnail',
	'include' => '',
	'exclude' => ''
	), $attr));

	$id = intval($id);
	if ( 'RAND' == $order )
		$orderby = 'none';

	if ( !empty($include) ) {
		$include = preg_replace( '/[^0-9,]+/', '', $include );
		$_attachments = get_posts( array('include' => $include, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => $order, 'orderby' => $orderby) );

		$attachments = array();
		foreach ( $_attachments as $key => $val ) {
			$attachments[$val->ID] = $_attachments[$key];
		}
	} elseif ( !empty($exclude) ) {
		$exclude = preg_replace( '/[^0-9,]+/', '', $exclude );
		$attachments = get_children( array('post_parent' => $id, 'exclude' => $exclude, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => $order, 'orderby' => $orderby) );
	} else {
		$attachments = get_children( array('post_parent' => $id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => $order, 'orderby' => $orderby) );
	}

	if ( empty($attachments) )
	return '';

	if ( is_feed() ) {
		$output = "";
		foreach ( $attachments as $att_id => $attachment )
			$output .= wp_get_attachment_link($att_id, $size, true) . "";
		return $output;
	}

	// check to see if tags have been set to false. If they are the defaults or have been set to a string value use that as the tag.
	$container = tag_escape($container);
	if ($itemtag) $itemtag = tag_escape($itemtag);
	if ($captiontag) $captiontag = tag_escape($captiontag);
	//if ($icontag) $icontag = tag_escape($icontag);
	
	$relative = tag_escape($relative);
	$columns = intval($columns);
	$selector = "gallery-{$instance}";
	
	$output = apply_filters('gallery_style', "");
	$output .= '<div class="wp-gallery wp-gallery-col">';
	$output .= "<{$container}>";
	$i = 0;
	
	foreach ( $attachments as $id => $attachment ) {
		
		$link = isset($attr['link']) && 'file' == $attr['link'] ? wp_get_attachment_link($id, $size, false, false) : wp_get_attachment_link($id, $size, true, false);
		
		$itemtagclass = "gallery".$attachment->post_parent;
		$image = wp_get_attachment_image_src($id, $size, $icon = false);
		$uimage = wp_get_attachment_image_src($id, "Large", $icon = false);		
		$image_caption = $attachment->post_excerpt;
		$image_title = $attachment->post_title;
		
		$output .= "<{$itemtag} class='gallery-item col-{$columns}'>";		
		$output .= '<div class="wp-gallery-img">';
		$output .= '<div class="wp-gallery-img-box">';
		$output .= '<div class="fade-img" lang="zoom-icon" >';
		
		$output .= "<a href='{$uimage[0]}' rel='{$relative}[swmgallery]' title='$image_title' ><img  src='{$image[0]}' alt='$image_caption' /></a>";
		
		$output .= '</div>';
		$output .= '</div>';
		$output .= '</div>';		
		$output .= "</{$itemtag}>";
		
	}

	$output .= "</{$container}>	";
	$output .= '</div>';
	return $output;
}




/* ************************************************************************************** 
   SOCIAL MEDIA
************************************************************************************** */

function swm_social_media( $atts, $content = null ) {	
  extract( shortcode_atts( array (		
		'size' => ''		
	), $atts ) );
	
	
	$output = '';   
	$output .=  '<div class="social_media_icons'.$size.'">';		
	$output .=  '<ul>';
	$output .=  do_shortcode($content);	
	$output .=  '</ul>';
	$output .=  '</div>'; 
  
	return $output;   
}

add_shortcode( 'social_media', 'swm_social_media' );


function swm_social_media_sc( $atts, $content = null, $media ) {
	
	extract( shortcode_atts( array (		
		'link' => ''		
	), $atts ) );
	
	if ($link != '') {
  
		$output = ''; 	
		$output .=  '<li>';
		$output .=  '<a href="'.$link.'" class="'.$media.'" title="'.$media.'"></a>';	
		$output .=  '</li>';
	  
		return $output; 

	}	
}

add_shortcode( 'twitter', 'swm_social_media_sc' );
add_shortcode( 'facebook', 'swm_social_media_sc' );
add_shortcode( 'youtube', 'swm_social_media_sc' );
add_shortcode( 'flickr', 'swm_social_media_sc' );
add_shortcode( 'linkedin', 'swm_social_media_sc' );
add_shortcode( 'delicious', 'swm_social_media_sc' );
add_shortcode( 'vimeo', 'swm_social_media_sc' );
add_shortcode( 'rss', 'swm_social_media_sc' );
add_shortcode( 'apple', 'swm_social_media_sc' );
add_shortcode( 'blogger', 'swm_social_media_sc' );
add_shortcode( 'brightkite', 'swm_social_media_sc' );
add_shortcode( 'designfloat', 'swm_social_media_sc' );
add_shortcode( 'digg', 'swm_social_media_sc' );
add_shortcode( 'dopplr', 'swm_social_media_sc' );
add_shortcode( 'friendfeed', 'swm_social_media_sc' );
add_shortcode( 'gamespot', 'swm_social_media_sc' );
add_shortcode( 'google', 'swm_social_media_sc' );
add_shortcode( 'lastfm', 'swm_social_media_sc' );
add_shortcode( 'mixx', 'swm_social_media_sc' );
add_shortcode( 'mobileme', 'swm_social_media_sc' );
add_shortcode( 'myspace', 'swm_social_media_sc' );
add_shortcode( 'netvibes', 'swm_social_media_sc' );
add_shortcode( 'newsvine', 'swm_social_media_sc' );
add_shortcode( 'openid', 'swm_social_media_sc' );
add_shortcode( 'picasa', 'swm_social_media_sc' );
add_shortcode( 'posterous', 'swm_social_media_sc' );
add_shortcode( 'reddit', 'swm_social_media_sc' );
add_shortcode( 'skype', 'swm_social_media_sc' );
add_shortcode( 'stumbleupon', 'swm_social_media_sc' );
add_shortcode( 'technorati', 'swm_social_media_sc' );
add_shortcode( 'tumblr', 'swm_social_media_sc' );
add_shortcode( 'viddler', 'swm_social_media_sc' );
add_shortcode( 'virb', 'swm_social_media_sc' );
add_shortcode( 'wordpress', 'swm_social_media_sc' );
add_shortcode( 'yahoo', 'swm_social_media_sc' );
add_shortcode( 'yahoobuzz', 'swm_social_media_sc' );
add_shortcode( 'yelp', 'swm_social_media_sc' );

/* ************************************************************************************** 
   HORIZONTAL TAB
************************************************************************************** */

function swm_horizontal_tab( $atts, $content = null ) {			
	
	$output = '';		
	$output .=  '<div class="portfolio-tab">';
	$output .=  '<ul>';		
	$output .=  do_shortcode($content);
	$output .=  '</ul>';	
	$output .=  '</div>';	
	$output .=  '<div class="clear"></div>';
  
	return $output;   
}

add_shortcode( 'horizontal_tab', 'swm_horizontal_tab' );

function swm_menu_tab( $atts, $content = null ) {
	extract( shortcode_atts( array (		
		'link' => '',
		'text' => 'tab',
		'active'=>''
	), $atts ) );

	if ($active == 'true' || $active == 'yes') {
		
		$active_class = ' class="current_page_item"';
	}		
	
	$output .= '<li'.$active_class.'><a href="'.$link.'"><span>'.$text.'</span></a></li>';
	
	return $output;
	
}

add_shortcode( 'menu_tab', 'swm_menu_tab' );