(function ()
{
	// create swmShortcodes plugin
	tinymce.create("tinymce.plugins.swmShortcodes",
	{
		init: function ( ed, url )
		{
			ed.addCommand("swmPopup", function ( a, params )
			{
				var popup = params.identifier;
				
				// load thickbox
				tb_show("Insert Shortcode", url + "/popup.php?popup=" + popup + "&width=" + 800);
			});
		},
		createControl: function ( btn, e )
		{
			if ( btn == "swm_button" )
			{	
				var a = this;
				
				// adds the tinymce button
				btn = e.createMenuButton("swm_button", {					
					title: "Add Shortcode",
					
					/* =========================================================================
					  BELOW IS SHORTCODE ICON PATH WHICH YOU CAN CHANGE AS PER YOUR WEBSITE URL 
					=========================================================================== */	
					
					image: "../wp-content/themes/evision/framework/images/shortcode-icon.png",
					
					icons: false
				});
				
				// adds the dropdown to the button
				btn.onRenderMenu.add(function (c, b) {
					c = b.addMenu({
                        title: "Typography"
                    });
					a.addWithPopup( c, "Button", "button" );
					a.addWithPopup( c, "Column", "columns" );
					a.addWithPopup( c, "Dropcaps", "dropcaps" );
					a.addWithPopup( c, "Highlight", "highlight" );
					a.addWithPopup( c, "List Styles", "textlist" );
					a.addWithPopup( c, "Line Break", "linebreak" );
					a.addWithPopup( c, "Quote", "quote" );
					a.addWithPopup( c, "Tabs", "tabs" );
					a.addWithPopup( c, "Toggle", "toggle" );
					
					c = b.addMenu({
                        title: "Boxes"
                    });
					a.addWithPopup( c, "Info Box", "infoboxes" );
					a.addWithPopup( c, "Fancy Box", "fancybox" );
					a.addWithPopup( c, "Promotion Box", "promotionbox" );
					a.addWithPopup( c, "Whitebox", "whitebox" );
					
					
					a.addWithPopup( b, "Gallery", "gallery" );
					a.addWithPopup( b, "Horizontal Menu", "horizontalmenu" );
					a.addWithPopup( b, "Image", "image" );
					a.addWithPopup( b, "Portfolio Slider", "portfolioslider" );
					a.addWithPopup( b, "Pricing Table", "tables" );
					a.addWithPopup( b, "Social Media", "socialmedia" );
					a.addWithPopup( b, "Team Member", "teammember" );
				});
				
				return btn;
			}
			
			return null;
		},
		addWithPopup: function ( ed, title, id ) {
			ed.add({
				title: title,
				onclick: function () {
					tinyMCE.activeEditor.execCommand("swmPopup", false, {
						title: title,
						identifier: id
					})
				}
			})
		},
		addImmediate: function ( ed, title, sc) {
			ed.add({
				title: title,
				onclick: function () {
					tinyMCE.activeEditor.execCommand( "mceInsertContent", false, sc )
				}
			})
		},
		getInfo: function () {
			return {
				longname: 'SWM Shortcodes',
				author: 'Soft Web Media',				
				version: "1.0"
			}
		}
	});
	
	// add swmShortcodes plugin
	tinymce.PluginManager.add("swmShortcodes", tinymce.plugins.swmShortcodes);
})();