<?php

/* ************************************************************************************** 
	Slider Post Type
************************************************************************************** */

add_action( 'init', 'swm_posttype_slider' );

	function swm_posttype_slider() {	
		$labels = array(
			'name' => __('Slider', 'swmtranslate'),
		    'singular_name' => __('Slider', 'swmtranslate'),	
			'add_new' => __('Add New Slide', 'swmtranslate'),
			'add_new_item' => __('Add New Slide', 'swmtranslate'),
			'edit_item' => __('Edit Slider', 'swmtranslate'),
			'new_item' => __('New Slide', 'swmtranslate'),
			'view_item' => __('View Slides', 'swmtranslate'),
			'search_items' => __('Search Slides', 'swmtranslate'),
			'not_found' =>  __('No slides found', 'swmtranslate'),
			'not_found_in_trash' => __('No slides found in Trash', 'swmtranslate'),
			'parent_item_colon' => ''
		);
		  
		$args = array(
			'labels' => $labels,
			'public' => true,
			'exclude_from_search' => false,
			'publicly_queryable' => true,
			'rewrite' => array('slug' => 'slider'),
			'show_ui' => true, 
			'query_var' => true,
			'capability_type' => 'post',
			'hierarchical' => false,		
			'menu_position' => null,
			'supports' => array('title','editor','thumbnail')
		); 
		  
		register_post_type('slider',$args);	
		flush_rewrite_rules();
	}
	
/* ------------------------------------------------------------------------------ */
 
add_filter("manage_edit-slider_columns", "swm_posttype_slider_edit_columns"); 

	function swm_posttype_slider_edit_columns($columns){  
		$columns = array(  
			"cb" => "<input type=\"checkbox\" />",  
			"title" => __( 'Slide Title' , 'swmtranslate'),
			'slide-type' => __( 'Slide Type', 'swmtranslate'),
			'slide-width' => __( 'Slide Width', 'swmtranslate'),		
			"Image" => __( 'Image' , 'swmtranslate'),
			'date' => __( 'Date', 'swmtranslate')
		); 
		return $columns;  
	} 
	
/* ------------------------------------------------------------------------------ */
	
add_action("manage_posts_custom_column",  "swm_posttype_slider_image_column");	
  
function swm_posttype_slider_image_column($column){  
	global $post;  
	switch ($column)  {  		
			
		case "slide-type":
			if(get_post_meta($post->ID, "swm_slider_type", true)){
				echo get_post_meta($post->ID, "swm_slider_type", true);
			} else {echo '---';}
			break;
			
		case "slide-width":
			if(get_post_meta($post->ID, "swm_slide_size", true)){
				echo get_post_meta($post->ID, "swm_slide_size", true);
			} else {echo '---';}
			break;
			
		case "slide-alignment":
			if(get_post_meta($post->ID, "swm_slide_alignment", true)){
				echo get_post_meta($post->ID, "swm_slide_alignment", true);
			} else {echo '---';}
			break;
	}  
}
/* ************************************************************************************** 
	Sort Slider Items
************************************************************************************** */

add_action('admin_menu', 'swm_slider_sort_order_page');

function swm_slider_sort_order_page() {
    
	$swm_sort_order_page_data = add_submenu_page('edit.php?post_type=slider', __('Sort Slider Items', 'swmtranslate'), __('Sort Slider Items', 'swmtranslate'), 'edit_posts', basename(__FILE__), 'swm_slider_sort_order_list'); 	
}

function swm_slider_sort_order_list() {
    $slider_items = new WP_Query('post_type=slider&posts_per_page=-1&orderby=menu_order&order=ASC');
?>
    <div class="wrap">
        <div id="icon-edit" class="icon32 icon32-posts-gallery"><br /></div>
        <h2><?php _e('Sort Slider Items', 'swmtranslate'); ?></h2>
        <p><?php _e('Re-order slides by drag up/down.', 'swmtranslate'); ?></p>

        <ul id="swm_sort_items">
            <?php while( $slider_items->have_posts() ) : $slider_items->the_post(); ?>
                <?php if( get_post_status() == 'publish' ) { ?>
                    <li id="<?php the_id(); ?>" class="menu-item">
                        <dl class="menu-item-bar">
                            <dt class="menu-item-handle">
                                <span class="menu-item-title sortable-slider-title"><?php the_title(); ?></span>
                            </dt>
                        </dl>
                        <ul class="menu-item-transport"></ul>
                    </li>
                <?php } ?>
            <?php endwhile; ?>
            <?php wp_reset_postdata(); ?>
        </ul>
    </div>
<?php }

add_action('wp_ajax_swm_sort_order', 'swm_save_slider_sort_order');

function swm_save_slider_sort_order() {
   
	global $wpdb;    
    $sort_order = explode(',', $_POST['order']);
    $counter = 0;
    
    foreach($sort_order as $slider_item_id) {
        $wpdb->update($wpdb->posts, array('menu_order' => $counter), array('ID' => $slider_item_id));
        $counter++;
    }
    die(1);
}