<?php

function SWM_Testimonials_Widget_Display() {
	register_widget('SWM_Testimonials_Widget');
}

add_action('widgets_init', 'SWM_Testimonials_Widget_Display');

class SWM_Testimonials_Widget extends WP_Widget {
	
    function SWM_Testimonials_Widget(){			
		$widget_ops = array( 'classname' => '', 'description' => __('Display Testimoinals with Rotation', 'swmtranslate') );				
		$this->WP_Widget( 'testimonials-widget', __('SWM - Testimonials Widget', 'swmtranslate'), $widget_ops );
	}
		
	function widget( $args, $instance ) {
		extract( $args );

		/* User-selected settings. */
		$swm_testimonials_title = apply_filters('widget_title', $instance['title'] );
		$open_new_window = $instance['open_new_window'] ? '1' : '0';
		$hide_quote_icon = $instance['hide_quote_icon'] ? '1' : '0';
		$hide_client_name = $instance['hide_client_name'] ? '1' : '0';
		$hide_client_details = $instance['hide_client_details'] ? '1' : '0';
		$hide_client_website = $instance['hide_client_website'] ? '1' : '0';
		$testimonials_word_limit = !empty($instance['testimonials_word_limit']) ? $instance['testimonials_word_limit'] : '150' ;
		$testimonials_post_limit = !empty($instance['testimonials_post_limit']) ? $instance['testimonials_post_limit'] : '' ;
		
		echo $before_widget;		
		echo $before_title.$swm_testimonials_title.$after_title;		
		
		rewind_posts();
		wp_reset_query(); 
		
		echo '<div id="testimonials-slide">';		
		echo '<div class="slides_container">';
		
		$count 		=	1;
		$itemlimit 	=	-1;		
		$pageid 	= 	get_the_ID();							
		
		$args = array(
			'post_type' => 'testimonials',
			'orderby'=>'menu_order',
			'order' => 'ASC',			
			'showposts' => $testimonials_post_limit,	
			'type' => get_query_var('type')					      	 	
			);

		$query = new WP_Query( $args );
		
		while ($query->have_posts()) : $query->the_post();					
			
			$swm_client_details = get_post_meta(get_the_ID(), 'swm_client_details', TRUE); 
			$swm_website_title = get_post_meta(get_the_ID(), 'swm_website_title', TRUE); 
			$swm_website_url = get_post_meta(get_the_ID(), 'swm_website_url', TRUE);  ?>			

			<div>
			<div class="widget-testimonials-top"></div>						
			<div class="widget-testimonials-bg">
				<?php  if ($hide_quote_icon == 0) { ?><span></span><?php } ?>
				<p>
					<?php 					
						$words = explode(" ",strip_tags(get_the_content()));
						$content = implode(" ",array_splice($words,0,$testimonials_word_limit));
						echo $content;				
					?>
				</p>
			</div>
			<div class="widget-testimonials-bottom">
				
				<?php if ($hide_client_name == 0) { ?><span><?php echo the_title(); ?></span>  <?php }
				
				 if ($hide_client_details == 0) { 
				 
					if ($swm_client_details) { echo $swm_client_details; }
					
				} 	?>			
				
			</div>
			
			<div class="widget-testimonials-website">
				
				<?php  	if ($hide_client_website == 0) { 
				
							if ($swm_website_url) { ?>				
									
									<a href="<?php echo $swm_website_url; ?>" <?php if ($open_new_window == 1) echo('target="_blank"') ?> ><?php echo $swm_website_title; ?></a>
								
							<?php } elseif ($swm_website_title) { ?>
									
									<a href="<?php echo $swm_website_url; ?>" <?php if ($open_new_window == 1) echo('target="_blank"') ?> ><?php echo $swm_website_title; ?></a>
								
							<?php }	
						} ?>				
			</div>
			</div>
			<?php 	
			
			$count++; 
			
		endwhile; ?>	

		<?php 
		
		echo '</div>';
		echo '</div>';
		
		?>		
<?php		
		echo $after_widget;
	}	
	
	/*Saves the settings. */
    function update($new_instance, $old_instance){
		$instance = $old_instance;
		$instance['title'] = stripslashes($new_instance['title']);		
		$instance['open_new_window'] = !empty($new_instance['open_new_window']) ? 1 : 0;
		$instance['hide_quote_icon'] = !empty($new_instance['hide_quote_icon']) ? 1 : 0;
		$instance['hide_client_name'] = !empty($new_instance['hide_client_name']) ? 1 : 0;
		$instance['hide_client_details'] = !empty($new_instance['hide_client_details']) ? 1 : 0;
		$instance['hide_client_website'] = !empty($new_instance['hide_client_website']) ? 1 : 0;
		$instance['testimonials_word_limit'] = stripslashes($new_instance['testimonials_word_limit']);
		$instance['testimonials_post_limit'] = stripslashes($new_instance['testimonials_post_limit']);

		return $instance;
	}
	
	function form( $instance ) {

		/* Set up some default widget settings */
		
		$defaults = array( 
			'title' => __('Testimonials', 'swmtranslate'), 
			'open_new_window' => true,
			'hide_quote_icon' => false,
			'hide_client_name' => false,
			'hide_client_details' => false,
			'hide_client_website' => true,			
			'testimonials_word_limit' => 150,
			'testimonials_post_limit' => ''
		);
		$instance = wp_parse_args( (array) $instance, $defaults );
		
		$title = htmlspecialchars($instance['title']);		
		$open_new_window = isset($instance['open_new_window']) ? (bool) $instance['open_new_window'] :false;
		$hide_quote_icon = isset($instance['hide_quote_icon']) ? (bool) $instance['hide_quote_icon'] :false;
		$hide_client_name = isset($instance['hide_client_name']) ? (bool) $instance['hide_client_name'] :false;
		$hide_client_details = isset($instance['hide_client_details']) ? (bool) $instance['hide_client_details'] :false;
		$hide_client_website = isset($instance['hide_client_website']) ? (bool) $instance['hide_client_website'] :true;
		$testimonials_word_limit = $instance['testimonials_word_limit'];
		$testimonials_post_limit = $instance['testimonials_post_limit'];
		
		?>
		
		<p>
			<small><?php _e('Add Clients Testimonials from left menu "Testimonials" > <a href="post-new.php?post_type=testimonials">Add New</a>', 'swmtranslate') ?></small>
		</p>
		
		<hr />
		
		<p>
			<label for="<?php echo $this->get_field_id( 'title' ); ?>"><?php _e('Widget Title:', 'swmtranslate') ?></label>
			<input id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" value="<?php echo $instance['title']; ?>" style="width:95%;" />
		</p>
		
		<hr />
		
		<p>
			<input class="checkbox" type="checkbox" <?php checked($instance['open_new_window'], true) ?> id="<?php echo $this->get_field_id('open_new_window'); ?>" name="<?php echo $this->get_field_name('open_new_window'); ?>" />
			<label for="<?php echo $this->get_field_id('open_new_window'); ?>"><?php _e('Open client\'s website in <strong>New Window</strong>.', 'swmtranslate') ?></label>	
		</p>
		
		<p>
			<input class="checkbox" type="checkbox" <?php checked($instance['hide_quote_icon'], true) ?> id="<?php echo $this->get_field_id('hide_quote_icon'); ?>" name="<?php echo $this->get_field_name('hide_quote_icon'); ?>" />
			<label for="<?php echo $this->get_field_id('hide_quote_icon'); ?>"><?php _e('Hide <strong>Quote Icon</strong> in textimonials box.', 'swmtranslate') ?></label>		
		</p>
		
		<p>
			<input class="checkbox" type="checkbox" <?php checked($instance['hide_client_name'], true) ?> id="<?php echo $this->get_field_id('hide_client_name'); ?>" name="<?php echo $this->get_field_name('hide_client_name'); ?>" />
			<label for="<?php echo $this->get_field_id('hide_client_name'); ?>"><?php _e('Hide Client <strong>Name</strong>.', 'swmtranslate') ?></label>		
		</p>
		
		<p>
			<input class="checkbox" type="checkbox" <?php checked($instance['hide_client_details'], true) ?> id="<?php echo $this->get_field_id('hide_client_details'); ?>" name="<?php echo $this->get_field_name('hide_client_details'); ?>" />
			<label for="<?php echo $this->get_field_id('hide_client_details'); ?>"><?php _e('Hide Client<strong> Details</strong>.', 'swmtranslate') ?></label>		
		</p>
		
		<p>
			<input class="checkbox" type="checkbox" <?php checked($instance['hide_client_website'], true) ?> id="<?php echo $this->get_field_id('hide_client_website'); ?>" name="<?php echo $this->get_field_name('hide_client_website'); ?>" />
			<label for="<?php echo $this->get_field_id('hide_client_website'); ?>"><?php _e('Hide <strong>Website URL</strong>.', 'swmtranslate') ?></label>		
		</p>
		
		<hr />
		
		<p>
			<label for="<?php echo $this->get_field_id( 'testimonials_word_limit' ); ?>"><?php _e('Word Limit:', 'swmtranslate') ?></label>
			<input id="<?php echo $this->get_field_id( 'testimonials_word_limit' ); ?>" name="<?php echo $this->get_field_name( 'testimonials_word_limit' ); ?>" value="<?php echo $instance['testimonials_word_limit']; ?>" style="width:95%;" /><br >
			<small><?php _e('Set word limit of testimonial, leave it blank for full testimonial.', 'swmtranslate') ?></small>
		</p>

		<p>
			<label for="<?php echo $this->get_field_id( 'testimonials_post_limit' ); ?>"><?php _e('Number of Testimonials to Display:', 'swmtranslate') ?></label>
			<input id="<?php echo $this->get_field_id( 'testimonials_post_limit' ); ?>" name="<?php echo $this->get_field_name( 'testimonials_post_limit' ); ?>" value="<?php echo $instance['testimonials_post_limit']; ?>" style="width:95%;" /><br >
			<small><?php _e('Set testimoinals slides limit, leave it blank to slide all testimonials.', 'swmtranslate') ?></small>
		</p>
		<?php	
	}
}	