<?php
define('SWM_THEME_DIR', get_template_directory_uri());
define('SWM_ADMIN', TEMPLATEPATH . '/framework/');
define('SWM_DIRECTORY', get_template_directory_uri());
define('OPTIONS_FRAMEWORK_DIRECTORY', get_template_directory_uri() . '/framework/');	
define('SWM_WIDGETS', TEMPLATEPATH . '/framework/widgets/');
define('THEME_CSS', SWM_DIRECTORY . '/css/');
define('SKIN_CSS', SWM_DIRECTORY . '/css/skins/');
define('ADMIN_CSS', SWM_DIRECTORY . '/framework/css/');
define('SWM_SHORTCODES', TEMPLATEPATH . '/framework/shortcodes/');
define('SWM_TINYMCE_DIR', SWM_DIRECTORY . '/framework/shortcodes/tinymce');





require_once (SWM_ADMIN . 'options-framework.php');

/* ---> Theme's custom function file ------------------------ */
 
require_once (SWM_ADMIN . 'general-functions.php');

/* ----------------------------------------------------- */

include_once (SWM_ADMIN . 'image-resizer.php');
include_once (SWM_ADMIN . 'sidebars/sidebar.php');
include_once (SWM_ADMIN . 'footers/additional-footer.php');
include_once (SWM_ADMIN . 'footers/footer-column.php');
include_once (SWM_WIDGETS . 'flickr-widget.php');
include_once (SWM_WIDGETS . 'advertise-widget.php');
include_once (SWM_WIDGETS . 'recent-posts-widget.php');
include_once (SWM_WIDGETS . 'testimonials-widget.php');
include_once (SWM_ADMIN . 'sidebars/multiple-sidebars.php');
include_once (SWM_ADMIN . 'admin-functions.php');
include_once (SWM_ADMIN . 'post-meta-boxes.php');
include_once (SWM_ADMIN . 'page-meta-boxes.php');
include_once (SWM_ADMIN . 'portfolios/portfolio-post-type.php');
include_once (SWM_ADMIN . 'portfolios/portfolio-meta-boxes.php');
include_once (SWM_ADMIN . 'sliders/slider-post-type.php');
include_once (SWM_ADMIN . 'sliders/slider-meta-boxes.php');
include_once (SWM_ADMIN . 'sliders/slider-options.php');
include_once (SWM_ADMIN . 'testimonials/testimonials-post-type.php');
include_once (SWM_ADMIN . 'testimonials/testimonials-meta-boxes.php');
include_once (SWM_ADMIN . 'faq/faq-post-type.php');
include_once (SWM_SHORTCODES . 'shortcodes.php');
require_once( SWM_SHORTCODES . 'tinymce/shortcodes.tinymce.php' );

add_theme_support( 'post-thumbnails' );

/* ************************************************************************************** 
	Register Javascripts and CSS Files
************************************************************************************** */

function swm_load_scripts () {
	if (!is_admin()) {
		$template_uri = get_template_directory_uri();		
		$swm_cufon_font_full = of_get_option('swm_cufon_font_full');
		$swm_cufon_font_disable = of_get_option('swm_cufon_font_disable');	
		
		wp_register_script('jquery-ui', $template_uri . '/js/jquery-ui.min.js', 'jquery');	
		wp_register_script('validation', 'http://ajax.aspnetcdn.com/ajax/jquery.validate/1.9/jquery.validate.min.js', 'jquery');	
		wp_register_script('superfish', $template_uri . '/js/superfish.js', 'jquery');
					
		wp_register_script('theme-settings', $template_uri . '/js/theme-settings.js', 'jquery', '1.0', TRUE);	
		wp_register_script('easing', $template_uri . '/js/easing.js', 'jquery', '1.0', TRUE);		
		wp_register_script('prettyPhoto', $template_uri . '/js/prettyphoto.js', 'jquery');
		wp_register_script('jquery-plugins', $template_uri . '/js/jquery-plugins.js', 'jquery');	
		wp_register_script('isotope', $template_uri . '/js/isotope.js', 'jquery');	
		
		wp_enqueue_script('jquery');		
		wp_enqueue_script('jquery-ui');		
		wp_enqueue_script('validation');	
		wp_enqueue_script('superfish');				
		wp_enqueue_script('easing');		
		wp_enqueue_script('prettyPhoto');		
		wp_enqueue_script('jquery-plugins');		
		wp_enqueue_script('isotope');				
		wp_enqueue_script('theme-settings');

		wp_register_style('main-css', $template_uri . '/style.css', '', '2.0');
		wp_register_style('shortcodes', $template_uri . '/shortcodes.css', '', '2.0');		
		wp_register_style('prettyphoto', $template_uri . '/css/prettyphoto.css', '', '2.0');		
		wp_register_style('screen', $template_uri . '/css/screen.php', '', '2.0');	
		wp_register_style('google-font-link', 'http://fonts.googleapis.com/css?family=Bitter:400,700,400italic');
		wp_register_style('google-font', $template_uri . '/google-font.css', '', '2.0');
		
		wp_enqueue_style('main-css');
		wp_enqueue_style('shortcodes');		
		wp_enqueue_style('prettyphoto');
		wp_enqueue_style('screen');
		wp_enqueue_style('google-font-link');
		wp_enqueue_style('google-font');
		
	}
}
add_action('init', 'swm_load_scripts');

/* ************************************************************************************** 
	Register Home page Sliders Javascript Files
************************************************************************************** */

$swm_get_slider_name = of_get_option('swm_slider_name'); 
				
if ($swm_get_slider_name == 'nivo-slider') {			
	
	function swm_load_nivo_slider_scripts () {
		if (!is_admin()) {
			$template_uri = get_template_directory_uri();
			
			wp_register_script('nivo-slider', $template_uri . '/js/slider-nivo.js', 'jquery');
			wp_enqueue_script('nivo-slider');	
		}
	}
	add_action('init', 'swm_load_nivo_slider_scripts');	
	
} elseif ($swm_get_slider_name == 'carousel-slider') {
	
	function swm_load_carousel_slider_scripts () {
		if (!is_admin()) {
			$template_uri = get_template_directory_uri();
			
			wp_register_script('carousel-slider', $template_uri . '/js/slider-carousel.js', 'jquery');
			wp_enqueue_script('carousel-slider');	
		}
	}
	add_action('init', 'swm_load_carousel_slider_scripts');	
	
} elseif ($swm_get_slider_name == 'skitter-slider') {
	
	function swm_load_skitter_slider_scripts () {
		if (!is_admin()) {
			$template_uri = get_template_directory_uri();
			
			wp_register_script('skitter-slider', $template_uri . '/js/slider-skitter.js', 'jquery');
			wp_enqueue_script('skitter-slider');	
		}
	}
	add_action('init', 'swm_load_skitter_slider_scripts');	
	
} else { 

	function swm_load_cycle_slider_scripts () {
		if (!is_admin()) {
			$template_uri = get_template_directory_uri();
			
			wp_register_script('cycle-slider', $template_uri . '/js/slider-cycle.js', 'jquery');
			wp_enqueue_script('cycle-slider');	
		}
	}
	add_action('init', 'swm_load_cycle_slider_scripts');	
}

