<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
<!-- title -->
<title><?php bloginfo('name'); ?><?php wp_title(); ?></title>
<meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php bloginfo('charset'); ?>" />	
<meta name="generator" content="WordPress <?php bloginfo('version'); ?>" />
<?php 
if ( is_singular() ) wp_enqueue_script( 'comment-reply' );
wp_head();
?>

<!--[if IE 7]>
<style type="text/css" media="screen">
  @import "<?php echo get_template_directory_uri(); ?>/css/ie7.css";
</style>
<![endif]-->

<!--[if IE 8]>
<style type="text/css" media="screen">
  @import "<?php echo get_template_directory_uri(); ?>/css/ie8.css";
</style>
<![endif]-->

</head>
<body <?php body_class(); ?>>

<?php $swm_inner_page_header = of_get_option('swm_inner_page_header'); ?>

<!-- *************************************** -->
<?php if (is_front_page() && $swm_inner_page_header == false){ ?>

	<div id="home-header-bg">

<?php } else { ?>

	<div id="inner-header-bg">

<?php } ?>

	<div id="white-header-bg">
		<div id="white-header">
			
			<!-- *************************************** -->
			<!-- Edit Logo Image CSS Styles from style.css > (03) HEADER SECTION > .logo-->	
			<div class="logo">
				<a href="<?php echo home_url(); ?>">
					<?php $logo = (of_get_option('swm_logo') <> '') ? esc_attr(of_get_option('swm_logo')) : get_template_directory_uri().'/images/samples/logo.png'; ?>
					<img src="<?php echo esc_url($logo); ?>" alt="<?php echo esc_attr(get_bloginfo('name')); ?>" id="logo" />
				</a>							
			</div> <!-- .logo -->
			
			<!-- *************************************** -->			
			<div id="top-menu">				
				<?php swm_display_top_menu(); ?>				
			</div> <!-- .top-menu -->
			
		</div><!-- #white-header -->
	</div> <!-- #white-header-bg -->
	
<?php 

if (!is_front_page() || $swm_inner_page_header == true){	

	if (is_page())	{
		
		get_template_part('includes/header', 'page');
	
	} else {
		
		get_template_part('includes/header', 'post');
	}
	
}	

?>