<?php if (!is_front_page()){	
	
	/* Get Title Icon from Theme Options */
	
	$title_icon = '';
	
	if ( is_day() ) :			$title_icon = of_get_option('swm_archives_title_icon');	
							
	elseif ( is_month() ) :		$title_icon = of_get_option('swm_archives_title_icon');							
	
	elseif ( is_year() ) :		$title_icon = of_get_option('swm_archives_title_icon');								
	
	elseif ( is_category() ) : 	$title_icon = of_get_option('swm_category_title_icon');		
		
	elseif ( is_tag() ) :		$title_icon = of_get_option('swm_tag_title_icon');							
		
	elseif ( is_author() ) :	$title_icon = of_get_option('swm_author_title_icon');								
		
	elseif ( is_search() ) :	$title_icon = of_get_option('swm_search_title_icon');							
	
	elseif ( is_attachment() ) :	$title_icon = of_get_option('swm_attachment_page_icon');
	
	elseif ( is_single() ) :	$title_icon = get_post_meta($post->ID, 'swm_header_title_icon', true);	
	
	elseif ( is_404() ) :	$title_icon = of_get_option('swm_error_page_title_icon');		
		
	endif;

	/* Get Tagline from Theme Options */
	
	$title_description = '';	
	
	if ( is_day() ) :			$title_description = of_get_option('swm_archives_title_tagline');			
							
	elseif ( is_month() ) :		$title_description = of_get_option('swm_archives_title_tagline');							
	
	elseif ( is_year() ) :		$title_description = of_get_option('swm_archives_title_tagline');								
	
	elseif ( is_category() ) : 	$title_description = category_description();		
		
	elseif ( is_tag() ) :		$title_description = of_get_option('swm_tag_title_tagline');							
		
	elseif ( is_author() ) :	$title_description = of_get_option('swm_author_title_tagline');								
		
	elseif ( is_search() ) :	$title_description = of_get_option('swm_search_title_tagline');							
	
	elseif ( is_attachment() ) :	$title_description = of_get_option('swm_img_attachment_title_tagline');
	
	elseif ( is_single() ) :	$title_description = get_post_meta($post->ID, 'swm_sub_title_text', true);

	elseif ( is_404() ) :	$title_description = of_get_option('swm_error_page_title_tagline');	
		
	endif;
	
	?>	
	
	<!-- *************************************** -->
	<div id="header-inner">
		<div id="title-section">		
			
			<div id="header-icons">
				<ul>					
					<?php 					
					swm_display_searchbox();					
					swm_display_social_media(); ?>										
				</ul>
			</div> <!-- .header-icons -->
			
			<div id="page-title">
				
				<?php 
				
					/* Display Title with icon and tagline */
					
					if ($title_icon) { ?>
				
					<img src="<?php echo $title_icon; ?>" class="title-icon" alt="" />	
				
				<?php } ?>
				
				<div class="page-heading">				
					
					<?php if ($title_description != '') { ?>
					
					<h1><?php swm_get_inner_title(); ?><br />
						<sub><?php echo $title_description; ?></sub>
					</h1>
					
					<?php } else { ?>
						<h1 style="margin-top:-20px;"><?php swm_get_inner_title(); ?></h1>
					<?php } ?>				
					
				</div> <!-- .page-title -->
			</div> <!-- .left -->	
			
			<div class="clear"></div>
			
			<?php if (of_get_option('swm_breadcrumbs')) {	 ?>
			
				<!-- Breadcrumb -->
				<div id="breadcrumb">
					<ul>
					
						<li class="front_page"><a href="<?php echo home_url(); ?>"><?php esc_html_e('Home','swmtranslate') ?></a></li>
					
						<?php
						
						if(get_query_var('author_name')) :
							$curauth = get_userdatabylogin(get_query_var('author_name'));
						else :
							$curauth = get_userdata(get_query_var('author'));
						endif;

								
						
						if (!is_single()) { ?>
						
							<li class="current">
								<?php if( is_tag() ) : 
									esc_html_e('Posts Tagged ','swmtranslate')?><span>&quot;</span><?php single_tag_title();?><span>&quot;</span> <?php
								elseif (is_day()) : 
									esc_html_e('Posts made in ','swmtranslate').the_time('F jS, Y');
								elseif (is_month()) : 
									esc_html_e('Posts made in ','swmtranslate').the_time('F, Y');
								elseif (is_year()) :
									esc_html_e('Posts made in ','swmtranslate').the_time('Y');
								elseif (is_search()) : 
									esc_html_e('Search results for ','swmtranslate'); ?><span>&quot;</span><?php the_search_query();?><span>&quot;</span> <?php				
								elseif (is_category()) :
									single_cat_title();
								elseif (is_author()) :
									esc_html_e('Posts by ','swmtranslate'); echo ' ',$curauth->nickname;
								elseif (is_404()) :
									
									$swm_error_page_title = of_get_option('swm_error_page_title');	
									
									if ($swm_error_page_title != '') {		
										echo $swm_error_page_title;								
									} else {								
										 _e( '404 Error', 'swmtranslate' );									
									}							
								
								
								elseif (is_page()) :
									wp_title('');
								endif; ?>
							
							</li> <?php				
						}
						
						if (is_single()) {					
							
							$postType = get_post_type();
					
							if($postType == 'post') {
								
								$category = get_the_category();
								$catlink = get_category_link( $category[0]->cat_ID );
								echo '<li><a href="'.esc_url($catlink).'">'.esc_html($category[0]->cat_name).'</a></li><li class="current">'.get_the_title().'</li>';
								
							} 	else if($postType == 'attachment')	{ echo '<li class="current">'.get_the_title().'</li>'; }
							
								else if($postType == 'portfolio')	{
								
								$terms = get_the_term_list( $post->ID, 'portfolio_category', '', '$$$', '' );
								$terms = explode('$$$',$terms);	
								$catlink = get_category_link( $category[0]->cat_ID );
								$swm_pages_list_portfolio = of_get_option('swm_pages_list_portfolio');	
								
								if ($swm_pages_list_portfolio) {								
										echo '<li><a href="'.get_post_permalink($swm_pages_list_portfolio).'" >'.get_the_title($swm_pages_list_portfolio).'</a></li><li class="current">'.get_the_title().'</li>';									
								} else {
									echo '<li class="current">'.get_the_title().'</li>';
								}							
							}						
						}
						?>
						
					</ul>
				</div> <!-- #breadcrumb -->	
			
	<?php 	}	 ?>
		
		</div> <!-- .title-section -->			
	</div> <!-- #header-inner -->	
	
<?php } ?>