<?php
/*
Template Name: Portfolio 1 Column - Classic
*/

get_header(); ?>
	
	<!-- *************************************** -->
	<div id="container">
		<div id="content">
		
			<!-- *************************************** -->
			<?php swm_display_portfolio_menu(); ?>
			
			<div class="clear"></div>
			
			<div class="portfolio pf-one-column">
					
				<ul>
				    <?php 				      		
						$count = 1;
						$items_per_page	= -1;
						$items_per_page	= of_get_option('swm_portfolio_pagination_1column');
						$pageid = get_the_ID();
						$exclude_cat = get_post_meta( $post->ID, 'swm_exclude_portfolio_categories', true ); // excluded portfolio categories from page metabox	
						
						$args = array(
							'post_type' => 'portfolio',
							'orderby'=>'menu_order',
							'order'     => 'ASC',
							'posts_per_page' => $items_per_page,
							'paged' => $paged,
							'type' => get_query_var('type'),
							'tax_query' => array(
								array(
										'taxonomy' => 'portfolio_category',
										'field' => 'id',
										'terms' => $exclude_cat,
										'operator' => 'NOT IN',
									)
							) // end of tax_query
						);

						$query = new WP_Query( $args );

						while ($query->have_posts()) : $query->the_post(); 						
							$terms = get_the_terms( get_the_ID(), 'type' );					
				    ?>
							
						<!-- Start Portfolio Item -->
						<li>
							<div class="pf-one-full">				
				
								<div class="img-one-full">
									<div class="img-one-full-box">
										<div class="fade-img" <?php swm_portfolio_hover_icon(); ?> >	
										<?php swm_portfolio_thumb(get_the_ID(), 'one-column'); ?>
										</div>
									</div>	<!-- .img-one-full-box -->									
								</div> <!-- .img-one-full -->						
								
								<div class="one-third last">
									<div class="portfolio-content">												
										
										<?php 
											/* display portfolio item title with content */	
											swm_portfolio_title(); 
											the_content(); ?>											
										
									</div>	<!-- .portfolio-content -->				
								</div>	<!-- .one-third .last -->	
								
							</div>	<!-- .pf-one-full -->
							
							<div class="clear"></div>			
							<div class="divider2"></div><br />	
					
							<?php $count++; ?>
						</li>
						<!-- End Portfolio Item -->
						
					<?php endwhile;	wp_reset_query(); ?>
				</ul>				        
						
			</div> <!-- .portfolio .pf-one-full -->					
	
			<div class="clear"></div>
				
			<?php swm_pagination($query->max_num_pages); ?>
				
			<div class="clear"></div>

			<?php 
				/* display page content below portfolio items */
				if (have_posts()) :
				while (have_posts()) : the_post();
				the_content('');
				endwhile;					
				endif;			

get_footer(); ?>