<?php
/*
Template Name: Portfolio 3 Column - Sortable
*/

get_header(); ?>
	
	<!-- *************************************** -->
	<div id="container">
		<div id="content">
					
			<?php if ( have_posts() ) while ( have_posts() ) : the_post(); 	
					
				$pageid = get_the_ID();
				$exclude_cat = get_post_meta( $post->ID, 'swm_exclude_portfolio_categories', true ); // excluded portfolio categories from page metabox				
				?>

				<!-- *************************************** -->
				<div class="portfolio-tab clearfix filter_menu">
					
					<!-- Portfolio Horizontal Navigation -->
					
					<div class="left filter-category"><?php _e( 'Filter in categories:', 'swmtranslate' ); ?></div>
					
					<ul class="filter group">
						<li><a href="#" class="active" data-filter="*"><span>All</span></a></li>
						<?php if ($exclude_cat):
								wp_list_categories(array('title_li' => '', 'taxonomy' => 'portfolio_category', 'exclude' => $exclude_cat, 'order' => 'asc', 'walker' => new Portfolio_Walker())); 
							else:
								wp_list_categories(array('title_li' => '', 'taxonomy' => 'portfolio_category', 'order' => 'asc', 'walker' => new Portfolio_Walker())); 
						endif; ?>
					</ul>
				</div> <!-- portfolio-tab -->
				
				<div class="clear"></div>
			
			<?php endwhile; ?>
			     					
				<div class="portfolio pf-one-third">
					
				    <section class="swm_portfolio swm_portfolio_sort">
				      	<?php 
				      		
				      		$count = 1;
							$items_per_page	= -1;
							$items_per_page	= of_get_option('swm_portfolio_pagination_3column');
					      	$args = array(
					      	 	'post_type' => 'portfolio',
					      	 	'posts_per_page' => $items_per_page,
								'paged' => $paged,
					      	 	'orderby'=>'menu_order',
					      	 	'type' => get_query_var('type'),
					      	 	'order'     => 'ASC',
					      	 	'tax_query' => array(
									array(
											'taxonomy' => 'portfolio_category',
											'field' => 'id',
											'terms' => $exclude_cat,
											'operator' => 'NOT IN',
											)
									));

							$query = new WP_Query( $args );

			            while ($query->have_posts()) : $query->the_post(); 						
							$terms = get_the_terms( get_the_ID(), 'portfolio_category' );	?>
							
				                <!-- Start Portfolio Item -->
								<article class="<?php foreach ($terms as $term) { echo strtolower(preg_replace('/\s+/', '-', $term->name)). ' '; } ?> swm_portfolio_box swm_portfolio_isotope">							
									<div <?php post_class(); ?> id="post-<?php the_ID(); ?>">
									
										<div class="img-one-third">
											<div class="img-one-third-box">
												<div class="fade-img" <?php swm_portfolio_hover_icon(); ?> >	
													<?php swm_portfolio_thumb(get_the_ID(), 'three-column'); ?>
												</div>
											</div>	<!-- .img-one-third-box -->									
										</div> <!-- .img-one-third -->
										
										<div class="portfolio-content">
											<?php												
												/* display portfolio item title, excerpt and read more button */												
												swm_portfolio_title(); 			                   
												swm_portfolio_excerpt(); 
												swm_portfolio_button(); 
											?>											
										</div> <!-- .portfolio-content -->
									
									</div>				             
				            
									<?php $count++; ?>
				            
								</article>
								<!-- End Portfolio Item -->
								
				            <?php endwhile;	wp_reset_query(); ?>
				        </section>				        
						
				</div> <!-- .portfolio .pf-one-third -->					
	
				<div class="clear"></div>

				<div class="clear divider portfolio-hr"></div>
					<?php swm_pagination($query->max_num_pages); ?>				
				<div class="clear"></div>

				<?php 
					/* display page content below portfolio items */
					if (have_posts()) :
					while (have_posts()) : the_post();
					the_content('');
					endwhile;					
					endif;			

get_footer(); ?>