<?php 
/**
 * The footer for our theme.
 *
 * This template is used to generate the footer for the theme.
 *
 * @package Photographer 
 * @since Photographer 1.0
 *
 */ 
 ?>
 
<?php if ( ! is_page_template('template-landing.php') ) { ?>

<!-- BEGIN #footer -->
<div id="footer">

	<!-- BEGIN .row -->
	<div class="row">
		
		<!-- BEGIN .twelve columns -->
		<div class="twelve columns">
		
			<?php if ( has_nav_menu( 'social-menu' ) ) { ?>
				
				<?php wp_nav_menu( array(
					'theme_location' => 'social-menu',
					'title_li' => '',
					'depth' => 1,
					'container_class' => 'social-menu',
					'menu_class'      => 'social-icons',
					'link_before'     => '<span>',
					'link_after'      => '</span>',
					)
				); ?>
				
			<?php } ?>
			
			<?php if ( '' != get_theme_mod( 'footer_text' ) ) { ?>
				
				<p><?php echo get_theme_mod( 'footer_text' ); ?> &middot; <a href="<?php bloginfo('rss2_url'); ?>"><?php _e("RSS Feed", 'organicthemes'); ?></a> &middot; <?php wp_loginout(); ?></p>
			
			<?php } else { ?>
			
				<p><?php _e("Copyright", 'organicthemes'); ?> &copy; <?php echo date(__("Y", 'organicthemes')); ?> &middot; <?php _e("All Rights Reserved", 'organicthemes'); ?> &middot; <?php bloginfo('name'); ?></p>
			
				<p><a href="http://organicthemes.com/themes/" target="_blank"><?php _e("Photographer Theme v3", 'organicthemes'); ?></a> <?php _e("from", 'organicthemes'); ?> <a href="http://organicthemes.com" target="_blank"><?php _e("Organic Themes", 'organicthemes'); ?></a> &middot; <a href="<?php bloginfo('rss2_url'); ?>"><?php _e("RSS Feed", 'organicthemes'); ?></a> &middot; <?php wp_loginout(); ?></p>
				
			<?php } ?>
	    
	    <!-- END .twelve columns -->
		</div>
	
	<!-- END .row -->
	</div>

<!-- END #footer -->
</div>

<?php } ?>

<!-- END #wrap -->
</div>

<?php wp_footer(); ?>

</body>
</html>