<?php
/**
* The Header for our theme.
* Displays all of the <head> section and everything up till <div id="wrap">
*
* @package Photographer
* @since Photographer 2.2
*
*/
?><!DOCTYPE html>

<!-- paulirish.com/2008/conditional-stylesheets-vs-css-hacks-answer-neither/ -->
<!--[if lt IE 7]> <html class="no-js ie6 oldie" <?php language_attributes(); ?>> <![endif]-->
<!--[if IE 7]>    <html class="no-js ie7 oldie" <?php language_attributes(); ?>> <![endif]-->
<!--[if IE 8]>    <html class="no-js ie8 oldie" <?php language_attributes(); ?>> <![endif]-->
<!-- Consider adding an manifest.appcache: h5bp.com/d/Offline -->
<!--[if gt IE 8]><!--> <html class="no-js" <?php language_attributes(); ?>> <!--<![endif]-->

<head>

	<meta charset="<?php bloginfo('charset'); ?>">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	
	<title><?php wp_title( '|', true, 'right' ); ?></title>
	<link rel="Shortcut Icon" href="<?php echo get_template_directory_uri(); ?>/images/favicon.ico" type="image/x-icon">
	<link rel="profile" href="http://gmpg.org/xfn/11">
	<link rel="pingback" href="<?php echo esc_url( bloginfo('pingback_url') ); ?>">
	
	<?php get_template_part( 'style', 'options' ); ?>
	
	<?php wp_head(); ?>

</head>

<body <?php body_class(); ?>>

<!-- BEGIN #wrap -->
<div id="wrap">

	<?php if ( ! is_page_template('template-landing.php') ) { ?>
	
	<!-- BEGIN #header -->
	<div id="header">
	
		<!-- BEGIN .row -->
		<div class="row">
		
			<!-- BEGIN #logo-title -->
			<div id="logo-title" class="clearfix">
			
			<?php if ( get_theme_mod( 'photographer_logo', get_template_directory_uri() . '/images/logo.png' ) ) { ?>
			
				<h1 id="logo" class="<?php if (get_theme_mod('title_align') == 'left') { ?>align-left<?php } if (get_theme_mod('title_align', 'center') == 'center') { ?>text-center<?php } if (get_theme_mod('title_align') == 'right') { ?>align-right text-right<?php } ?>">
					<a href="<?php echo esc_url( home_url( '/' ) ); ?>">
						<img src="<?php echo esc_url( get_theme_mod( 'photographer_logo', get_template_directory_uri() . '/images/logo.png' ) ); ?>" alt="" />
						<span class="logo-text"><?php echo wp_kses_post( get_bloginfo( 'name' ) ); ?></span>
					</a>
				</h1>
				
			<?php } else { ?>
			
				<div id="masthead" class="<?php if (get_theme_mod('title_align') == 'left') { ?>align-left<?php } if (get_theme_mod('title_align', 'center') == 'center') { ?>text-center<?php } if (get_theme_mod('title_align') == 'right') { ?>align-right text-right<?php } ?>">
				
					<h1 class="main-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php echo wp_kses_post( get_bloginfo( 'name' ) ); ?></a></h1>
					
					<h2 class="main-description"><?php echo wp_kses_post( get_bloginfo( 'description' ) ); ?></h2>
					
				</div>
				
			<?php } ?>
			
			<?php if ( get_theme_mod('title_align') == 'left' || get_theme_mod('title_align') == 'right' ) { ?>
				<span class="menu-toggle vertical-center <?php if ( get_theme_mod('title_align') == 'left' ) { ?>align-right<?php } if (get_theme_mod('title_align') == 'right') { ?>align-left<?php } ?>"><i class="fa fa-bars"></i></span>
			<?php } ?>
			
			<!-- END #logo-title -->
			</div>
		
			<nav id="navigation" class="navigation-main clearfix <?php if (get_theme_mod('title_align') == 'left') { ?>vertical-center align-right<?php } if (get_theme_mod('title_align', 'center') == 'center') { ?>text-center<?php } if (get_theme_mod('title_align') == 'right') { ?>vertical-center align-left<?php } ?>" role="navigation">
			
				<span class="menu-toggle"><i class="fa fa-bars"></i> <?php _e( 'Menu', 'organicthemes' ); ?></span>
	
				<?php if ( has_nav_menu( 'header-menu' ) ) {
					wp_nav_menu( array(
						'theme_location' => 'header-menu',
						'title_li' => '',
						'depth' => 4,
						'container_class' => '',
						'menu_class'      => 'menu'
						)
					);
				} else { ?>
					<div class="menu-container"><ul class="menu"><?php wp_list_pages('title_li=&depth=4'); ?></ul></div>
				<?php } ?>
	
			</nav><!-- END #navigation -->
			
		</div><!-- END .row -->
	
	<!-- END #header -->
	</div>
	
	<?php } ?>