( function( $ ) {

	function removeNoJsClass() {
		$( 'html:first' ).removeClass( 'no-js' );
	}
    
    /* Superfish the menu drops ---------------------*/
    function superfishSetup() {
    	$('.menu').superfish({
    		delay: 200,
    		animation: {opacity:'show', height:'show'},
    		speed: 'fast',
    		cssArrows: true,
    		autoArrows:  true,
    		dropShadows: false
    	});
    }
        
    /* Flexslider ---------------------*/
    function flexSliderSetup() {
    
    	$('.slides li > img:gt(0), .slides li > .feature-img img:gt(0)').addClass(
    	     function(i){return 'lazy';}
    	);
    	
    	if( ($).flexslider) {
    		var slider = $('.flexslider');
    		slider.fitVids().flexslider({
    			slideshowSpeed		: slider.attr('data-speed'),
    			animationDuration	: 600,
    			animation			: slider.attr('data-transition'),
    			video				: false,
    			useCSS				: false,
    			touch				: false,
    			prevText			: '<i class="fa fa-angle-left"></i>',
    			nextText			: '<i class="fa fa-angle-right"></i>',
    			animationLoop		: true,
    			smoothHeight		: true,
    			pauseOnAction		: true,
    			pauseOnHover		: true,
    			
    			start: function(slider) { // Fires when the slider loads the first slide
    			
    				slider.removeClass('loading');
    				$( ".preloader" ).hide();
    				
			      	var slide_count = slider.count - 1;
			
			      	$(slider)
				        .find('img.lazy:eq(0)')
				        .each(function() {
				        	var src = $(this).attr('data-src');
				        	$(this).attr('src', src).removeAttr('data-src');
			        });
			    },
			    before: function(slider) { // Fires asynchronously with each slider animation
			    	var slides	= slider.slides,
			    	index      	= slider.animatingTo,
			    	$slide     	= $(slides[index]),
			    	$img       	= $slide.find('img[data-src]'),
			    	current    	= index,
			    	nxt_slide  	= current + 1,
			     	prev_slide 	= current - 1;
			
		      	$slide
		        	.parent()
		        	.find('img.lazy:eq(' + current + '), img.lazy:eq(' + prev_slide + '), img.lazy:eq(' + nxt_slide + ')')
		        	.each(function() {
		          		var src = $(this).attr('data-src');
		          		$(this).attr('src', src).removeAttr('data-src');
		      		});
				}
    		});
    	}
    }
    
    /* Masonry ---------------------*/
    function masonrySetup() {
    	var $container = $('.portfolio-wrap');
    	$container.masonry({
    		itemSelector : '.single, .half, .third, .fourth'
    	});
    }
    
    function modifyPosts() {
    		
		/* Insert Line Break Before More Links ---------------------*/
		$('<br />').insertBefore('.more-link');
		
		/* Hide Comments When No Comments Activated ---------------------*/
		$('.nocomments').parent().css('display', 'none');
		
		/* Animate Page Scroll ---------------------*/
		$(".scroll").click(function(event){
			event.preventDefault();
			$('html,body').animate({scrollTop:$(this.hash).offset().top}, 500);
		});
		
		/* Fit Vids ---------------------*/
		$('.feature-vid, .post-area').fitVids();
	}
	
	$( document )
	.ready( removeNoJsClass )
	.ready( superfishSetup )
	.ready( modifyPosts )
	.on( 'post-load', modifyPosts );
	
	$( window )
	.load( flexSliderSetup )
	.load( masonrySetup )
	.resize( masonrySetup );
	
})( jQuery );