<?php
/**
Template Name: Archive
*
* This template is used to display archives of posts and pages.
*
* @package Photographer
* @since Photographer 3.0
*
*/
get_header(); ?>

<!-- BEGIN .post class -->
<div <?php post_class('container'); ?> id="page-<?php the_ID(); ?>">

	<?php if ( has_post_thumbnail()) { ?>
		<a class="feature-img" href="<?php the_permalink(); ?>" rel="bookmark" title="<?php esc_attr(the_title_attribute()); ?>">
			<?php if ( get_theme_mod( 'text_overlay', '1' ) == '1' ) { ?><div class="complete-center"><h1 class="headline-banner"><?php the_title(); ?></h1></div><?php } ?>
			<?php the_post_thumbnail( 'photographer-featured-large' ); ?>
		</a>
	<?php } ?>
	
	<!-- BEGIN .row -->
	<div class="row">
		
		<!-- BEGIN .twelve columns -->
		<div class="twelve columns">
			
			<!-- BEGIN .post-area full-width -->
		    <div class="post-area full-width">
		
		        <?php if ( ! has_post_thumbnail() || has_post_thumbnail() && get_theme_mod( 'text_overlay', '1' ) == '' ) { ?>
		        	<h1 class="headline text-center"><?php the_title(); ?></h1>
		        <?php } ?>	
		
		        <div class="archive-column">
		            <h6><?php _e("By Page:", 'organicthemes'); ?></h6>
		            <ul><?php wp_list_pages('title_li='); ?></ul>      
		        </div>		
		
		        <div class="archive-column">
		            <h6><?php _e("By Post:", 'organicthemes'); ?></h6>
		            <ul><?php wp_get_archives('type=postbypost&limit=100'); ?></ul>
		        </div>
		        
		        <div class="archive-column last">	
		        	<h6><?php _e("By Month:", 'organicthemes'); ?></h6>
    	            <ul><?php wp_get_archives('type=monthly'); ?></ul>	
    	
    	            <h6><?php _e("By Category:", 'organicthemes'); ?></h6>
    	            <ul><?php wp_list_categories('sort_column=name&title_li='); ?></ul>	
    	        </div>            
			
			<!-- END .post-area full-width -->
		    </div>
		
		<!-- END .twelve columns --> 
		</div>
	
	<!-- END .row -->
	</div>

<!-- END .post class -->
</div>

<?php get_footer(); ?>