<?php
/**
Template Name: Home
*
* This template is used to display the home page.
*
* @package Photographer
* @since Photographer 3.0
*
*/
get_header(); ?>

<!-- BEGIN .post class -->
<div <?php post_class('container home-page'); ?> id="page-<?php the_ID(); ?>">

	<!-- BEGIN .row -->
	<div class="row">
	
		<!-- BEGIN .twelve columns -->
		<div class="twelve columns">
			
			<!-- BEGIN #slideshow -->
			<div id="slideshow">
			
				<?php get_template_part( 'content/loop', 'slider-featured' ); ?>
			
			<!-- END #slideshow -->
			</div>
		
		<!-- END .twelve columns -->
		</div>
		
	<!-- END .row -->
	</div>
	
	<?php if (have_posts()) : while (have_posts()) : the_post(); ?>
	<?php $has_content = get_the_content(); ?>
	<?php if ( '' != $has_content ) { ?>
	
	<!-- BEGIN .row -->
	<div class="row">
	
		<?php if ( is_active_sidebar( 'home-sidebar' ) ) { ?>
	
			<!-- BEGIN .eight columns -->
			<div class="eight columns">
				
				<!-- BEGIN .post-area -->
			    <div class="post-area">
	
			        <h1 class="headline"><?php the_title(); ?></h1>
			        
			        <?php the_content(__("Read More", 'organicthemes')); ?>
			        
			        <?php wp_link_pages(array(
			            'before' => '<p class="page-links"><span class="link-label">' . __('Pages:', 'organicthemes') . '</span>',
			            'after' => '</p>',
			            'link_before' => '<span>',
			            'link_after' => '</span>',
			            'next_or_number' => 'next_and_number',
			            'nextpagelink' => __('Next', 'organicthemes'),
			            'previouspagelink' => __('Previous', 'organicthemes'),
			            'pagelink' => '%',
			            'echo' => 1 )
			        ); ?>
			    
			    <!-- END .post-area -->
			    </div>
			
			<!-- END .columns -->
			</div>
			
			<!-- BEGIN .four columns -->
			<div class="four columns">
			
				<?php get_sidebar( 'home' ); ?>
			
			<!-- END .columns -->
			</div>
		
		<?php } else { ?>
		
			<!-- BEGIN .twelve columns -->
			<div class="twelve columns">
				
				<!-- BEGIN .post-area full-width -->
			    <div class="post-area full-width">
	
			        <h1 class="headline text-center"><?php the_title(); ?></h1>
			        
			        <?php the_content(__("Read More", 'organicthemes')); ?>
			        
			        <?php wp_link_pages(array(
			            'before' => '<p class="page-links"><span class="link-label">' . __('Pages:', 'organicthemes') . '</span>',
			            'after' => '</p>',
			            'link_before' => '<span>',
			            'link_after' => '</span>',
			            'next_or_number' => 'next_and_number',
			            'nextpagelink' => __('Next', 'organicthemes'),
			            'previouspagelink' => __('Previous', 'organicthemes'),
			            'pagelink' => '%',
			            'echo' => 1 )
			        ); ?>
			    
			    <!-- END .post-area full-width -->
			    </div>
			
			<!-- END .twelve columns -->
			</div>
			
		<?php } ?>
	
	<!-- END .row -->
	</div>
	
	<?php } ?>
	<?php endwhile; endif; ?>
	
<!-- END .post class -->
</div>

<?php get_footer(); ?>