<?php
/**
 Template Name: Portfolio
 * 
 * This template is used to display the portfolio page. 
 *
 * @package Photographer
 * @since Photographer 3.0
 *
 */ 
 get_header(); ?>

<!-- BEGIN .post class -->
<div <?php post_class('container portfolio'); ?> id="page-<?php the_ID(); ?>">
	
	<!-- BEGIN .row -->
	<div class="row">
	
		<!-- BEGIN .portfolio-banner -->
		<div class="portfolio-banner">

			<?php if ( has_post_thumbnail()) { ?>
				<div class="feature-img banner">
					<?php if ( get_theme_mod( 'text_overlay', '1' ) == '1' ) { ?><div class="complete-center"><h1 class="headline-banner"><?php the_title(); ?></h1></div><?php } ?>
					<?php the_post_thumbnail( 'photographer-featured-large' ); ?>
				</div>
			<?php } ?>
		
		<!-- END .portfolio-banner -->
		</div>
	
	<!-- END .row -->
	</div>
		
	<!-- BEGIN .row -->
	<div class="row">
	
		<!-- BEGIN .portfolio-wrap -->
		<div class="portfolio-wrap">
	
			<?php 
				$portfolio_query = new WP_Query(array(
					'cat' => get_theme_mod( 'portfolio_category', '0' ),
					'posts_per_page' => get_theme_mod( 'portfolio_postnumber', '12' ),
					'paged' => $paged,
					'suppress_filters' => 0
					) 
				); 
			?>
			
			<?php if ($portfolio_query->have_posts() ) : while($portfolio_query->have_posts() ) : $portfolio_query->the_post(); ?>
	    	<?php if (isset($_POST['featurevid'])){ $custom = get_post_custom($post->ID); $featurevid = $custom['featurevid'][0]; } ?>
	
		    <?php
		  		$portfolioColumn = get_theme_mod( 'portfolio_columns', 'three' );
		  		if ( $portfolioColumn ) {
		  			switch ( $portfolioColumn ) {
		  				case 'one':
		    				$content = 'single';
		    				break;
		
		  				case 'two':
		  					$content = 'half';
		  					break;
		
		  				case 'three':
		  					$content = 'third';
		  					break;
		  				
		  				case 'four':
		  					$content = 'fourth';
		  					break;
		  			}
		  		}	
		  		else { 
		  			$content = 'half';
		  		}
		    ?>
					
			<!-- BEGIN .columns -->
			<div class="<?php echo $content; ?>">
	            	
	        	<!-- BEGIN .portfolio-item -->
	        	<div class="portfolio-item">
	
	            	<?php if ( get_post_meta($post->ID, 'featurevid', true ) ) { ?>
	            		<div class="feature-vid">
	            	    	<?php echo get_post_meta($post->ID, 'featurevid', true); ?>
	            		</div><!-- .feature_vid -->
	            	<?php } elseif ( has_post_thumbnail() ) { ?>
	            		<a class="feature-img" href="<?php the_permalink(); ?>" rel="bookmark" title="<?php the_title_attribute(); ?>"><?php the_post_thumbnail( 'photographer-featured-medium' ); ?></a>
	            	<?php } else { ?>
	            		<a class="feature-img" href="<?php the_permalink(); ?>" rel="bookmark" title="<?php the_title_attribute(); ?>"><img src="<?php echo esc_url( get_template_directory_uri() ); ?>/images/default-img.svg" alt="<?php the_title(); ?>" /></a>
	            	<?php } ?>
	                
        			<?php if ( ! empty( $post->post_excerpt ) ) { ?>
        			
        		    	<div class="information">        
        		       	 	<h2 class="headline-small text-center top-margin"><a href="<?php the_permalink(); ?>" rel="bookmark" title="<?php the_title_attribute(); ?>"><?php the_title(); ?></a></h2>
        		    	</div><!-- information -->
        		    	
        			<?php } ?>
    			
    			<!-- END .portfolio-item -->
    			</div>
				
			<!-- END .columns -->
	    	</div>
	        
			<?php endwhile; ?>
			
		<!-- END .portfolio-wrap -->
		</div>
	        
			<?php if ( $portfolio_query->max_num_pages > 1 ) { ?>
				
			<!-- BEGIN .pagination-holder -->
			<div class="pagination-holder">
			
				<!-- BEGIN .pagination -->
				<div class="pagination">
					
					<?php
					$big = 999999999; // need an unlikely integer
					echo paginate_links( array(
						'base' => str_replace( $big, '%#%', esc_url( get_pagenum_link( $big ) ) ),
						'format' => '?paged=%#%',
						'current' => max( 1, $paged ),
						'prev_text' => __('&laquo;', 'organicthemes'),
						'next_text' => __('&raquo;', 'organicthemes'),
						'total' => $portfolio_query->max_num_pages
					) );
					?>
					
				<!-- END .pagination -->
				</div>
			
			<!-- END .pagination-holder -->
			</div>
				
			<?php } ?>

		<?php else : ?>
		
			<!-- BEGIN .twelve columns -->
			<div class="twelve columns">
		
			    <div class="post-area full-width error-404">    
			        <h1 class="headline text-center"><?php _e("Not Found, Error 404", 'organicthemes'); ?></h1>
			        <p><?php _e("The page you are looking for no longer exists.", 'organicthemes'); ?></p>
			    </div>
			
			<!-- END .twelve columns -->
			</div>
				
		<?php endif; ?>
		<?php wp_reset_postdata(); ?>
		
	<!-- END .row -->
    </div>

<!-- END .post class -->
</div>

<?php get_footer(); ?>