<?php
/**
Template Name: Projects (Jetpack)
*
* This template is used to display projects from the Jetpack portfolio custom post type.
*
* @package Photographer
* @since Photographer 3.0
*
*/
get_header(); ?>

<!-- BEGIN .post class -->
<div <?php post_class('container portfolio'); ?> id="page-<?php the_ID(); ?>">
	
	<!-- BEGIN .row -->
	<div class="row">
	
		<!-- BEGIN .portfolio-wrap -->
		<div class="portfolio-wrap">
	
			<?php 
				$porfolio_query = new WP_Query(array(
					'post_type' => 'jetpack-portfolio', 
					'posts_per_page'=>999, 
					'suppress_filters'=>0 
					) 
				); 
			?>
			
			<?php if ($porfolio_query->have_posts() ) : while($porfolio_query->have_posts() ) : $porfolio_query->the_post(); ?>
	        <?php if (isset($_POST['featurevid'])){ $custom = get_post_custom($post->ID); $featurevid = $custom['featurevid'][0]; } ?>
	
			<?php
		  		$portfolioColumn = get_theme_mod( 'project_columns', 'two' );
		  		if ( $portfolioColumn ) {
		  			switch ( $portfolioColumn ) {
		  				case 'one':
		    				$content = 'single';
		    				break;
		
		  				case 'two':
		  					$content = 'half';
		  					break;
		
		  				case 'three':
		  					$content = 'third';
		  					break;
		  				
		  				case 'four':
		  					$content = 'fourth';
		  					break;
		  			}
		  		}	
		  		else { 
		  			$content = 'half';
		  		}
		    ?>
					
			<!-- BEGIN .columns -->
	    	<div class="<?php echo $content; ?>">
	        	
	        	<!-- BEGIN .portfolio-item -->
	        	<div class="portfolio-item">
	
	            	<?php if ( get_post_meta($post->ID, 'featurevid', true ) ) { ?>
	            		<div class="feature-vid">
	            	    	<?php echo get_post_meta($post->ID, 'featurevid', true); ?>
	            		</div><!-- .feature_vid -->
	            	<?php } elseif ( has_post_thumbnail() ) { ?>
	            		<a class="feature-img" href="<?php the_permalink(); ?>" rel="bookmark" title="<?php the_title_attribute(); ?>"><?php the_post_thumbnail( 'photographer-featured-medium' ); ?></a>
	            	<?php } else { ?>
	            		<a class="feature-img" href="<?php the_permalink(); ?>" rel="bookmark" title="<?php the_title_attribute(); ?>"><img src="<?php echo esc_url( get_template_directory_uri() ); ?>/images/default-img.svg" alt="<?php the_title(); ?>" /></a>
	            	<?php } ?>
	    			
			    	<div class="information">        
			       	 	<h2 class="headline-small text-center top-margin"><a href="<?php the_permalink(); ?>" rel="bookmark" title="<?php the_title_attribute(); ?>"><?php the_title(); ?></a></h2>
			    	</div>
				
				<!-- END .portfolio-item -->
				</div>
			
			<!-- END .columns -->
			</div>
	        
			<?php endwhile; ?>
			
		<!-- END .portfolio-wrap -->
		</div>
	        
    		<?php if ( $wp_query->max_num_pages > 1 ) { ?>
    			
    			<!-- BEGIN .pagination -->
    			<div class="pagination shadow clearfix">
    				<?php echo photographer_get_pagination_links(); ?>
    			<!-- END .pagination -->
    			</div>
    			
    		<?php } ?>
	
			<?php else : ?>
			
		<!-- END .portfolio-wrap -->
		</div>
	
    		<div class="error-404">
    			<h1 class="headline"><?php _e("Page Not Found", 'organicthemes'); ?></h1>
    			<p><?php _e("We're sorry, but the page could not be found.", 'organicthemes'); ?></p>
    		</div>
	
			<?php endif; // do not delete ?>
			<?php wp_reset_postdata(); ?>
	    
	<!-- END .row -->
	</div>

<!-- END .post class -->
</div>

<?php get_footer(); ?>